﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Activity
Version=8.5
@EndOfDesignText@
#Region  Activity Attributes 
	#FullScreen: True
	#IncludeTitle: True
#End Region

#Extends: android.support.v7.app.AppCompatActivity

Sub Process_Globals
	'These global variables will be declared once when the application starts.
	'These variables can be accessed from all modules.

End Sub

Sub Globals
	'These global variables will be redeclared each time the activity is created.
	'These variables can only be accessed from this module.
	
	Dim BDate As String
	Dim EDate As String
	Private Drawer As B4XDrawer
	Private ACToolBarLight1 As ACToolBarLight
	Private ToolbarHelper As ACActionBar
	Private Panel1 As Panel
	Private ListView1 As ListView
	Private TabHost1 As TabHost
	Private CodeEditText As EditText
	Private NameEditText As EditText
	Private AddressEditText As EditText
	Private AFMEditText As EditText
	Private DOYEditText As EditText
	Private EmailEditText As EditText
	Private EpaggelmaEditText As EditText
	Private FaxEditText As EditText
	Private KathestosFPAEditText As EditText
	Private NomikiMorfiEditText As EditText
	Private ThlEditText As EditText
	Private WebSiteEditText As EditText
	Private Thl2eEditText As EditText
	Private Fax2EditText As EditText
	Private DicountEditText1 As EditText
	Private DicountEditText2 As EditText
	Private TimokatalogosEditText As EditText
	Private TroposApostolisEditText As EditText
	Private MetaforeasEditText As EditText
	Private FacebookEditText As EditText
	Private TwitterEditText As EditText
	Private Table1 As Table
	Private Kartela_Table As Table
	Dim KartelaSpinner As ACSpinner
	Public Phone1 As PhoneCalls
	Private Label10 As Label
	Private Label3 As Label
	
End Sub

Sub Activity_Create(FirstTime As Boolean)
	'Do not forget to load the layout file created with the visual designer. For example:
	'Activity.LoadLayout("Layout1")
	Drawer.Initialize(Me, "Drawer", Activity, 250dip)
	Drawer.CenterPanel.LoadLayout("Client_info")
	ACToolBarLight1.Title = "DroidView 2.0 - " 
	ACToolBarLight1.SubTitle = "Για την ΙΩΣΗΦ Α.Ε. - Ευθύμιος Μαλαγράκης"
	Dim SyncBtn As ACButton
	SyncBtn.Initialize("SyncBtn")
	SyncBtn.Typeface = Typeface.MATERIALICONS
	SyncBtn.Text = ""
	SyncBtn.Visible = False
	ACToolBarLight1.AddView(SyncBtn, 50dip, 50dip, Gravity.RIGHT)
	KartelaSpinner.Initialize("KartelaSpinner")
	ACToolBarLight1.AddView(KartelaSpinner, 200dip, 50dip, Gravity.RIGHT)
	KartelaSpinner.Visible = False
	ToolbarHelper.Initialize
	ToolbarHelper.ShowUpIndicator = True 'set to true to show the up arrow
	Dim bd As BitmapDrawable
	bd.Initialize(LoadBitmap(File.DirAssets, "hamburger.png"))
	ToolbarHelper.UpIndicatorDrawable =  bd
	ACToolBarLight1.InitMenuListener
	Drawer.LeftPanel.LoadLayout("Left")
	Panel1.SetBackgroundImage(LoadBitmap(File.DirAssets, "headonlylogo48x48.png"))
	Main.General1.TheLeftMenu(ListView1)
	TabHost1.AddTab("ΤΑΥΤΟΤΗΤΑ", "Client_info_TAFTOTHTA.bal")
	TabHost1.AddTab("ΕΜΠΟΡΙΚΟ", "Client_info_EMPORIKO.bal")
	TabHost1.AddTab("ΔΙΕΥΘΥΝΣΕΙΣ", "Client_info_DIEFTHYNSEIS.bal")
	TabHost1.AddTab("ΚΑΡΤΕΛΑ", "Client_info_KARTELA.bal")
	
	'Log(Main.General1.ClientValueGID)
		ClientBasiInformation
		ClientAddresses
		ClientKartela

End Sub

Sub Activity_Resume

End Sub

Sub Activity_Pause (UserClosed As Boolean)

End Sub

Sub ListView1_ItemClick (Position As Int, Value As Object)
	Select Case Value
		Case "Παραγγελίες"
			StartActivity("Orders")
			Drawer.LeftOpen = False
		Case "Πελάτες"
			StartActivity("Clients")
			Drawer.LeftOpen = False
			
	End Select
End Sub

Sub ClientBasiInformation
	' ==================  Read info from Client =======================
	'Activity.LoadLayout("Client_info_TAFTOTHTA")
	ProgressDialogShow2("Παρακαλώ περιμένετε...", False)
	Dim SQlScript As String
	SQlScript = $"SELECT IFNULL(TB2.GID, '') AS GID, IFNULL(TB1.CustomerCode, '') AS CustomerCode, IFNULL(TB1.CustomerName, '') AS CustomerName,
				IFNULL(TB1.TaxRegistrationNumber, '') AS TaxRegistrationNumber,
				IFNULL(TB1.KathestosFPA, '') AS KathestosFPA, IFNULL(TB1.ActivityDescription, '') AS ActivityDescription, 
				IFNULL(TB1.Address, '') AS Address, IFNULL(TB1.Telephone, '') AS Telephone, IFNULL(TB1.Fax, '') AS Fax, 
				IFNULL(TB1.Telephone2, '') AS Telephone2, IFNULL(TB1.Fax2, '') AS Fax2, 
				IFNULL(TB1.EMailAddress, '') AS EMailAddress, IFNULL(TB1.TaxOffice, '') AS TaxOffice, 
				IFNULL(TB1.CompanyKind_Description, '') AS CompanyKind_Description, IFNULL(TB1.WEBSite, '') AS WEBSite, 
				IFNULL(TB3.Description, '') AS ShippingMethod, 
				IFNULL(TB4.Name, '') AS Transporter, IFNULL(TB2.FacebookAccount, '') AS FacebookAccount, 
				IFNULL(TB2.TwitterAccount, '') AS TwitterAccount, IFNULL(TB1.TradeDiscount1, '') AS TradeDiscount1, 
				IFNULL(TB1.TradeDiscount2, '') AS TradeDiscount2, IFNULL(TB1.Description3, '') AS Timokatalogos
				FROM LOCAL_EGM_CUSTOMER_OVERVIEW TB1
				LEFT JOIN LOCAL_ESFITradeAccount TB2 ON TB2.GID = TB1.ISUDGID
				LEFT JOIN LOCAL_ESFIZShippingMethod TB3 ON TB3.Code = TB2.fShippingMethodCode
				LEFT JOIN LOCAL_ESGOPerson TB4 ON TB4.GID = TB2.fTransporterGID 
				WHERE TB1.ISUDGID = '${Main.General1.ClientValueGID}' "$
	Dim Curs1 As Cursor
	Starter.LocalSQL.Initialize(File.DirRootExternal & "/DroidViewDB/", "DVDatabase.db", True)
	Curs1 = Starter.LocalSQL.ExecQuery(SQlScript)
	For i = 0 To Curs1.RowCount - 1
		Curs1.Position = i
		ACToolBarLight1.Title = "DroidView 2.0 - " & Curs1.GetString("CustomerName")
			
		CodeEditText.Text = Curs1.GetString("CustomerCode")
		NameEditText.Text = Curs1.GetString("CustomerName")
		AddressEditText.Text = Curs1.GetString("Address")
		AFMEditText.Text = Curs1.GetString("TaxRegistrationNumber")
		DOYEditText.Text = Curs1.GetString("TaxOffice")
		EmailEditText.Text = Curs1.GetString("EMailAddress")
		EpaggelmaEditText.Text = Curs1.GetString("ActivityDescription")
		FaxEditText.Text = Curs1.GetString("Fax")
		KathestosFPAEditText.Text = Curs1.GetString("KathestosFPA")
		NomikiMorfiEditText.Text = Curs1.GetString("CompanyKind_Description")
		ThlEditText.Text = Curs1.GetString("Telephone")
		WebSiteEditText.Text = Curs1.GetString("WEBSite")
		Thl2eEditText.Text = Curs1.GetString("Telephone2")
		Fax2EditText.Text = Curs1.GetString("Fax2")
		DicountEditText1.Text = NumberFormat2(Curs1.GetDouble("TradeDiscount1"), 1, 0, 2, False) & " %"
		DicountEditText2.Text = NumberFormat2(Curs1.GetDouble("TradeDiscount2"), 1, 0, 2, False) & " %"
		TimokatalogosEditText.Text = Curs1.GetString("Timokatalogos")
		TroposApostolisEditText.Text = Curs1.GetString("ShippingMethod")
		MetaforeasEditText.Text = Curs1.GetString("Transporter")
		FacebookEditText.Text = Curs1.GetString("FacebookAccount")
		TwitterEditText.Text = Curs1.GetString("TwitterAccount")
		'ClientListView1.AddTwoLines2(Curs1.GetString("Name"), $"Υπλόλοιπο: ${Curs1.GetString("Balance")} - Τελευταία χρέωση: ${Curs1.GetString("Debit")} - Τελευταία πίστωση: ${Curs1.GetString("Credit")} - Επιταγές: ${Curs1.GetString("PendingNotes")} - Τζίρος: ${Curs1.GetString("Turnover")}"$, Curs1.GetString("GID"))
		'Res1 = Cur1.GetInt("HowMany")
		Sleep(0)
	Next
	'Log(Main.General1.TheClient1.FPAPercent)
	ProgressDialogHide
End Sub

Sub ClientAddresses
	' ==================  Read Addresses from Client =======================
	ProgressDialogShow2("Παρακαλώ περιμένετε...", False)
	Dim SQlScript As String
	Dim Curs1 As Cursor
	Table1.InitializeTable(7, Gravity.CENTER, False)
	Table1.SetHeader(Array As String("Κωδικός", "Διεύθυνση", "Τ.Κ.", "Περιοχή", "Πόλη", "Νομός", "Τηλέφωνο"))
	Table1.SetColumnsWidths(Array As Int(70dip, 500dip, 70dip, 110dip, 110dip, 110dip, 110dip))
	SQlScript = $"SELECT IFNULL(FK_esgosites_ESGOPerson.Code, '') AS Code, 
       	IFNULL(FK_esgosites_ESGOPerson.Address1, '') AS FullAddress, 
       	IFNULL(FK_esgosites_ESGOPerson.fPostalCode, '') AS fPostalCode, 
       	IFNULL(FK_esgosites_ESGOPerson.fCityCode, '') AS fCityCode, 
       	IFNULL(FK_esgosites_ESGOPerson.Area, '') AS Area, 
       	IFNULL(FK_esgosites_ESGOPerson.fDistrictCode, '') AS fDistrictCode, 
       	IFNULL(FK_esgosites_ESGOPerson.Telephone1, '') AS Telephone
		FROM LOCAL_ESGOPerson AS ESGOPerson 
        INNER JOIN LOCAL_ESGOSites AS FK_esgosites_ESGOPerson  ON ESGOPerson.GID = FK_esgosites_ESGOPerson.fPersonCodeGID 
        LEFT JOIN LOCAL_ESGOPersonLists AS FK_ESGOPersonLists_ESGOPerson  ON ESGOPerson.GID = FK_ESGOPersonLists_ESGOPerson.fPersonCodeGID 
        LEFT JOIN LOCAL_ESFITradeAccount AS FK_ESFITradeAccount ON FK_ESFITradeAccount.fPersonCodeGID = ESGOPerson.GID
		WHERE (FK_ESFITradeAccount.GID = '${Main.General1.ClientValueGID}')
		ORDER BY FK_esgosites_ESGOPerson.Code "$
	Log(SQlScript)
	Starter.LocalSQL.Initialize(File.DirRootExternal & "/DroidViewDB/", "DVDatabase.db", True)
	Curs1 = Starter.LocalSQL.ExecQuery(SQlScript)
	Log(Curs1.RowCount)
	For ii = 0 To Curs1.RowCount - 1
		Curs1.Position = ii
		Table1.AddRowAutomaticWidth(Array As String(Curs1.GetString("Code"), Curs1.GetString("FullAddress"), Curs1.GetString("fPostalCode"), Curs1.GetString("fCityCode"), Curs1.GetString("Area"), Curs1.GetString("fDistrictCode"), Curs1.GetString("Telephone")))
		Sleep(0)
	Next
	ProgressDialogHide
End Sub

Sub ClientKartela
	' ==================  Read Kartela from Client =======================
	Dim SQlScript As String
	Dim Curs1 As Cursor
	Kartela_Table.InitializeTable(6, Gravity.CENTER, False)
	Kartela_Table.SetHeader(Array As String("Ημνία", "Παραστατικό", "Αιτιολογία", "Χρέωση", "Πίστωση", "Υπόλοιπο"))
	Kartela_Table.SetColumnsWidths(Array As Int(90dip, 130dip, 310dip, 110dip, 110dip, 110dip))
	Kartela_Table.StatusLine = False
	SQlScript = $"SELECT eAuditFolderName FROM LOCAL_EGM_YEARS "$
	Log(SQlScript)
	Starter.LocalSQL.Initialize(File.DirRootExternal & "/DroidViewDB/", "DVDatabase.db", True)
	Curs1 = Starter.LocalSQL.ExecQuery(SQlScript)
	Log(Curs1.RowCount)
	For ii = 0 To Curs1.RowCount - 1
		Curs1.Position = ii
		KartelaSpinner.Add(Curs1.GetInt("eAuditFolderName"))
	Next
	Kartela1(KartelaSpinner.GetItem(0))
End Sub

Sub KartelaSpinner_ItemClick (Position As Int, Value As Object)
	Kartela1(Value)
End Sub

Sub Kartela1(V1 As Object)
	Kartela_Table.SetColumnsWidths(Array As Int(90dip, 130dip, 310dip, 110dip, 110dip, 110dip))
	ProgressDialogShow2("Παρακαλώ περιμένετε...", False)
	Dim SQlScript As String
	Dim Curs1 As Cursor
	SQlScript = $"SELECT BeginDate, EndDate FROM LOCAL_EGM_YEARS WHERE eAuditFolderName = ${V1} "$
	Log(SQlScript)
	Starter.LocalSQL.Initialize(File.DirRootExternal & "/DroidViewDB/", "DVDatabase.db", True)
	Curs1 = Starter.LocalSQL.ExecQuery(SQlScript)
	Log(Curs1.RowCount)
	For ii = 0 To Curs1.RowCount - 1
		Curs1.Position = ii
		BDate = Curs1.GetString("BeginDate")
		EDate = Curs1.GetString("EndDate")
	Next
	Log(BDate & " - " & EDate)
	Kartela_Table.ClearAll
	Kartela_Table.RefreshTable
	SQlScript = $"SELECT RegistrationDate, DocumentCode, LongComment, Debit, Credit, Balance
					FROM LOCAL_EGM_Kartela
					WHERE fTradeAccountGID = '${Main.General1.ClientValueGID}' 
					AND DateTime(RegistrationDate, 'UTC') BETWEEN Date('${BDate}', '-1 day') AND Date('${EDate}', '+1 day')
					ORDER BY RegistrationDate"$
	Log(SQlScript)
	Starter.LocalSQL.Initialize(File.DirRootExternal & "/DroidViewDB/", "DVDatabase.db", True)
	Curs1 = Starter.LocalSQL.ExecQuery(SQlScript)
	Log(Curs1.RowCount)
	Dim Balance1, SDebit, SCredit As Double = 0
	For ii = 0 To Curs1.RowCount - 1
		Curs1.Position = ii
		DateTime.DateFormat = "yyyy-MM-dd"
		Dim BDate1 As Long
		BDate1 = DateTime.DateParse(Curs1.GetString("RegistrationDate"))
		Balance1 = Balance1 + Curs1.GetDouble("Debit") - Curs1.GetDouble("Credit")
		SDebit = SDebit + Curs1.GetDouble("Debit")
		SCredit = SCredit + Curs1.GetDouble("Credit")
		'Log(DateTime.Date(BDate1))
		DateTime.DateFormat = "dd/MM/yyyy"
		Kartela_Table.AddRowAutomaticWidth(Array As String(DateTime.Date(BDate1), _
		Curs1.GetString("DocumentCode"), Curs1.GetString("LongComment"), _ 
		NumberFormat2(Curs1.GetDouble("Debit"), 1, 0, 2, False) & " €", _ 
		NumberFormat2(Curs1.GetDouble("Credit"), 1, 0, 2, False) & " €", _ 
		NumberFormat2(Balance1, 1, 0, 2, False) & " €"))
		Sleep(0)
	Next
	ProgressDialogHide
	Kartela_Table.AddRowAutomaticWidth(Array As String("", "", "Σύνολα", NumberFormat2(SDebit, 1, 0, 2, False) & " €", NumberFormat2(SCredit, 1, 0, 2, False) & " €", NumberFormat2(Balance1, 1, 0, 2, False) & " €"))
End Sub

Sub TabHost1_TabChanged
	If TabHost1.CurrentTab = 3 Then
		KartelaSpinner.Visible = True
	Else
		KartelaSpinner.Visible = False
	End If
End Sub

Sub Label10_Click ' Thlefono
	StartActivity(Phone1.Call(ThlEditText.Text))
End Sub

Sub Label3_Click ' Email
	Dim Message As Email
	Message.To.Add(EmailEditText.Text)
	'Message.Attachments.Add(File.Combine(File.DirRootExternal, "SomeFile.txt"))
	StartActivity(Message.GetIntent)
End Sub