﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Activity
Version=9
@EndOfDesignText@
#Region  Activity Attributes 
	#FullScreen: True
	#IncludeTitle: True
#End Region

#Extends: android.support.v7.app.AppCompatActivity

Sub Process_Globals
	'These global variables will be declared once when the application starts.
	'These variables can be accessed from all modules.
	
End Sub

Sub Globals
	'These global variables will be redeclared each time the activity is created.
	'These variables can only be accessed from this module.
	Private Drawer As B4XDrawer
	Private ACToolBarLight1 As ACToolBarLight
	Private ToolbarHelper As ACActionBar
	Private Panel1 As Panel
	Private ListView1 As ListView
	Private OrdersTable As Table
	Private xui As XUI
	Private IME As IME
	Private prefdialog As PreferencesDialog
End Sub

Sub Activity_Create(FirstTime As Boolean)
	'Do not forget to load the layout file created with the visual designer. For example:
	'Activity.LoadLayout("Layout1")
	DateTime.DateFormat = "dd/MM/yyyy"
	Drawer.Initialize(Me, "Drawer", Activity, 250dip)
	Drawer.CenterPanel.LoadLayout("Orders")
	ACToolBarLight1.Title = "DroidView 2.0 - Παραγγελίες"
	ACToolBarLight1.SubTitle = "Για την ΙΩΣΗΦ Α.Ε. - Ευθύμιος Μαλαγράκης"
	Dim SyncBtn As ACButton
	SyncBtn.Initialize("SyncBtn")
	SyncBtn.Typeface = Typeface.MATERIALICONS
	SyncBtn.Text = ""
	ACToolBarLight1.AddView(SyncBtn, 50dip, 50dip, Gravity.RIGHT)
	Dim DateFiltrBtn As ACButton
	DateFiltrBtn.Initialize("DateFiltrBtn")
	DateFiltrBtn.Typeface = Typeface.MATERIALICONS
	DateFiltrBtn.Text = ""
	ACToolBarLight1.AddView(DateFiltrBtn, 50dip, 50dip, Gravity.RIGHT)
	Dim AddOrderBtn As ACButton
	AddOrderBtn.Initialize("AddOrderBtn")
	AddOrderBtn.Typeface = Typeface.MATERIALICONS
	AddOrderBtn.Text = ""
	ACToolBarLight1.AddView(AddOrderBtn, 50dip, 50dip, Gravity.RIGHT)
	ToolbarHelper.Initialize
	ToolbarHelper.ShowUpIndicator = True 'set to true to show the up arrow
	Dim bd As BitmapDrawable
	bd.Initialize(LoadBitmap(File.DirAssets, "hamburger.png"))
	ToolbarHelper.UpIndicatorDrawable =  bd
	ACToolBarLight1.InitMenuListener
	Drawer.LeftPanel.LoadLayout("Left")
	Panel1.SetBackgroundImage(LoadBitmap(File.DirAssets, "headonlylogo48x48.png"))
	Main.General1.TheLeftMenu(ListView1)
	IME.Initialize("ime")
	IME.AddHeightChangedEvent
	
	Dim p As Period
	p.Days = -((DateTime.GetDayOfWeek(DateTime.Now)+5) Mod 7)
	Dim FirstDay As Long = DateUtils.AddPeriod(DateTime.Now, p)
	p.Days = 7
	Dim LastDay As Long = DateUtils.AddPeriod(FirstDay, p)
	
	OrderList(FirstDay, LastDay, "")
	
End Sub

Sub Activity_Resume

End Sub

Sub Activity_Pause (UserClosed As Boolean)

End Sub

Sub Activity_KeyPress (KeyCode As Int) As Boolean 'Return True to consume the event
	If KeyCode = KeyCodes.KEYCODE_BACK Then
		If prefdialog.BackKeyPressed Then Return True
	End If
	Return False
End Sub

Sub IME_HeightChanged (NewHeight As Int, OldHeight As Int)
	prefdialog.KeyboardHeightChanged(NewHeight)
End Sub

Sub ListView1_ItemClick (Position As Int, Value As Object)
	Select Case Value
		Case "Παραγγελίες"
			StartActivity("Orders")
			Drawer.LeftOpen = False
		Case "Πελάτες"
			StartActivity("Clients")
			Drawer.LeftOpen = False
			
	End Select
End Sub

Sub OrderList(D1 As Long, D2 As Long, NName As String)
	ProgressDialogShow2("Παρακαλώ περιμένετε...", False)
	Dim SQlScript As String
	Dim Curs1 As Cursor
	Dim Bdate As String = Main.General1.LocalTimeToUTC(D1)
	Dim Edate  As String = Main.General1.LocalTimeToUTC(D2)
	DateTime.DateFormat = "yyyy-mm-dd"
	OrdersTable.InitializeTable(6, Gravity.CENTER, False)
	OrdersTable.SetHeader(Array As String("Ημερομηνία", "Παραστατικό", "Επωνυμία", "Καθαρή αξία", "Φ.Π.Α.", "Συνολική αξία"))
	OrdersTable.SetColumnsWidths(Array As Int(90dip, 110dip, 400dip, 110dip, 110dip, 110dip))
	SQlScript = $"SELECT ADRegistrationDate, ADCode, IFNULL(LOCAL_ESFITradeAccount.Name, '***') AS Name, CurrencyNetValue,
       			  VATValue, CurrencyTotalValue
  		FROM LOCAL_ESFIDocumentTrade
  		LEFT JOIN LOCAL_ESFITradeAccount ON LOCAL_ESFITradeAccount.GID = LOCAL_ESFIDocumentTrade.ESFIDocumentTradefTradeAccountGID
 		WHERE ADCode LIKE 'ΠΑΡ-ΠΑ00%' AND DateTime(ADRegistrationDate, 'UTC') BETWEEN '${Bdate}' AND '${Edate}' 
		AND LOCAL_ESFITradeAccount.Name like '%${NName}%' 
		ORDER BY ADCode; "$
	'Log(SQlScript)
	Starter.LocalSQL.Initialize(File.DirRootExternal & "/DroidViewDB/", "DVDatabase.db", True)
	Curs1 = Starter.LocalSQL.ExecQuery(SQlScript)
	Log(Curs1.RowCount)
	For ii = 0 To Curs1.RowCount - 1
		Curs1.Position = ii
		OrdersTable.AddRowAutomaticWidth(Array As String(Main.General1.ChangeDateFormat(Curs1.GetString("ADRegistrationDate")), Curs1.GetString("ADCode"), Curs1.GetString("Name"), _
		NumberFormat2(Curs1.GetDouble("CurrencyNetValue"), 1, 0, 2, False) & "€", NumberFormat2(Curs1.GetDouble("VATValue"), 1, 0, 2, False) & "€", _
		NumberFormat2(Curs1.GetDouble("CurrencyTotalValue"), 1, 0, 2, False) & "€"))
		'ClientListView1.AddTwoLines2(Curs1.GetString("Name"), $"Υπλόλοιπο: ${Curs1.GetString("Balance")} - Τελευταία χρέωση: ${Curs1.GetString("Debit")} - Τελευταία πίστωση: ${Curs1.GetString("Credit")} - Επιταγές: ${Curs1.GetString("PendingNotes")} - Τζίρος: ${Curs1.GetString("Turnover")}"$, Curs1.GetString("GID"))
		'Res1 = Cur1.GetInt("HowMany")
		Sleep(0)
	Next
	DateTime.DateFormat = "dd/MM/yyyy"
	ProgressDialogHide
End Sub


Sub DateFiltrBtn_Click
	Dim Options1 As Map
	Options1.Initialize
	prefdialog.Initialize(Activity, "Επιλογή φίλτρου", 300dip, 250dip)
	'prefdialog.AddSeparator("Category #1")
	'prefdialog.AddBooleanItem("Boolean 1", "Yes or No?")
	'prefdialog.AddColorItem("Color 1", "Favorite Color")
	prefdialog.AddSeparator("Κατά ημερομηνία")
	prefdialog.AddDateItem("FromDate", "Από")
	prefdialog.AddDateItem("ToDate", "Έως")
	prefdialog.AddSeparator("και Επωνυμία")
	prefdialog.AddTextItem("Client", "Επωνυμία")
	'prefdialog.AddNumberItem("Number 1", "Number")
	'prefdialog.AddPasswordItem("Password", "Password")
'	prefdialog.AddSeparator("και παραστατικό")
'	prefdialog.AddShortOptionsItem("Options 1", "Season", Array("Summer", "Fall", "Winter", "Spring"))
	prefdialog.ShowDialog(Options1, "Αποδοχή", "Ακύρωση")
	Wait For (prefdialog.ShowDialog(Options1, "Αποδοχή", "Ακύρωση")) Complete (Result As Int)
	If Result = xui.DialogResponse_Positive Then
'		Dim sb As StringBuilder
'		sb.Initialize
		Dim Sb1, Sb2 As Long
		Dim Sb3 As String
		For Each key As String In Options1.Keys
			If key = "" Then Continue 'separators
			'sb.Append(key).Append(": ").Append(Options1.Get(key)).Append(CRLF)
			Sb1 = Options1.Get("FromDate")
			Sb2 = Options1.Get("ToDate")
			Sb3 = Options1.Get("Client")
		Next
		OrderList(Sb1, Sb2, Sb3)
	End If
End Sub

Sub AddOrderBtn_Click
	StartActivity("Document")
End Sub
