﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Activity
Version=8.5
@EndOfDesignText@
#Region  Activity Attributes 
	#FullScreen: True
	#IncludeTitle: True
#End Region

#Extends: android.support.v7.app.AppCompatActivity

Sub Process_Globals
	'These global variables will be declared once when the application starts.
	'These variables can be accessed from all modules.

End Sub

Sub Globals
	'These global variables will be redeclared each time the activity is created.
	'These variables can only be accessed from this module.
	Private Drawer As B4XDrawer
	Private ACToolBarLight1 As ACToolBarLight
	Private ToolbarHelper As ACActionBar
	Private Panel1 As Panel
	Private ListView1 As ListView
	Private ClientListView1 As ListView
End Sub

Sub Activity_Create(FirstTime As Boolean)
	'Do not forget to load the layout file created with the visual designer. For example:
	'Activity.LoadLayout("Layout1")
	'General1.Initialize
	Drawer.Initialize(Me, "Drawer", Activity, 250dip)
	Drawer.CenterPanel.LoadLayout("Clients")
	ACToolBarLight1.Title = "DroidView 2.0 - Πελάτες"
	ACToolBarLight1.SubTitle = "Για την ΙΩΣΗΦ Α.Ε. - Ευθύμιος Μαλαγράκης"
	Dim SyncBtn As ACButton
	SyncBtn.Initialize("SyncBtn")
	SyncBtn.Typeface = Typeface.MATERIALICONS
	SyncBtn.Text = ""
	ACToolBarLight1.AddView(SyncBtn, 50dip, 50dip, Gravity.RIGHT)
	Dim AddBtn As ACButton
	AddBtn.Initialize("AddBtn")
	AddBtn.Typeface = Typeface.MATERIALICONS
	AddBtn.Text = ""
	ACToolBarLight1.AddView(AddBtn, 50dip, 50dip, Gravity.RIGHT)
	Dim FindTxt As ACEditText
	FindTxt.Initialize("FindTxt")
	FindTxt.Hint = "Αναζήτηση"
	FindTxt.SingleLine = True
	ACToolBarLight1.AddView(FindTxt, 300dip, 50dip, Gravity.RIGHT)
	ToolbarHelper.Initialize
	ToolbarHelper.ShowUpIndicator = True 'set to true to show the up arrow
	Dim bd As BitmapDrawable
	bd.Initialize(LoadBitmap(File.DirAssets, "hamburger.png"))
	ToolbarHelper.UpIndicatorDrawable =  bd
	ACToolBarLight1.InitMenuListener
	Drawer.LeftPanel.LoadLayout("Left")
	Panel1.SetBackgroundImage(LoadBitmap(File.DirAssets, "headonlylogo48x48.png"))
	Main.General1.TheLeftMenu(ListView1)
	
	FealListviewWithClients("")
	
	
End Sub

Sub Activity_Resume

End Sub

Sub Activity_Pause (UserClosed As Boolean)

End Sub

Sub ACToolBarLight1_NavigationItemClick
	Drawer.LeftOpen = Not(Drawer.LeftOpen)
End Sub

Sub Activity_KeyPress (KeyCode As Int) As Boolean
	If KeyCode = KeyCodes.KEYCODE_BACK And Drawer.LeftOpen Then
		Drawer.LeftOpen = False
		Return True
	End If
	Return False
End Sub

Sub ListView1_ItemClick (Position As Int, Value As Object)
	Select Case Value
		Case "Παραγγελίες"
			StartActivity("Orders")
			Drawer.LeftOpen = False
		Case "Πελάτες"
			StartActivity("Clients")
			Drawer.LeftOpen = False
			
	End Select
End Sub

Sub Panel1_Click
	Activity.Finish
End Sub

Sub FindTxt_TextChanged (Old As String, New As String)
	FealListviewWithClients(New)
End Sub

Sub FealListviewWithClients(NName As String)
	ClientListView1.TwoLinesLayout.Label.TextColor = Colors.blue
	ClientListView1.Clear
	Dim SQlScript As String
	SQlScript = $"SELECT TBL2.GID, TBL2.Name, TBL1.Credit, TBL1.Debit, TBL1.PendingNotes, TBL3.Turnover, TBL3.Balance, TBL2.VATStatus
				  FROM LOCAL_ESFITradeAccountCurrentBalance TBL1
				  LEFT JOIN LOCAL_ESFITradeAccount TBL2 ON (TBL2.GID = TBL1.fTradeAccountGID)
				  LEFT JOIN LOCAL_EGM_CUSTOMER_OVERVIEW TBL3 ON (TBL3.ISUDGID = TBL2.GID)
				  LEFT JOIN LOCAL_ESGOPerson TB4 ON TB4.GID = TBL2.fPersonCodeGID
				  LEFT JOIN LOCAL_ESGOSites TB5 ON TB5.fPersonCodeGID = TB4.GID
				  WHERE TBL2.Name LIKE '%${NName}%' 
				  OR TB4.TaxRegistrationNumber LIKE '%${NName}%' 
				  OR TBL2.Code LIKE '%${NName}%' 
                  OR TB5.fPostalCode LIKE '%${NName}%' 
                  OR TB5.fCityCode LIKE '%${NName}%'  
                  OR TB5.Telephone1 LIKE '%${NName}%'  
                  OR TB5.Telephone2 LIKE '%${NName}%' 
				  ORDER BY TBL2.Name"$
	Log(SQlScript)
	Dim Curs1 As Cursor
	Starter.LocalSQL.Initialize(File.DirRootExternal & "/DroidViewDB/", "DVDatabase.db", True)
	Curs1 = Starter.LocalSQL.ExecQuery(SQlScript)
	For i = 0 To Curs1.RowCount - 1
		Curs1.Position = i
		ClientListView1.AddTwoLines2(Curs1.GetString("Name"), $"Υπλόλοιπο: ${Curs1.GetString("Balance")} - Τελευταία χρέωση: ${Curs1.GetString("Debit")} - Τελευταία πίστωση: ${Curs1.GetString("Credit")} - Επιταγές: ${Curs1.GetString("PendingNotes")} - Τζίρος: ${Curs1.GetString("Turnover")}"$, Curs1.GetString("GID"))
		'Res1 = Cur1.GetInt("HowMany")
	Next
End Sub

Sub ClientListView1_ItemClick (Position As Int, Value As Object)
	Main.General1.ClientValueGID = Value
	'Log(Main.General1.ClientValueGID)
	If Main.General1.LookingForClient = False Then
		StartActivity("Client_info")
	Else
		StartActivity("Document")
		Activity.Finish
	End If
End Sub