﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=StaticCode
Version=8.5
@EndOfDesignText@
'Code module
'Subs in this code module will be accessible from all modules.
Sub Process_Globals
	'These global variables will be declared once when the application starts.
	'These variables can be accessed from all modules.
	
End Sub

Sub CreateTablesInDatabase
	'ProgressDialogShow2("Δημιουργία πινάκων στην βάση δεδομένων. Μην διακόψετε την διαδικασία.", False)
	' Settings Table
	Starter.LocalSQL.ExecNonQuery("CREATE TABLE IF NOT EXISTS LOCAL_Settings ( `SERVERURL` TEXT, `SALESMANCODE` TEXT, `SALESMANNAME` TEXT, " _
								& "`GID` TEXT, `LASTSYNCDATE` TEXT, `FIRSTRUN_CODE` INTEGER)")
	' ESFIITEM
	Starter.LocalSQL.ExecNonQuery($"CREATE TABLE IF NOT EXISTS `LOCAL_ESFIItem` ( `GID` TEXT UNIQUE, `Code` TEXT, `Description` TEXT,
								`AlternativeDescription` TEXT, `DetailDescription` TEXT, `Inactive` INTEGER, `fSITaxCode` TEXT, 
								`InternationalCode` TEXT, `AlternativeCode` TEXT, `BarCode` TEXT,
								`AssemblyType` INTEGER, `ItemClass` INTEGER, `ItemType` INTEGER, `fMainSupplierGID` TEXT, `fManufacturerPersonGID` TEXT,
								`Manufacturer` TEXT, `fCountryOriginCode` TEXT, `fTariffCode` TEXT, `Price` NUMERIC, `RetailPrice` NUMERIC, 
								`MarkupOnPrice` NUMERIC, `MarkupOnRetailPrice` NUMERIC, `PriceIncludedVAT` INTEGER, `RetailPriceIncludedVAT` INTEGER, 
								`fMainMUGID` TEXT, `fAltMUGID` TEXT, `fVolumeMUGID` TEXT, `fWeightMUGID` TEXT, `fVATCategoryCode` INTEGER, 
								`Discount` NUMERIC, `MaxDiscount` NUMERIC, `MinProfitMargin` NUMERIC, `MinSalesOrderQty` NUMERIC, `UsualPurchaseOrderQty` NUMERIC, 
								`fCommissionLevelCode` TEXT, `fItemFamilyCode` TEXT, `fItemGroupCode` TEXT, `fItemCategoryCode` TEXT, `fItemSubcategoryCode` TEXT, 
								`fTaxesGroupGID` TEXT, `fChargesGroupGID` TEXT, `fBaseBOMGID` TEXT, `fDiscountGroupGID` TEXT, `StandardCost` NUMERIC, 
								`ValuationMethod` INTEGER, `fItemControlProfileGID` TEXT, `IncludedTaxReports` INTEGER, `SerialNumberMgmt` INTEGER, 
								`LotMgmt` INTEGER, `ColorMgmt` INTEGER, `SizeMgmt` INTEGER, `StockDim1Mgmt` INTEGER, `StockDim2Mgmt` INTEGER, `fColorSetGID` TEXT, 
								`fSizeSetGID` TEXT, `fStockDim1SetGID` TEXT, `fStockDim2SetGID` TEXT, `Comment` TEXT, `GLAccountCode` TEXT, `fCatalogueItemGID` TEXT, 
								`fTableField1Code` TEXT, `fTableField2Code` TEXT, `fTableField3Code` TEXT, `fTableField4Code` TEXT, `fTableField5Code` TEXT, 
								`fTableField6Code` TEXT, `fTableField7Code` TEXT, `fTableField8Code` TEXT, `fTableField9Code` TEXT, `fTableField10Code` TEXT, 
								`StringField1` TEXT, `StringField2` TEXT, `StringField3` TEXT, `StringField4` TEXT, `StringField5` TEXT, `StringField6` TEXT, 
								`StringField7` TEXT, `StringField8` TEXT, `StringField9` TEXT, `StringField10` TEXT, `DateField1` TEXT, `DateField2` TEXT, 
								`DateField3` TEXT, `DateField4` TEXT, `DateField5` TEXT, `NumericField1` NUMERIC, `NumericField2` NUMERIC, `NumericField3` NUMERIC,
								`NumericField4` NUMERIC, `NumericField5` NUMERIC, `NumericField6` NUMERIC, `NumericField7` NUMERIC, `NumericField8` NUMERIC, 
								`NumericField9` NUMERIC, `NumericField10` NUMERIC, `Flag1` INTEGER, `Flag2` INTEGER, `Flag3` INTEGER, `Flag4` INTEGER, 
								`Flag5` INTEGER, `Flag6` INTEGER, `Flag7` INTEGER, `Flag8` INTEGER, `Flag9` INTEGER, `Flag10` INTEGER, `Flag11` INTEGER, 
								`Flag12` INTEGER, `fBusinessUnitCode` TEXT, `fBusinessActivityCode` TEXT, `fDimension1Code` TEXT, `fDimension2Code` TEXT, 
								`ESDCreated` TEXT, `ESUCreated` TEXT, `ESDModified` TEXT, `ESUModified` TEXT, `fCompanyCode` TEXT, `fGLSegCode` TEXT, 
								`fItemPricingCategoryCode` TEXT, `fIntrastatCode` TEXT, `fCostElementTypeGID` TEXT, `BOMLevel` INTEGER, `AssetType` INTEGER, 
								`MainCode` INTEGER, `fDepreciationProfileGID` TEXT, `fAlternativeDepreciationProfileGID` TEXT, `fInformativeDepreciationProfileGID` TEXT, 
								`OutOfUsage` INTEGER, `fMainAssetGID` TEXT, `fAssetGLSegCode` TEXT, `fDepreciationGLSegCode` TEXT, `fDepreciatedGLSegCode` TEXT, 
								`fBudgetItemGroupCode` TEXT, `fConveyanceCode` TEXT, `DateField6` TEXT, `DateField7` TEXT, `DateField8` TEXT, `DateField9` TEXT, 
								`DateField10` TEXT, `Price1` NUMERIC, `Price2` NUMERIC, `Price3` NUMERIC, `Price1IncludedVAT` INTEGER, `Price2IncludedVAT` INTEGER, 
								`Price3IncludedVAT` INTEGER, `StorageLocationCodes` TEXT, `SubType` INTEGER, `fSeasonCode` TEXT, `VATCalculationValue` INTEGER, 
								`CostIncludedVAT` INTEGER, `fItemNetProfitCodesGID` TEXT, `fPropertySetCode` TEXT, `fPropertySetGID` TEXT, `WEB` INTEGER, 
								`fDeductionGroupGID` TEXT, `fBonusGroupGID` TEXT, `ValuationMethodAnalysis` INTEGER, `fWarrantyTermGID` TEXT, 
								`ValuationPerPeriod` INTEGER, `DocumentMessage` TEXT, `TS` TEXT, `ServiceMUType` INTEGER, `fAllocationProfileGID` TEXT, 
								`fItemAllocationProfileGID` TEXT, `Mobile` INTEGER, `SelectInMobileOrder` INTEGER, `ExpenseType` INTEGER, `ServiceType` INTEGER, 
								`PerCentOfTaxExclusion` NUMERIC, `fTaxDifferencesAccountGID` TEXT, `ElementExportCategory` INTEGER, `MarkupOnPrice1` NUMERIC, 
								`MarkupOnPrice2` NUMERIC, `MarkupOnPrice3` NUMERIC, `OpeningPerFiscalYear` INTEGER, `fItemControlPolicyGID` TEXT, 
								`LotCharacteristicsMgmt` INTEGER, `fValidStockDimensionsProfileGID` TEXT, `fBCSNValidationTypeCode` TEXT )"$)
								
	' ESFIZShippingMethod
	Starter.LocalSQL.ExecNonQuery("CREATE TABLE IF NOT EXISTS `LOCAL_ESFIZShippingMethod` ( `Code` TEXT UNIQUE, `Description` TEXT, `AlternativeDescription` TEXT, " _
								& "`Inactive` INTEGER, `fTransportTypeCode` TEXT, `TS` TEXT, `CountryID` TEXT, `fTransportPlanGID` TEXT )")
								
	' ESGOZTaxOffice
	Starter.LocalSQL.ExecNonQuery("CREATE TABLE IF NOT EXISTS `LOCAL_ESGOZTaxOffice` ( `Code` TEXT, `Description` TEXT, `AlternativeDescription` TEXT, " _
								& "`Inactive` INTEGER, `Address` TEXT, `City` TEXT, `PostalCode` TEXT, `TelephoneNumber1` TEXT, " _
								& "`TelephoneNumber2` TEXT, `PersonOfCommunication` TEXT, `TS` TEXT )")
								
	' ESGOPerson
	Starter.LocalSQL.ExecNonQuery("CREATE TABLE IF NOT EXISTS `LOCAL_ESGOPerson` ( `GID` TEXT UNIQUE, `Code` TEXT, `Name` TEXT, `MultilingualName` TEXT, " _
								& "`FullName` TEXT, `CommonName` TEXT, `GroupPerson` INTEGER, `fParentGID` TEXT, `fCompanyKindCode` TEXT, `fActivityCode` TEXT, " _
								& "`ActivityDescription` TEXT, `TaxRegistrationNumber` TEXT, `fTaxOfficeCode` TEXT, `VATStatus` INTEGER, `fMainAddressGID` TEXT, " _
								& "`fGroupCode` TEXT, `fCategoryCode` TEXT, `fLanguageCode` TEXT, `EMailAddress` TEXT, `WEBSite` TEXT, `Remarks` TEXT, " _
								& "`AccessGroup` INTEGER, `PersonKind` INTEGER, `LastName` TEXT, `FirstName` TEXT, `fTitleCode` TEXT, `FatherName` TEXT, " _
								& "`MotherName` TEXT, `Sex` INTEGER, `IDCode` TEXT, `FamilyStatus` INTEGER, `Birthday` TEXT, `Anniversary` TEXT, " _
								& "`Mobile1` TEXT, `Mobile2` TEXT, `ESDModified` TEXT, `ESUModified` TEXT, `ESDCreated` TEXT, `ESUCreated` TEXT, " _
								& "`fTableField1Code` TEXT, `fTableField2Code` TEXT, `fTableField3Code` TEXT, `fTableField4Code` TEXT, " _
								& "`fTableField5Code` TEXT, `fTableField6Code` TEXT, `fTableField7Code` TEXT, `fTableField8Code` TEXT, " _
								& "`fTableField9Code` TEXT, `fTableField10Code` TEXT, `Stringfield1` TEXT, `Stringfield2` TEXT, `Stringfield3` TEXT, " _
								& "`Stringfield4` TEXT, `Stringfield5` TEXT, `Stringfield6` TEXT, `Stringfield7` TEXT, `Stringfield8` TEXT, " _
								& "`Stringfield9` TEXT, `Stringfield10` TEXT, `NumericField1` NUMERIC, `NumericField2` NUMERIC, `NumericField3` NUMERIC, " _
								& "`NumericField4` NUMERIC, `NumericField5` NUMERIC, `NumericField6` NUMERIC, `NumericField7` NUMERIC, `NumericField8` NUMERIC, " _
								& "`NumericField9` NUMERIC, `NumericField10` NUMERIC, `DateField1` TEXT, `DateField2` TEXT, `DateField3` TEXT, `DateField4` TEXT, " _ 
								& "`DateField5` TEXT, `DateField6` TEXT, `DateField7` TEXT, `DateField8` TEXT, `DateField9` TEXT, `DateField10` TEXT, " _
								& "`FlagField1` INTEGER, `FlagField2` INTEGER, `FlagField3` INTEGER, `FlagField4` INTEGER, `FlagField5` INTEGER, " _
								& "`FlagField6` INTEGER, `FlagField7` INTEGER, `FlagField8` INTEGER, `FlagField9` INTEGER, `FlagField10` INTEGER, " _
								& "`fCalendarItemGID` TEXT, `Inactive` INTEGER, `fEducationLevelCode` TEXT, `fNationalityCountryCode` TEXT, " _
								& "`fResidenceCountryCode` TEXT, `fBirthCountryCode` TEXT, `DateOfBirth` TEXT, `fReferredPersonGID` TEXT, " _
								& "`PreferredWayOfContract` INTEGER, `TS` TEXT, `BulStat` TEXT, `TradeRegistrationNumber` TEXT, " _
								& "`PersonalNumericCode` INTEGER, `SoundName` TEXT, `fPropertySetGID` TEXT, `PaymentVATRequired` INTEGER, " _
								& "`EORINumber` TEXT, `SplitOnVATRequired` INTEGER, `GCP` INTEGER )")
								
	' ESGOSites
	Starter.LocalSQL.ExecNonQuery("CREATE TABLE IF NOT EXISTS `LOCAL_ESGOSites` ( `GID` TEXT UNIQUE, `fPersonCodeGID` TEXT, `Code` TEXT, `Description` TEXT, " _
								& "`fSiteTypeCode` TEXT, `Status` INTEGER, `KindSite` INTEGER, `KindWH` INTEGER, `fSiteGID` TEXT, `Address1` TEXT, " _
								& "`Address2` TEXT, `fPostalCode` TEXT, `fCityCode` TEXT, `Area` TEXT, `fRegionGroupCode` TEXT, `fCountryCode` TEXT, " _
								& "`Telephone1` TEXT, `Telephone2` TEXT, `FaxNumber1` TEXT, `FaxNumber2` TEXT, `fManagerNameGID` TEXT, `ManagerName` TEXT, " _
								& "`AutoActivation` INTEGER, `VATStatus` INTEGER, `NonValuated` INTEGER, `IndependentValuation` INTEGER, `GLCode1` TEXT, " _
								& "`Address1Number` NUMERIC, `Address2Number` NUMERIC, `fDistrictCode` TEXT, `Priority` INTEGER, `ThirdWH` INTEGER, " _
								& "`email` TEXT, `web` TEXT, `PriorityIn` INTEGER, `Address3Number` NUMERIC, `Address4Number` NUMERIC, `Address5Number` NUMERIC, " _
								& "`Address6Number` NUMERIC, `Address7Number` NUMERIC, `Address8Number` NUMERIC, `Address9Number` NUMERIC, `Address10Number` NUMERIC, " _
								& "`Stringfield1` TEXT, `Stringfield2` TEXT, `Stringfield3` TEXT, `Stringfield4` TEXT, `Stringfield5` TEXT, `Stringfield6` TEXT, " _
								& "`Stringfield7` TEXT, `Stringfield8` TEXT, `Stringfield9` TEXT, `Stringfield10` TEXT, `fTableField1Code` TEXT, " _
								& "`fTableField2Code` TEXT, `fTableField3Code` TEXT, `fTableField4Code` TEXT, `fTableField5Code` TEXT, `fTableField6Code` TEXT, " _
								& "`fTableField7Code` TEXT, `fTableField8Code` TEXT, `fTableField9Code` TEXT, `fTableField10Code` TEXT, `Latitude` NUMERIC, " _
								& "`Longitude` NUMERIC, `GeoArea` TEXT, `AddressConfirmed` INTEGER, `ESDCreated` TEXT, `ESUCreated` TEXT, `ESDModified` TEXT, " _
								& "`ESUModified` TEXT, `EPaymentCode` TEXT, `fDefaultRetailTradeAccountGID` TEXT, `fDefaultCreditorTradeAccountGID` TEXT, " _
								& "`TS` TEXT, `fAllocationProfileGID` TEXT, `DateField1` TEXT, `DateField2` TEXT, `DateField3` TEXT, `DateField4` TEXT, " _
								& "`DateField5` TEXT, `DateField6` TEXT, `DateField7` TEXT, `DateField8` TEXT, `DateField9` TEXT, `DateField10` TEXT, " _
								& "`FlagField1` INTEGER, `FlagField2` INTEGER, `FlagField3` INTEGER, `FlagField4` INTEGER, `FlagField5` INTEGER, " _
								& "`FlagField6` INTEGER, `FlagField7` INTEGER, `FlagField8` INTEGER, `FlagField9` INTEGER, `FlagField10` INTEGER, " _
								& "`NumberOfEmployees` INTEGER, `AreaInSquareMeters` INTEGER, `fCategoryValue1GID` TEXT, `fCategoryValue2GID` TEXT, " _
								& "`fCategoryValue3GID` TEXT, `DistributionPoint` INTEGER, `fDefaultCashOnDeliveryTradeAccountGID` TEXT, `Plant` INTEGER, " _
								& "`GLN` TEXT, `DispositionWH` INTEGER, `fReferenceWHGID` TEXT, `CustomsType` INTEGER, `SalesPoint` INTEGER)")
								
	' ESFITradeAccountCurrentBalance
	Starter.LocalSQL.ExecNonQuery("CREATE TABLE IF NOT EXISTS `LOCAL_ESFITradeAccountCurrentBalance` ( `GID` TEXT UNIQUE, `fTradeAccountGID` TEXT, " _
								& "`Debit` NUMERIC, `Credit` NUMERIC, `PendingNotes` NUMERIC, `fSiteGID` TEXT, `fCompanyCode` TEXT, " _
								& "`SelfPendingNotes` NUMERIC, `PendingOrders` NUMERIC, `PendingInvoices` NUMERIC, `BonusDebit` NUMERIC, " _
								& "`BonusCredit` NUMERIC, `ForecastedBonusValue` NUMERIC, `GrossTurnover` NUMERIC )")
	' ESGOZActivity
	Starter.LocalSQL.ExecNonQuery("CREATE TABLE IF NOT EXISTS`LOCAL_ESGOZActivity` ( `Code` TEXT UNIQUE, `Description` TEXT, `AlternativeDescription` TEXT, " _
								& "`Inactive` INTEGER, `GLCode1` TEXT, `GLCode2` TEXT, `GLCode3` TEXT, `GLCode4` TEXT, `ESDModified` TEXT, " _
								& "`ESUModified` TEXT, `ESDCreated` TEXT, `ESUCreated` TEXT, `fIndustryCode` TEXT, `TS` TEXT )")
	' ESGOPersonLists
	Starter.LocalSQL.ExecNonQuery("CREATE TABLE IF NOT EXISTS `LOCAL_ESGOPersonLists` ( `fPersonCodeGID` TEXT UNIQUE, `MemberOfList` INTEGER, " _
								& "`FileSaveFolder` TEXT, `SpecialCode` TEXT, `SwiftCode` TEXT, `CourierProviderCode` INTEGER, `fTimeMUCode` TEXT, " _
								& "`MaxWorkingTime` NUMERIC, `MaxTravelTime` NUMERIC )")
								
	' EGM_Kartela
	Starter.LocalSQL.ExecNonQuery("CREATE TABLE IF NOT EXISTS `LOCAL_EGM_Kartela` (`GID` TEXT UNIQUE, `RegistrationDate` TEXT, `DocumentCode` TEXT, " _
								& "`LongComment` TEXT, `Debit` NUMERIC, `Credit` NUMERIC, `Balance` NUMERIC, `fTradeAccountGID` TEXT )")
								
	' ESFITradeAccount
	Starter.LocalSQL.ExecNonQuery("CREATE TABLE IF NOT EXISTS `LOCAL_ESFITradeAccount` ( `GID` TEXT UNIQUE, `Code` TEXT, `Name` TEXT, `AlternativeName` TEXT, " _
								& "`fPersonCodeGID` TEXT, `fCompanyCode` TEXT, `fSiteGID` TEXT,	`fBusinessUnitCode` TEXT, `fBusinessActivityCode` TEXT, " _
								& "`fDimension1Code` TEXT, `fDimension2Code` TEXT, `Type` INTEGER, `Nature` INTEGER, `Inactive` INTEGER, " _
								& "`AlternativeCode` TEXT, `KEPYOStatus` INTEGER, `VATStatus` INTEGER, `PosostoFPA` NUMERIC, `Remarks` TEXT, `fCommercialProfileGID` TEXT, " _
								& "`fInvoicePolicyGID` TEXT, `TradeDiscount` NUMERIC, `fFamilyCode` TEXT, `fSalesPersonGID` TEXT, " _
								& "`fAccountManagerGID` TEXT, `fCommissionLevelCode` TEXT, `fFixedSupplierGID` TEXT, `fChargesGroupGID` TEXT, " _
								& "`fDiscountGroupGID` TEXT, `fDeductionGroupGID` TEXT, `fPaymentMethodGID` TEXT, `OrderPriority` INTEGER, " _
								& "`fShippingMethodCode` TEXT, `fTransporterGID` TEXT, `fUsualRouteCode` TEXT, `AccountStartDate` TEXT, " _
								& "`fTradeCurrencyCode` TEXT, `fCreditControlProfileGID` TEXT, `BalanceLimit` NUMERIC, `OpenBalanceNotesLimit` NUMERIC, " _
								& "`OpenBalanceTotalNotesLimit` NUMERIC, `fInterestProfileCode` TEXT, `fCollectorGID` TEXT, `PaymentDay` TEXT, " _
								& "`FromHours` TEXT, `ToHours` TEXT, `MatchingCriteria` INTEGER, `fMatchingFieldGID` TEXT, `fWareHouseGID` TEXT, " _
								& "`fTableField1Code` TEXT, `fTableField2Code` TEXT, `fTableField3Code` TEXT, `fTableField4Code` TEXT, " _
								& "`fTableField5Code` TEXT, `fTableField6Code` TEXT, `fTableField7Code` TEXT, `fTableField8Code` TEXT, " _
								& "`fTableField9Code` TEXT, `fTableField10Code` TEXT, `Stringfield1` TEXT, `Stringfield2` TEXT, `Stringfield3` TEXT, " _
								& "`Stringfield4` TEXT, `Stringfield5` TEXT, `Stringfield6` TEXT, `Stringfield7` TEXT, `Stringfield8` TEXT, " _
								& "`Stringfield9` TEXT, `Stringfield10` TEXT, `NumericField1` NUMERIC, `NumericField2` NUMERIC, `NumericField3` NUMERIC, " _
								& "`NumericField4` NUMERIC, `NumericField5` NUMERIC, `NumericField6` NUMERIC, `NumericField7` NUMERIC, " _
								& "`NumericField8` NUMERIC,	`NumericField9` NUMERIC, `NumericField10` NUMERIC, `DateField1` TEXT, `DateField2` TEXT, " _
								& "`DateField3` TEXT, `DateField4` TEXT, `DateField5` TEXT, `DateField6` TEXT, `DateField7` TEXT, `DateField8` TEXT, " _
								& "`DateField9` TEXT, `DateField10` TEXT, `ESDCreated` TEXT, `ESUCreated` TEXT,	`ESDModified` TEXT, `ESUModified` TEXT, " _
								& "`fGLAccountGID` TEXT, `fGLSegCode` TEXT, `fPriceListGID` TEXT, `fTradeAccountPricingCategoryCode` TEXT, " _
								& "`GLAccountCode` TEXT, `DayOfMonth` TEXT, `DocumentMessage` TEXT, `fBudgetTradeAccountGroupCode` TEXT, " _
								& "`Flag1` INTEGER,	`Flag2` INTEGER, `Flag3` INTEGER, `Flag4` INTEGER, `Flag5` INTEGER, `Flag6` INTEGER, " _
								& "`Flag7` INTEGER,	`Flag8` INTEGER, `Flag9` INTEGER, `Flag10` INTEGER,	`PriceZone` INTEGER, `NumValeurDays` INTEGER, " _
								& "`GroupDocuments` INTEGER, `ClubCardNumber` TEXT, `fRLSNodeGID` TEXT, `fBonusGroupGID` TEXT, " _
								& "`ConsignmentParticipation` INTEGER, `fPropertySetGID` TEXT, `ProposedPaymentType` INTEGER, `IncludeTaxDocs` INTEGER, " _
								& "`SoundName` TEXT, `TS` TEXT,	`PrintFormPostfix` TEXT, `SolvencyType` INTEGER, `SolvencyDate` TEXT, " _
								& "`PrintHardCopy` INTEGER, `InvoiceEMailAddress` TEXT, `fEInvoiceProfileGID` TEXT,	`eInvoice` INTEGER, " _
								& "`FacebookAccount` TEXT, `TwitterAccount` TEXT, `fIntercessorGID` TEXT, `Concerns` INTEGER, `BarcodeStack` INTEGER, " _
								& "`SubjectToTax` INTEGER, `AllowBackOrders` INTEGER )")
								
	' ESFIPricelist
	Starter.LocalSQL.ExecNonQuery($"CREATE TABLE IF NOT EXISTS `LOCAL_ESFIPricelist` ( `ESFIPricelistGID` TEXT, `ESFIPricelistCode` TEXT,
									`ESFIItemGID` TEXT, `ESFIItemCode` TEXT, `NetPrice` NUMERIC )"$)
									
	' EGM_CUSTOMER_OVERVIEW
	Starter.LocalSQL.ExecNonQuery($"CREATE TABLE IF NOT EXISTS `LOCAL_EGM_CUSTOMER_OVERVIEW` (`fSalesPersonGID` TEXT, `ISUDGID` TEXT UNIQUE,
									`CustomerCode` TEXT, `CustomerName` TEXT, `TaxRegistrationNumber` TEXT, `KathestosFPA` TEXT, `ActivityDescription` TEXT, `Address` TEXT, 
									`RegionGroup` TEXT, `FamilyDescription` TEXT, `GroupDescription` TEXT, `CategoryDescription` TEXT, `Balance` NUMERIC, `PendingNotes` NUMERIC, 
									`TradeBalance` NUMERIC, `PendingInvoices` NUMERIC, `PendingOrders` NUMERIC, `Telephone` TEXT, `Fax` TEXT, `ReportTitle` TEXT, `Taytothta` TEXT, 
									`Kwdikos` TEXT, `Customername1` TEXT, `AFM` TEXT, `Epaggelma` TEXT, `Dieythinsi` TEXT, `RegionGroup1` TEXT, `Telephones` TEXT, `Pwlitis` TEXT, 
									`Groupings` TEXT, `Omada` TEXT, `Oikogeneia` TEXT, `Kathgoria` TEXT, `Oroi_Synal` TEXT, `Orio_Pist` TEXT, `Pist_Politiki` TEXT, `Hm_Plir` TEXT, 
									`Trop_plhr` TEXT, `Percent1` TEXT, `Percent2` TEXT, `Zwni_timwn` TEXT, `Pist_polit` TEXT, `Hmeres_Pist` TEXT, `Timokatalogos` TEXT, 
									`Empor_polit` TEXT, `LogistikoYpoloipo` TEXT, `EkrAkxografa` TEXT, `EmporikoYpoloipo` TEXT, `Ekr_timol` TEXT, `Ekr_parag` TEXT, 
									`Tipota1` TEXT, `Tipota2` TEXT, `Oiko_Stoixeia` TEXT, `Fax1` TEXT, `email` TEXT, `Description1` TEXT, `PaymentDay` TEXT, `Description2` TEXT, 
									`PriceZone` INTEGER, `NumValeurDays` INTEGER, `Description3` TEXT, `Code6` TEXT, `Name` TEXT, `TradeDiscount1` NUMERIC, 
									`TradeDiscount2` NUMERIC, `BalanceLimit` NUMERIC, `Description4` TEXT, `EMailAddress` TEXT, `Turnover` NUMERIC, `ZoniTimon` TEXT, 
									`PaymentDays_text` TEXT, `Tziros` TEXT, `Description5` TEXT, `Ypok` TEXT, `NotesIdias` NUMERIC, `NotesTritwn` NUMERIC, 
									`WEBSite` TEXT, `EkrAkxografa2` TEXT, `SiteInfo` TEXT, `CompanyKind_Description` ΤΕΧΤ, `TaxOffice` ΤΕΧΤ, 
									`Telephone2` TEXT, `Fax2` TEXT )"$)
									
	' EGM_YEARS
	Starter.LocalSQL.ExecNonQuery($"CREATE TABLE IF NOT EXISTS `LOCAL_EGM_YEARS` (`BeginDate` TEXT, `EndDate` TEXT, `eAuditFolderName` INTEGER, 
									`BEGINNING` TEXT, `ENDING` TEXT, `GID` TEXT UNIQUE )"$)
	
	' ESFIDocumentTrade
	Starter.LocalSQL.ExecNonQuery($"CREATE TABLE IF NOT EXISTS `LOCAL_ESFIDocumentTrade` (`Gid` TEXT UNIQUE, `ADRegistrationDate` TEXT, `ADCode` TEXT, `ESFIDocumentTypeDescription` TEXT,
									`ESFIPaymentMethodDescription` TEXT, `ESFIDocumentTradeADReferenceCode` TEXT, `ESFIDocumentTradefTradeAccountGID` TEXT, 
									`ESFIDocumentTradefTradeAccountSiteGID` TEXT, `ESFIDocumentTradefShippingMethodCode` TEXT, `ESFIDocumentTradefTransporterGID` TEXT,
									`CurrencyNetValue` NUMERIC, `CurrencyTotalValue` NUMERIC, `VATValue` NUMERIC, `fSalesPersonGID` TEXT, `TS` TEXT )"$)
									
	' ESMMItemMU
	Starter.LocalSQL.ExecNonQuery($"CREATE TABLE IF NOT EXISTS `LOCAL_ESMMItemMU` (`GID` TEXT UNIQUE, `fItemGID` TEXT, `fMUCode` TEXT, `Relation` NUMERIC, `TS` TEXT )"$)
	
	' ESFILineItem
	Starter.LocalSQL.ExecNonQuery($"CREATE TABLE IF NOT EXISTS `LOCAL_ESFILineItem` (`GID` TEXT UNIQUE, `fDocumentGID` TEXT, `LineNumber` INTEGER, `fItemGID` TEXT, `Quantity` NUMERIC,
									`Price` NUMERIC, `BaseValue` NUMERIC, `Discount1` NUMERIC, `Discount2` NUMERIC, `NetValue` NUMERIC, `VATValue` NUMERIC, 
									`TotalValue` NUMERIC, `Comment` TEXT, `TS` TEXT )"$)
	
	' LOCAL_Temp_Order_Header
	Starter.LocalSQL.ExecNonQuery($"CREATE TABLE IF NOT EXISTS `LOCAL_Temp_Order_Header` (`OrderCode` TEXT, `Gid` TEXT,	`InsDate` BIGINT, `Code` TEXT, `Name` TEXT, `KathestosFPA` TEXT, `NomikiMorfi` TEXT,
									`AFM` TEXT, `DOY` TEXT, `Epaggelma` TEXT, `Address` TEXT, `Thl1` TEXT, `Fax1` TEXT, `Thl2` TEXT, `Fax2` TEXT, `Email` TEXT, `Web` TEXT,
									`Ekptosi1` NUMERIC, `Ekptosi2` NUMERIC, `Timokatalogos` TEXT, `ShippingMethod` TEXT, `Transporter` TEXT, `Facebook` TEXT, `Twitter` TEXT,
									`FPAPercent` NUMERIC, `Comment` TEXT);"$)
	' 
	Starter.LocalSQL.ExecNonQuery($"CREATE TABLE IF NOT EXISTS `LOCAL_Temp_LinesItem` (`OrderCode` TEXT, `Gid` TEXT, `LineAA` INTEGER, `Code` TEXT, `Description` TEXT,
    								`Munit` TEXT, `Price` NUMERIC, `Quantity` NUMERIC, `Total` NUMERIC, `FPA` NUMERIC, `FPAValue` NUMERIC, `Comment` TEXT, `Ekptosi1` NUMERIC, `Ekptosi2` NUMERIC);"$)
									
									
									
End Sub