﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Activity
Version=9
@EndOfDesignText@
#Region  Activity Attributes 
	#FullScreen: True
	#IncludeTitle: True
#End Region

#Extends: android.support.v7.app.AppCompatActivity

Sub Process_Globals
	'These global variables will be declared once when the application starts.
	'These variables can be accessed from all modules.

End Sub

Sub Globals
	'These global variables will be redeclared each time the activity is created.
	'These variables can only be accessed from this module.
	Private Drawer As B4XDrawer
	Private ACToolBarLight1 As ACToolBarLight
	Private ToolbarHelper As ACActionBar
	Private Panel1 As Panel
	Private ListView1 As ListView
	Private DocumentTabHost As TabHost
	Private CodeEditText As EditText
	Private NameEditText As EditText
	Private AFMEditText As EditText
	Private DicountEditText1 As EditText
	Private DicountEditText2 As EditText
	Private AddressEditText As EditText
	Private TimokatalogosEditText As EditText
	Private TroposApostolisEditText As EditText
	Private MetaforeasEditText As EditText
	Private Label11 As Label
	Private AnotherDatePicker1 As AnotherDatePicker
	Dim ClientSearchBtn As ACButton
	Dim ItemsAddBtn As ACButton
	Dim SaveBtn As ACButton
	Dim SyncBtn As ACButton
	Private KathestosFPA As EditText
	Public ItemTable As Table

End Sub

Sub Activity_Create(FirstTime As Boolean)
	'Do not forget to load the layout file created with the visual designer. For example:
	'Activity.LoadLayout("Layout1")
	Drawer.Initialize(Me, "Drawer", Activity, 250dip)
	Drawer.CenterPanel.LoadLayout("Document")
	ACToolBarLight1.Title = "DroidView 2.0 - Νέα παραγγελία"
	ACToolBarLight1.SubTitle = "Για την ΙΩΣΗΦ Α.Ε. - Ευθύμιος Μαλαγράκης"
	SyncBtn.Initialize("SyncBtn")
	SyncBtn.Typeface = Typeface.MATERIALICONS
	SyncBtn.Text = ""
	ACToolBarLight1.AddView(SyncBtn, 50dip, 50dip, Gravity.RIGHT)
	SaveBtn.Initialize("SaveBtn")
	SaveBtn.Typeface = Typeface.MATERIALICONS
	SaveBtn.Text = ""
	ACToolBarLight1.AddView(SaveBtn, 50dip, 50dip, Gravity.RIGHT)
	SaveBtn.Visible = False
	ClientSearchBtn.Initialize("ClientSearchBtn")
	ClientSearchBtn.Typeface = Typeface.MATERIALICONS
	ClientSearchBtn.Text = ""
	ACToolBarLight1.AddView(ClientSearchBtn, 50dip, 50dip, Gravity.RIGHT)
	ItemsAddBtn.Initialize("ItemsAddBtn")
	ItemsAddBtn.Typeface = Typeface.MATERIALICONS
	ItemsAddBtn.Text = ""
	ACToolBarLight1.AddView(ItemsAddBtn, 50dip, 50dip, Gravity.RIGHT)
	ItemsAddBtn.Visible = False
	ToolbarHelper.Initialize
	ToolbarHelper.ShowUpIndicator = True 'set to true to show the up arrow
	Dim bd As BitmapDrawable
	bd.Initialize(LoadBitmap(File.DirAssets, "hamburger.png"))
	ToolbarHelper.UpIndicatorDrawable =  bd
	ACToolBarLight1.InitMenuListener
	Drawer.LeftPanel.LoadLayout("Left")
	Panel1.SetBackgroundImage(LoadBitmap(File.DirAssets, "headonlylogo48x48.png"))
	Main.General1.TheLeftMenu(ListView1)
	DocumentTabHost.AddTab("ΣΤΟΙΧΕΙΑ ΕΚΔΟΣΗΣ", "Document_STOIXEIA_EKDOSEIS.bal")
	DocumentTabHost.AddTab("ΕΙΔΗ", "Document_EIDH.bal")
	DocumentTabHost.AddTab("ΠΛΗΡΟΦΟΡΙΕΣ", "Document_INFO.bal")
	
	ItemTable.InitializeTable(9, Gravity.CENTER, False)
	ItemTable.SetHeader(Array As String("Κωδικός", "Είδος", "Τιμή", "Ποσότητα", "Μ.Μ.", "Σύνολο", "ΦΠΑ%", "ΦΠΑ", "Σχόλιο"))
	ItemTable.SetColumnsWidths(Array As Int(100dip, 200dip, 100dip, 100dip, 100dip, 100dip, 100dip, 100dip, 100dip))
	
	' ean exei epilegi pelatis dixno ta stoixeia tou
	If Main.General1.LookingForClient = True Then
		Main.General1.LookingForClient = False
		ClientBasiInformationForOrders
		DocumentTabHost.CurrentTab = 1
		ItemsAddBtn.Visible = True
		SaveBtn.Visible = True
		ClientSearchBtn.Visible = False
	End If
	
	
End Sub

Sub Activity_Resume
	
End Sub

Sub Activity_Pause (UserClosed As Boolean)
	
End Sub

Sub ClientSearchBtn_Click
	Main.General1.LookingForClient = True
	StartActivity("Clients")
	Activity.Finish
End Sub

Sub ClientBasiInformationForOrders
	' ==================  Read info from Client =======================
	'Activity.LoadLayout("Client_info_TAFTOTHTA")
	ProgressDialogShow2("Παρακαλώ περιμένετε...", False)
	Dim OrderNum As String
	OrderNum = Rnd(0, 999999) & "-" & DateTime.Now
	Label11.Text = OrderNum
	DateTime.DateFormat = "dd/MM/yyyy"
	AnotherDatePicker1.Date = DateTime.Now
	Dim SQlScript As String
	SQlScript = $"SELECT DISTINCT IFNULL('${OrderNum}', '999') AS ORDERCODE, IFNULL(TB1.GID, '') AS GID, IFNULL('${AnotherDatePicker1.Date}', 0) AS InsDate,
					TB1.Code, TB1.Name As ClientName, TB2.TaxRegistrationNumber,
					TB1.TradeDiscount, TB1.NumericField2, TB4.Address1, IFNULL(TB7.KathestosFPA, '') AS KathestosFPA,
					TB5.ESFIPricelistCode, TB3.Description, IFNULL(TB6.Name, '') AS TransName, TB7.KathestosFPA, 
					IFNULL(TB6.fCompanyKindCode, '') AS fCompanyKindCode, IFNULL(TB7.TaxOffice, '') AS TaxOffice,
					IFNULL(TB7.ActivityDescription, '') AS ActivityDescription, IFNULL(TB7.Telephone, '') AS Telephone1, 
					IFNULL(TB7.Fax, '') AS Fax, IFNULL(TB7.Telephone2, '') AS Telephone2, IFNULL(TB7.Fax2, '') AS Fax2,
					IFNULL(TB7.EMailAddress, '') AS EMailAddress, IFNULL(TB7.WEBSite, '') AS WEBSite, IFNULL(TB1.FacebookAccount, '') AS FacebookAccount,
					IFNULL(TB1.TwitterAccount, '') AS TwitterAccount, IFNULL(TB1.PosostoFPA, 0) AS PosostoFPA
					FROM LOCAL_ESFITradeAccount TB1
					LEFT JOIN LOCAL_ESGOPerson TB2 ON TB2.GID = TB1.fPersonCodeGID
					LEFT JOIN LOCAL_ESFIZShippingMethod TB3 ON TB3.Code = TB1.fShippingMethodCode
					INNER JOIN LOCAL_ESGOSites TB4 ON TB4.GID = TB2.fMainAddressGID
					LEFT JOIN LOCAL_ESFIPricelist TB5 ON TB5.ESFIPricelistGID = TB1.fPriceListGID
					LEFT JOIN LOCAL_ESGOPerson TB6 ON TB6.GID = TB1.fTransporterGID
					LEFT JOIN LOCAL_EGM_CUSTOMER_OVERVIEW TB7 ON TB7.ISUDGID = TB1.GID
					WHERE TB1.GID = '${Main.General1.ClientValueGID}' "$
	Log(SQlScript)
	Dim Curs1 As Cursor
	Starter.LocalSQL.Initialize(File.DirRootExternal & "/DroidViewDB/", "DVDatabase.db", True)
	Curs1 = Starter.LocalSQL.ExecQuery(SQlScript)
	For i = 0 To Curs1.RowCount - 1		
		Curs1.Position = i
		ACToolBarLight1.Title = "DroidView 2.0 - " & Curs1.GetString("ClientName")
		CodeEditText.Text = Curs1.GetString("Code")
		NameEditText.Text = Curs1.GetString("ClientName")
		AddressEditText.Text = Curs1.GetString("Address1")
		AFMEditText.Text = Curs1.GetString("TaxRegistrationNumber")
		KathestosFPA.Text = Curs1.GetString("KathestosFPA")
		DicountEditText1.Text = NumberFormat2(Curs1.GetDouble("TradeDiscount"), 1, 0, 2, False) & " %"
		DicountEditText2.Text = NumberFormat2(Curs1.GetDouble("NumericField2"), 1, 0, 2, False) & " %"
		TimokatalogosEditText.Text = Curs1.GetString("ESFIPricelistCode")
		TroposApostolisEditText.Text = Curs1.GetString("Description")
		MetaforeasEditText.Text = Curs1.GetString("TransName")

		' Insert Cleant info As Document Header
		Starter.LocalSQL.ExecNonQuery2($"INSERT INTO LOCAL_Temp_Order_Header VALUES
										(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)"$, _
										Array As Object(Curs1.GetString("ORDERCODE"), Curs1.GetString("GID"), _
		Curs1.GetLong("InsDate"), Curs1.GetString("Code"), Curs1.GetString("ClientName"), _
		Curs1.GetString("KathestosFPA"), Curs1.GetString("fCompanyKindCode"), Curs1.GetString("TaxRegistrationNumber"), Curs1.GetString("TaxOffice"), _
		Curs1.GetString("ActivityDescription"), Curs1.GetString("Address1"), Curs1.GetString("Telephone1"), Curs1.GetString("Fax"), _
		Curs1.GetString("Telephone2"), Curs1.GetString("Fax2"), Curs1.GetString("EMailAddress"), Curs1.GetString("WEBSite"), _
		Curs1.GetDouble("TradeDiscount"), Curs1.GetDouble("NumericField2"), _
		Curs1.GetString("ESFIPricelistCode"), Curs1.GetString("Description"), Curs1.GetString("TransName"), Curs1.GetString("FacebookAccount"), _
		Curs1.GetString("TwitterAccount"), Curs1.GetDouble("PosostoFPA")))
		
		Main.General1.VatPercent = Curs1.GetDouble("PosostoFPA")
		Main.General1.Percent1 = Curs1.GetDouble("TradeDiscount")
		Main.General1.Percent2 = Curs1.GetDouble("NumericField2")
		Main.General1.OrderNum = Curs1.GetString("ORDERCODE")
		
'		Log(Curs1.GetString("ORDERCODE") & " ++ " & Curs1.GetString("GID") & " ++ " &  Curs1.GetLong("InsDate") & " ++ " &  Curs1.GetString("Code") & " ++ " &  Curs1.GetString("ClientName"))
'		Log(Curs1.GetString("KathestosFPA") & " ++ " &  Curs1.GetString("fCompanyKindCode") & " ++ " &  Curs1.GetString("TaxRegistrationNumber") & " ++ " &  Curs1.GetString("TaxOffice") )
'		Log(Curs1.GetString("ActivityDescription") & " ++ " &  Curs1.GetString("Address1") & " ++ " &  Curs1.GetString("Telephone1") & " ++ " &  Curs1.GetString("Fax") )
'		Log(Curs1.GetString("Telephone2") & " ++ " &  Curs1.GetString("Fax2") & " ++ " &  Curs1.GetString("EMailAddress") & " ++ " &  Curs1.GetString("WEBSite") )
'		Log(Curs1.GetDouble("TradeDiscount") & " ++ " &  Curs1.GetDouble("NumericField2") )
'		Log(Curs1.GetString("ESFIPricelistCode") & " ++ " &  Curs1.GetString("Description") & Curs1.GetString("TransName") & " ++ " &  Curs1.GetString("FacebookAccount") )
'		Log(Curs1.GetString("TwitterAccount") & " ++ " &  Curs1.GetDouble("PosostoFPA"))
		
		Sleep(0)
	Next
	Main.General1.VatPercent = Main.General1.VatNumberSub(KathestosFPA.Text)
	'Log(PublicCode.VatPercent)
	ProgressDialogHide
End Sub



Sub DocumentTabHost_TabChanged
	Select DocumentTabHost.CurrentTab
		Case 0 ' epilogi pelati
			ClientSearchBtn.visible = True
			ItemsAddBtn.Visible = False
			SaveBtn.Visible = False
		Case 1 ' eisagogi grammon
			ClientSearchBtn.visible = False
			If CodeEditText.Text = "" Then
				ItemsAddBtn.Visible = False
			Else
				ItemsAddBtn.Visible = True
			End If
			SaveBtn.Visible = True
		Case 2 ' sxolia
			ClientSearchBtn.visible = False
			ItemsAddBtn.Visible = False
			SaveBtn.Visible = False
	End Select
	
End Sub

Sub ItemsAddBtn_Click
	StartActivity("ESFIitems")
End Sub
