﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Class
Version=9
@EndOfDesignText@
Sub Class_Globals
	Public LineAA = 0 As Int
	Public ItemListSelection As List
	Public TheClientList As List
	Public ClientValueGID As String
	Public LookingForClient As Boolean = False
	Public VatPercent As Double
	Public Percent1 As Double
	Public Percent2 As Double
	Public OrderNum As String
	Type TheItem(Gid As String, LineAA As Int, Code As String, Description As String, Munit As String, Price As Double, Quantity As Double, Total As Double, FPA As Double, Comment As String)
	Public TheItem1 As TheItem
	Type TheClient(Gid As String, InsDate As Long, Code As String, Name As String, KathestosFPA As String, NomikiMorfi As String, AFM As String, DOY As String, Epaggelma As String, _
					Address As String, Thl1 As String, Fax1 As String, Thl2 As String, Fax2 As String, Email As String, Web As String, Ekptosi1 As Double, Ekptosi2 As Double, _
					Timokatalogos As String, ShippingMethod As String, Transporter As String, Facebook As String, Twitter As String, FPAPercent As Double)
	Public TheClient1 As TheClient
End Sub

'Initializes the object. You can add parameters to this method if needed.
Public Sub Initialize
	ItemListSelection.Initialize
	TheClientList.Initialize
	TheItem1.Initialize
	TheClient1.Initialize
End Sub

Public Sub Client_GID() As String
	Return ClientValueGID
End Sub

Sub TheLeftMenu(LstView As ListView)
	LstView.AddSingleLine("Νέα παραγγελία")
	LstView.AddSingleLine("Παραγγελίες")
	LstView.AddSingleLine("Πελάτες")
	LstView.AddSingleLine("Ταμείο")
End Sub


Sub ChangeDateFormat(db As String) As String
	DateTime.DateFormat = "yyyy-MM-dd"
	Dim ticks As Long = DateTime.DateParse(db.SubString2(0, db.IndexOf(" ")))
	DateTime.DateFormat = "dd/MM/yyyy"
	Return DateTime.Date(ticks)
End Sub

Sub LocalTimeToUTC(lTicksIn As Long) As String
	Dim psCurrFmt As String
	Dim piCurrOff As Int
	Dim psDate As String
  
	psCurrFmt = DateTime.DateFormat
	piCurrOff = DateTime.TimeZoneOffset
  
	DateTime.DateFormat = "yyyy-MM-dd'T'HH:mm:ssZ"
	DateTime.SetTimeZone(0)
	psDate = DateTime.Date(lTicksIn)
  
	DateTime.DateFormat = psCurrFmt
	DateTime.SetTimeZone(piCurrOff)
  
	Return psDate
End Sub

Sub RandomNumber(Lowest As Double, Highest As Double, DecimalPlaces As Int, PreventZero As Boolean) As Double
	Lowest  = Round(Lowest)
	Highest = Round(Highest)
	Dim Decimal As Double
	If DecimalPlaces > 0 Then Decimal = (Rnd(0, Power(10, DecimalPlaces))) / Power(10, DecimalPlaces)
	If Lowest = Highest Then
		Return Lowest
	Else
		If Lowest > Highest Then
			Dim TempValue = Lowest As Double
			Lowest   = Highest
			Highest  = TempValue
		End If
		Dim ReturnValue = Lowest + Rnd(0, Highest - Lowest) + Decimal As Double
		If ReturnValue = 0 And PreventZero Then
			Return RandomNumber(Lowest, Highest, DecimalPlaces, PreventZero)
		Else
			Return ReturnValue
		End If
	End If
End Sub

Public Sub LineWrap(Text As String, MaxCharacters As Int) As String
	Dim psWords() As String
	Dim poLines As List
	Dim psCurrentLine As String
	Dim piIndex As Int
	Dim psCheck As String
  
	psWords = Regex.Split(" ", Text)
	poLines.Initialize
  
  
	If Text.Length < MaxCharacters Or psWords.Length < 2 Then
		Return Text
	End If
  
	psCurrentLine = psWords(0)
	For piIndex = 1 To psWords.Length - 1
		psCheck = psCurrentLine & " " & psWords(piIndex)
		If psCheck.Length > MaxCharacters Then
			poLines.Add(psCurrentLine)
			psCurrentLine = psWords(piIndex)
			If piIndex = psWords.Length -1 Then
				poLines.Add(psCurrentLine)
			End If
		Else
			If piIndex = psWords.Length -1 Then
				poLines.Add(psCheck)
			End If
			psCurrentLine = psCheck
		End If
      
	Next
  
	Dim poSb As StringBuilder
	poSb.Initialize
	For piIndex = 0 To poLines.Size - 1
		poSb.Append(poLines.Get(piIndex)).Append(CRLF)
	Next
	Return poSb.ToString
End Sub

Public Sub VatNumberSub(VN As String) As Double
	Select VN
		Case $"Κανονικό (Εθνικό)"$
			Return 24.00
		Case $"Μειωμένο (Εθνικό)"$
			Return 13.00
		Case $"Απαλλαγή"$
			Return 0
		Case $"Ενδοκοινοτικό"$
			Return 0
	End Select
End Sub

Sub InsertItemRowToList(Gid As String, LineAA1 As Int, Code1 As String, Description1 As String, Munit1 As String, Price1 As Double, Quantity1 As Double, Total1 As Double, FPA1 As Double, Comment1 As String) As TheItem
	Dim ILineR As TheItem
	ILineR.Gid = Gid
	ILineR.LineAA = LineAA1
	ILineR.Code = Code1
	ILineR.Description = Description1
	ILineR.Munit = Munit1
	ILineR.Price = Price1
	ILineR.Quantity = Quantity1
	ILineR.Total = Total1
	ILineR.FPA = FPA1
	ILineR.Comment = Comment1
	Return ILineR
End Sub


Sub InsertClientIntoList(Gid As String, InsDate As Long, Code As String, Name As String, KathestosFPA As String, NomikiMorfi As String, AFM As String, DOY As String, Epaggelma As String, _
					Address As String, Thl1 As String, Fax1 As String, Thl2 As String, Fax2 As String, Email As String, Web As String, Ekptosi1 As Double, Ekptosi2 As Double, _
					Timokatalogos As String, ShippingMethod As String, Transporter As String, Facebook As String, Twitter As String, FPAPercent As Double) As TheClient
	Dim ClineR As TheClient
	ClineR.Gid = Gid
	ClineR.InsDate = InsDate
	ClineR.Code = Code
	ClineR.Name = Name
	ClineR.KathestosFPA = KathestosFPA
	ClineR.NomikiMorfi = NomikiMorfi
	ClineR.AFM = AFM
	ClineR.DOY = DOY
	ClineR.Epaggelma = Epaggelma
	ClineR.Address = Address
	ClineR.Thl1 = Thl1
	ClineR.Fax1 = Fax1
	ClineR.Thl2 = Thl2
	ClineR.Fax2 = Fax2
	ClineR.Email = Email
	ClineR.Web = Web
	ClineR.Ekptosi1 = Ekptosi1
	ClineR.Ekptosi2 = Ekptosi2
	ClineR.Timokatalogos = Timokatalogos
	ClineR.ShippingMethod = ShippingMethod
	ClineR.Transporter = Transporter
	ClineR.Facebook = Facebook
	ClineR.Twitter = Twitter
	ClineR.FPAPercent = FPAPercent
	Return ClineR
							
End Sub

'Sub ReadBlob
'	Dim Cursor1 As Cursor
'	Using ExecQuery2 Is safer As it escapes special characters automatically.
'	In this Case it doesn't really matter.
'		Cursor1 = SQL1.ExecQuery2("SELECT image FROM table2 WHERE name = ?", Array As String("smiley"))
'		Cursor1.Position = 0
'		Dim Buffer() As Byte 'declare an empty byte array
'		Buffer = Cursor1.GetBlob("image")
'		Dim InputStream1 As InputStream
'		InputStream1.InitializeFromBytesArray(Buffer, 0, Buffer.Length)
'  
'		Dim Bitmap1 As Bitmap
'		Bitmap1.Initialize2(InputStream1)
'		InputStream1.Close
'		Activity.SetBackgroundImage(Bitmap1)
'End Sub

'Sub AllTheItems(LookingFor As String)
'	ProgressDialogShow2("Παρακαλώ περιμένετε...", False)
'	Dim SQlScript As String
'	Dim Curs1 As Cursor
'	If ExcludeCode.Length > 0 Then
'		If ExcludeCode.SubString2(ExcludeCode.Length -1, ExcludeCode.Length) = "," Then
'			ExcludeCode = ExcludeCode.SubString2(0, ExcludeCode.Length -1)
'		End If
'	
'	End If
'	ItemTable_All_Items.InitializeTable(7, Gravity.CENTER, False)
'	ItemTable_All_Items.SetHeader(Array As String("Κωδικός", "Είδος", "M.M.", "Τιμή", "Ποσότητα", "Σύνολο", "Εισαγωγή"))
'	ItemTable_All_Items.SetColumnsWidths(Array As Int(70dip, 200dip, 60dip, 70dip, 80dip, 110dip, 70dip))
'	SQlScript = $"SELECT * FROM
'				(SELECT TB1.Code, TB1.Description, TB1.Price2 AS 'XAMILH', TB1.Price1 AS 'MESAIA', TB1.Price AS 'YPSILH', TB3.fMUCode
'				FROM LOCAL_ESFIItem TB1
'    			LEFT JOIN LOCAL_ESMMItemMU TB3 ON TB3.GID = TB1.fMainMUGID AND TB3.Relation = 1
'				WHERE TB1.ItemType IN (0,12) AND  TB1.ItemClass = 1 
'				AND TB1.Code NOT IN (SELECT LOCAL_ESFIPricelist.ESFIItemCode 
'				FROM LOCAL_ESFIPricelist 
'				WHERE LOCAL_ESFIPricelist.ESFIPricelistGID = (SELECT DISTINCT LOCAL_ESFITradeAccount.fPriceListGID FROM LOCAL_ESFITradeAccount where GID = '${Main.General1.ClientValueGID}'))
'				UNION ALL
'				SELECT TB2.Code, TB2.Description, LOCAL_ESFIPricelist.NetPrice AS 'XAMILH', 0 AS 'MESAIA', 0 AS 'YPSILH', TB3.fMUCode
'				FROM LOCAL_ESFIPricelist 
'				LEFT JOIN LOCAL_ESFIItem TB2 ON TB2.GID = LOCAL_ESFIPricelist.ESFIItemGID
'				LEFT JOIN LOCAL_ESMMItemMU TB3 ON TB3.GID = TB2.fMainMUGID AND TB3.Relation = 1
'				WHERE LOCAL_ESFIPricelist.ESFIPricelistGID = (SELECT DISTINCT LOCAL_ESFITradeAccount.fPriceListGID FROM LOCAL_ESFITradeAccount where GID = '${Main.General1.ClientValueGID}')
'				) ALL_ITEMS
'				WHERE ALL_ITEMS.Code LIKE '%${LookingFor}%'
'				OR ALL_ITEMS.Description LIKE '%${LookingFor}%'
'				AND ALL_ITEMS.Code NOT IN (${ExcludeCode})
'				ORDER BY ALL_ITEMS.Description "$
'	Log(SQlScript)
'	Starter.LocalSQL.Initialize(File.DirRootExternal & "/DroidViewDB/", "DVDatabase.db", True)
'	Curs1 = Starter.LocalSQL.ExecQuery(SQlScript)
'	Log(Curs1.RowCount)
'	For ii = 0 To Curs1.RowCount - 1
'		Curs1.Position = ii
'		ItemTable_All_Items.AddRowAutomaticWidth(Array As String(Curs1.GetString("Code"), Curs1.GetString("Description"), _
'		Curs1.GetString("fMUCode"), "", "", "", "Προσθήκη"))
'		Sleep(0)
'	Next
'	ProgressDialogHide
'End Sub







