﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Service
Version=8.5
@EndOfDesignText@
#Region  Service Attributes 
	#StartAtBoot: False
	#ExcludeFromLibrary: True
#End Region

Sub Process_Globals
	'These global variables will be declared once when the application starts.
	'These variables can be accessed from all modules.
	Public LineCounted, LineCountedPer As Int = 0
	Public RemoteSQL As JdbcSQL
	Public LocalSQL As SQL
	Private driver As String = "net.sourceforge.jtds.jdbc.Driver"
	'Private jdbcUrl As String = "jdbc:jtds:sqlserver://192.168.1.2;integratedSecurity=false;databaseName=expiosif;"  ' Sti Doulia
	Private jdbcUrl As String = "jdbc:jtds:sqlserver://212.205.224.17:999;integratedSecurity=false;databaseName=expiosif;" ' Sto web
	'Private jdbcUrl As String = "jdbc:jtds:sqlserver://212.205.224.17:999;integratedSecurity=false;databaseName=expiosif;" ' Sto spiti
	Private Username As String = "sa"
	Private Password As String = "arisios" ' Work And Web
	'Private Password As String = "black_devil1!" ' Home
	
End Sub

Sub Service_Create
	'This is the program entry point.
	'This is a good place to load resources that are not specific to a single activity.
	' Elegxo an mporo na grapso sto external storage
	If File.ExternalWritable = False Then
		Msgbox("Cannot write on storage card.", "Warning")
		ExitApplication
	End If
	
	' An den eiparxei to dir to dimiourgo
	If File.IsDirectory(File.DirRootExternal,"DroidViewDB") = False Then
		File.MakeDir(File.DirRootExternal, "DroidViewDB")
	End If

	' Elegxos gia to an yparxei h vash kai an oxi tin dimiourgo
	If File.Exists(File.DirRootExternal & "/DroidViewDB/", "DVDatabase.db") = False Then
		Log(File.DirRootExternal & "/DroidViewDB/")
		LocalSQL.Initialize(File.DirRootExternal & "/DroidViewDB/", "DVDatabase.db", True)
		CreateSqlTable.CreateTablesInDatabase
	End If
	
	DisableStrictMode
End Sub

Sub Service_Start (StartingIntent As Intent)
	

End Sub

Sub DisableStrictMode
	Dim jo As JavaObject
	jo.InitializeStatic("android.os.Build.VERSION")
	If jo.GetField("SDK_INT") > 9 Then
		Dim policy As JavaObject
		policy = policy.InitializeNewInstance("android.os.StrictMode.ThreadPolicy.Builder", Null)
		policy = policy.RunMethodJO("permitAll", Null).RunMethodJO("build", Null)
		Dim sm As JavaObject
		sm.InitializeStatic("android.os.StrictMode").RunMethod("setThreadPolicy", Array(policy))
	End If
End Sub

Sub Connect As ResumableSub
	RemoteSQL.InitializeAsync("RemoteSQL", driver, jdbcUrl, Username, Password)
	Wait For RemoteSQL_Ready (Success As Boolean)
	If Success = False Then
		Log("Check unfiltered logs for JDBC errors.")
	End If
	Return Success
End Sub

Sub CloseConnection
	RemoteSQL.Close
End Sub

Sub ListItems_Insert As ResumableSub
	Wait For (Connect) Complete (Success As Boolean)
	If Success Then
		Try
			'Dim sf As Object = RemoteSQL.ExecQueryAsync("RemoteSQL", "SELECT ESDModified, GID, Code, Description, BarCode, Price, Price1, Price2 Comment, TS FROM ESFIItem where ItemType in (0,12) and ItemClass = 1 order by Description", Null)
			Dim Qry As String
			Qry = $"SELECT GID, Code, Description,
			AlternativeDescription, DetailDescription, Inactive, fSITaxCode,
			InternationalCode, AlternativeCode, BarCode,
			AssemblyType, ItemClass, ItemType, fMainSupplierGID, fManufacturerPersonGID,
			Manufacturer, fCountryOriginCode, fTariffCode, Price , RetailPrice ,
			MarkupOnPrice , MarkupOnRetailPrice , PriceIncludedVAT, RetailPriceIncludedVAT,
			fMainMUGID, fAltMUGID, fVolumeMUGID, fWeightMUGID, fVATCategoryCode,
			Discount , MaxDiscount , MinProfitMargin , MinSalesOrderQty , UsualPurchaseOrderQty ,
			fCommissionLevelCode, fItemFamilyCode, fItemGroupCode, fItemCategoryCode, fItemSubcategoryCode,
			fTaxesGroupGID, fChargesGroupGID, fBaseBOMGID, fDiscountGroupGID, StandardCost ,
			ValuationMethod, fItemControlProfileGID, IncludedTaxReports, SerialNumberMgmt,
			LotMgmt, ColorMgmt, SizeMgmt, StockDim1Mgmt, StockDim2Mgmt, fColorSetGID,
			fSizeSetGID, fStockDim1SetGID, fStockDim2SetGID, Comment, GLAccountCode, fCatalogueItemGID,
			fTableField1Code, fTableField2Code, fTableField3Code, fTableField4Code, fTableField5Code,
			fTableField6Code, fTableField7Code, fTableField8Code, fTableField9Code, fTableField10Code,
			StringField1, StringField2, StringField3, StringField4, StringField5, StringField6,
			StringField7, StringField8, StringField9, StringField10, DateField1, DateField2,
			DateField3, DateField4, DateField5, NumericField1 , NumericField2 , NumericField3 ,
			NumericField4 , NumericField5 , NumericField6 , NumericField7 , NumericField8 ,
			NumericField9 , NumericField10 , Flag1, Flag2, Flag3, Flag4,
			Flag5, Flag6, Flag7, Flag8, Flag9, Flag10, Flag11,
			Flag12, fBusinessUnitCode, fBusinessActivityCode, fDimension1Code, fDimension2Code,
			ESDCreated, ESUCreated, ESDModified, ESUModified, fCompanyCode, fGLSegCode,
			fItemPricingCategoryCode, fIntrastatCode, fCostElementTypeGID, BOMLevel, AssetType,
			MainCode, fDepreciationProfileGID, fAlternativeDepreciationProfileGID, fInformativeDepreciationProfileGID,
			OutOfUsage, fMainAssetGID, fAssetGLSegCode, fDepreciationGLSegCode, fDepreciatedGLSegCode,
			fBudgetItemGroupCode, fConveyanceCode, DateField6, DateField7, DateField8, DateField9,
			DateField10, Price1 , Price2 , Price3 , Price1IncludedVAT, Price2IncludedVAT,
			Price3IncludedVAT, StorageLocationCodes, SubType, fSeasonCode, VATCalculationValue,
			CostIncludedVAT, fItemNetProfitCodesGID, fPropertySetCode, fPropertySetGID, WEB,
			fDeductionGroupGID, fBonusGroupGID, ValuationMethodAnalysis, fWarrantyTermGID,
			ValuationPerPeriod, DocumentMessage, TS, ServiceMUType, fAllocationProfileGID,
			fItemAllocationProfileGID, Mobile, SelectInMobileOrder, ExpenseType, ServiceType,
			PerCentOfTaxExclusion , fTaxDifferencesAccountGID, ElementExportCategory, MarkupOnPrice1 ,
			MarkupOnPrice2 , MarkupOnPrice3 , OpeningPerFiscalYear, fItemControlPolicyGID,
			LotCharacteristicsMgmt, fValidStockDimensionsProfileGID, fBCSNValidationTypeCode
			FROM ESFIItem where ItemType in (0,12) And ItemClass = 1 order by Description"$
			Dim sf As Object = RemoteSQL.ExecQueryAsync("RemoteSQL", Qry, Null)
			Wait For (sf) RemoteSQL_QueryComplete (Success As Boolean, Crsr As JdbcResultSet)
			If Success Then
				Dim i1 As Int = 1
				Do While Crsr.NextRow
					LocalSQL.ExecNonQuery2($"INSERT INTO LOCAL_ESFIItem (GID, Code, Description, AlternativeDescription, DetailDescription, Inactive, fSITaxCode, InternationalCode, AlternativeCode, BarCode,
					AssemblyType, ItemClass, ItemType, fMainSupplierGID, fManufacturerPersonGID, Manufacturer, fCountryOriginCode, fTariffCode, Price, RetailPrice, MarkupOnPrice, MarkupOnRetailPrice,
					PriceIncludedVAT, RetailPriceIncludedVAT, fMainMUGID,fAltMUGID, fVolumeMUGID, fWeightMUGID, fVATCategoryCode, Discount, MaxDiscount, MinProfitMargin, MinSalesOrderQty, UsualPurchaseOrderQty,
					fCommissionLevelCode, fItemFamilyCode, fItemGroupCode, fItemCategoryCode, fItemSubcategoryCode, fTaxesGroupGID,fChargesGroupGID,fBaseBOMGID, fDiscountGroupGID,StandardCost,  
					ValuationMethod, fItemControlProfileGID, IncludedTaxReports, SerialNumberMgmt, LotMgmt, ColorMgmt, SizeMgmt, StockDim1Mgmt,  StockDim2Mgmt, fColorSetGID, fSizeSetGID, 
					fStockDim1SetGID, fStockDim2SetGID, Comment, GLAccountCode, fCatalogueItemGID, fTableField1Code, fTableField2Code, fTableField3Code, fTableField4Code, fTableField5Code, 
					fTableField6Code, fTableField7Code, fTableField8Code, fTableField9Code, fTableField10Code, StringField1, StringField2, StringField3, StringField4, StringField5,
					StringField6, StringField7, StringField8, StringField9, StringField10, DateField1, DateField2, DateField3, DateField4, DateField5, NumericField1, NumericField2,
					NumericField3, NumericField4, NumericField5, NumericField6, NumericField7, NumericField8, NumericField9, NumericField10, Flag1, Flag2,  Flag3,  Flag4, Flag5, Flag6,  Flag7,  Flag8,
					Flag9, Flag10,  Flag11,  Flag12, fBusinessUnitCode, fBusinessActivityCode, fDimension1Code, fDimension2Code, ESDCreated, ESUCreated, ESDModified, ESUModified,
					fCompanyCode, fGLSegCode, fItemPricingCategoryCode, fIntrastatCode, fCostElementTypeGID, BOMLevel, AssetType, MainCode, fDepreciationProfileGID, 
					fAlternativeDepreciationProfileGID,fInformativeDepreciationProfileGID,  OutOfUsage, fMainAssetGID, fAssetGLSegCode, fDepreciationGLSegCode, fDepreciatedGLSegCode,
					fBudgetItemGroupCode, fConveyanceCode, DateField6,DateField7, DateField8, DateField9, DateField10, Price1, Price2, Price3, Price1IncludedVAT, Price2IncludedVAT, Price3IncludedVAT, 
					StorageLocationCodes, SubType, fSeasonCode, VATCalculationValue, CostIncludedVAT, fItemNetProfitCodesGID, fPropertySetCode, fPropertySetGID, WEB, fDeductionGroupGID,fBonusGroupGID,
					ValuationMethodAnalysis, fWarrantyTermGID, ValuationPerPeriod, DocumentMessage, TS, ServiceMUType, fAllocationProfileGID, fItemAllocationProfileGID,
					Mobile, SelectInMobileOrder, ExpenseType, ServiceType, PerCentOfTaxExclusion, fTaxDifferencesAccountGID, ElementExportCategory, MarkupOnPrice1,
					MarkupOnPrice2,MarkupOnPrice3, OpeningPerFiscalYear, fItemControlPolicyGID, LotCharacteristicsMgmt,fValidStockDimensionsProfileGID,fBCSNValidationTypeCode) 
					VALUES (?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, 
					?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, 
					?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, 
					?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)"$, Array As Object(Crsr.GetString("GID"), Crsr.GetString("Code"), Crsr.GetString("Description"), _
					Crsr.GetString("AlternativeDescription"), Crsr.GetString("DetailDescription"), Crsr.GetInt("Inactive"), Crsr.GetString("fSITaxCode"), Crsr.GetString("InternationalCode"), _
					Crsr.GetString("AlternativeCode"), Crsr.GetString("BarCode"), _
					Crsr.GetInt("AssemblyType"), Crsr.GetInt("ItemClass"), Crsr.GetInt("ItemType"), Crsr.GetString("fMainSupplierGID"), _
					Crsr.GetString("fManufacturerPersonGID"), Crsr.GetString("Manufacturer"), Crsr.GetString("fCountryOriginCode"), Crsr.GetString("fTariffCode"), _
					Crsr.GetDouble("Price"), Crsr.GetDouble("RetailPrice"), Crsr.GetDouble("MarkupOnPrice"), Crsr.GetDouble("MarkupOnRetailPrice"), _
					Crsr.GetInt("PriceIncludedVAT") , Crsr.GetInt("RetailPriceIncludedVAT"), Crsr.GetString("fMainMUGID"), Crsr.GetString("fAltMUGID"), _
					Crsr.GetString("fVolumeMUGID") , Crsr.GetString("fWeightMUGID"), Crsr.GetInt("fVATCategoryCode"), Crsr.GetDouble("Discount"), _
					Crsr.GetDouble("MaxDiscount") , Crsr.GetDouble("MinProfitMargin"), Crsr.GetDouble("MinSalesOrderQty"), Crsr.GetDouble("UsualPurchaseOrderQty"), _
					Crsr.GetString("fCommissionLevelCode") , Crsr.GetString("fItemFamilyCode"), Crsr.GetString("fItemGroupCode"), Crsr.GetString("fItemCategoryCode"), _
					Crsr.GetString("fItemSubcategoryCode") , Crsr.GetString("fTaxesGroupGID"), Crsr.GetString("fChargesGroupGID"), Crsr.GetString("fBaseBOMGID"), _
					Crsr.GetString("fDiscountGroupGID") , Crsr.GetDouble("StandardCost"), Crsr.GetInt("ValuationMethod"), Crsr.GetString("fItemControlProfileGID"), _
					Crsr.GetInt("IncludedTaxReports") , Crsr.GetInt("SerialNumberMgmt"), Crsr.GetInt("LotMgmt"), Crsr.GetInt("ColorMgmt"), _
					Crsr.GetInt("SizeMgmt") , Crsr.GetInt("StockDim1Mgmt"), Crsr.GetInt("StockDim2Mgmt"), Crsr.GetString("fColorSetGID"), _
					Crsr.GetString("fSizeSetGID") , Crsr.GetString("fStockDim1SetGID"), Crsr.GetString("fStockDim2SetGID"), Crsr.GetString("Comment"), _
					Crsr.GetString("GLAccountCode"), Crsr.GetString("fCatalogueItemGID"), Crsr.GetString("fTableField1Code"), Crsr.GetString("fTableField2Code"), Crsr.GetString("fTableField3Code"), _
					Crsr.GetString("fTableField4Code") , Crsr.GetString("fTableField5Code"), Crsr.GetString("fTableField6Code"), Crsr.GetString("fTableField7Code"), _
					Crsr.GetString("fTableField8Code") , Crsr.GetString("fTableField9Code"), Crsr.GetString("fTableField10Code"), Crsr.GetString("StringField1"), _
					Crsr.GetString("StringField2") , Crsr.GetString("StringField3"), Crsr.GetString("StringField4"), Crsr.GetString("StringField5"), _
					Crsr.GetString("StringField6") , Crsr.GetString("StringField7"), Crsr.GetString("StringField8"), Crsr.GetString("StringField9"), _
					Crsr.GetString("StringField10") , Crsr.GetString("DateField1"), Crsr.GetString("DateField2"), Crsr.GetString("DateField3"), _
					Crsr.GetString("DateField4") , Crsr.GetString("DateField5"), Crsr.GetDouble("NumericField1"), Crsr.GetDouble("NumericField2"), _
					Crsr.GetDouble("NumericField3") , Crsr.GetDouble("NumericField4"), Crsr.GetDouble("NumericField5"), Crsr.GetDouble("NumericField6"), _
					Crsr.GetDouble("NumericField7") , Crsr.GetDouble("NumericField8"), Crsr.GetDouble("NumericField9"), Crsr.GetDouble("NumericField10"), _
					Crsr.GetInt("Flag1"), Crsr.GetInt("Flag2"), Crsr.GetInt("Flag3"), Crsr.GetInt("Flag4"), _
					Crsr.GetInt("Flag5"), Crsr.GetInt("Flag6"), Crsr.GetInt("Flag7"), Crsr.GetInt("Flag8"), _
					Crsr.GetInt("Flag9"), Crsr.GetInt("Flag10"), Crsr.GetInt("Flag11"), Crsr.GetInt("Flag12"), _
					Crsr.GetString("fBusinessUnitCode") , Crsr.GetString("fBusinessActivityCode"), Crsr.GetString("fDimension1Code"), Crsr.GetString("fDimension2Code"), _
					Crsr.GetString("ESDCreated"), Crsr.GetString("ESUCreated"), Crsr.GetString("ESDModified"), Crsr.GetString("ESUModified"), _
					Crsr.GetString("fCompanyCode"), Crsr.GetString("fGLSegCode"), Crsr.GetString("fItemPricingCategoryCode"), Crsr.GetString("fIntrastatCode"), _
					Crsr.GetString("fCostElementTypeGID") , Crsr.GetInt("BOMLevel"), Crsr.GetInt("AssetType"), Crsr.GetInt("MainCode"), _
					Crsr.GetString("fDepreciationProfileGID") , Crsr.GetString("fAlternativeDepreciationProfileGID"), Crsr.GetString("fInformativeDepreciationProfileGID"), Crsr.GetInt("OutOfUsage"), _
					Crsr.GetString("fMainAssetGID"), Crsr.GetString("fAssetGLSegCode"), Crsr.GetString("fDepreciationGLSegCode"), Crsr.GetString("fDepreciatedGLSegCode"), _
					Crsr.GetString("fBudgetItemGroupCode") , Crsr.GetString("fConveyanceCode"), Crsr.GetString("DateField6"), Crsr.GetString("DateField7"), _
					Crsr.GetString("DateField8"), Crsr.GetString("DateField9"), Crsr.GetString("DateField10"), Crsr.GetDouble("Price1"), _
					Crsr.GetDouble("Price2"), Crsr.GetDouble("Price3"), Crsr.GetInt("Price1IncludedVAT"), Crsr.GetInt("Price2IncludedVAT"), _
					Crsr.GetInt("Price3IncludedVAT"), Crsr.GetString("StorageLocationCodes"), Crsr.GetInt("SubType"), Crsr.GetString("fSeasonCode"), _
					Crsr.GetInt("VATCalculationValue"), Crsr.GetInt("CostIncludedVAT"), Crsr.GetString("fItemNetProfitCodesGID"), Crsr.GetString("fPropertySetCode"), _
					Crsr.GetString("fPropertySetGID"), Crsr.GetInt("WEB"), Crsr.GetString("fDeductionGroupGID"), Crsr.GetString("fBonusGroupGID"), _
					Crsr.GetInt("ValuationMethodAnalysis") , Crsr.GetString("fWarrantyTermGID"), Crsr.GetInt("ValuationPerPeriod"), Crsr.GetString("DocumentMessage"), _
					Crsr.GetString("TS"), Crsr.GetInt("ServiceMUType"), Crsr.GetString("fAllocationProfileGID"), Crsr.GetString("fItemAllocationProfileGID"), _
					Crsr.GetInt("Mobile"), Crsr.GetInt("SelectInMobileOrder"), Crsr.GetInt("ExpenseType"), Crsr.GetInt("ServiceType"), _
					Crsr.GetDouble("PerCentOfTaxExclusion"), Crsr.GetString("fTaxDifferencesAccountGID"), Crsr.GetInt("ElementExportCategory"), Crsr.GetDouble("MarkupOnPrice1"), _
					Crsr.GetDouble("MarkupOnPrice2"), Crsr.GetDouble("MarkupOnPrice3"), Crsr.GetInt("OpeningPerFiscalYear"), Crsr.GetString("fItemControlPolicyGID"), _
					Crsr.GetInt("LotCharacteristicsMgmt"), Crsr.GetString("fValidStockDimensionsProfileGID"), Crsr.GetString("fBCSNValidationTypeCode")))
					'Log(i1 & " - " & Crsr.GetString("Description"))
					LineCountedPer = ((100/i1) * i1) / 100
					i1 = i1 + 1
					Sleep(0)
				Loop
				Crsr.Close
			End If
		Catch
			Success = False
			Log(LastException)
		End Try
		CloseConnection
	End If
	Return Success
End Sub

Sub ESFIZShippingMethod_Insert As ResumableSub
	Wait For (Connect) Complete (Success As Boolean)
	If Success Then
		Try
			'Dim sf As Object = RemoteSQL.ExecQueryAsync("RemoteSQL", "SELECT ESDModified, GID, Code, Description, BarCode, Price, Price1, Price2 Comment, TS FROM ESFIItem where ItemType in (0,12) and ItemClass = 1 order by Description", Null)
			Dim Qry As String
			Qry = $"SELECT Code, Description, AlternativeDescription, Inactive, fTransportTypeCode, TS, CountryID, fTransportPlanGID FROM ESFIZShippingMethod"$
			Dim sf As Object = RemoteSQL.ExecQueryAsync("RemoteSQL", Qry, Null)
			Wait For (sf) RemoteSQL_QueryComplete (Success As Boolean, Crsr As JdbcResultSet)
			If Success Then
				Dim i1 As Int = 1
				Do While Crsr.NextRow
					LocalSQL.ExecNonQuery2($"INSERT INTO LOCAL_ESFIZShippingMethod (Code, Description, AlternativeDescription, Inactive, fTransportTypeCode, TS, CountryID, fTransportPlanGID)
					VALUES (?, ?, ?, ?, ?, ?, ?, ?)"$, Array As Object(Crsr.GetString("Code"), Crsr.GetString("Description"), _
					Crsr.GetString("AlternativeDescription"), Crsr.GetInt("Inactive"), Crsr.GetString("fTransportTypeCode"), Crsr.GetString("TS"), _
					Crsr.GetString("CountryID"), Crsr.GetString("fTransportPlanGID")))
					'Log(i1 & " - " & Crsr.GetString("Description"))
					i1 = i1 +1
					Sleep(0)
				Loop
				Crsr.Close
			End If
		Catch
			Success = False
			Log(LastException)
		End Try
		CloseConnection
	End If
	Return Success
End Sub

Sub ESGOZTaxOffice_Insert As ResumableSub
	Wait For (Connect) Complete (Success As Boolean)
	If Success Then
		Try
			'Dim sf As Object = RemoteSQL.ExecQueryAsync("RemoteSQL", "SELECT ESDModified, GID, Code, Description, BarCode, Price, Price1, Price2 Comment, TS FROM ESFIItem where ItemType in (0,12) and ItemClass = 1 order by Description", Null)
			Dim Qry As String
			Qry = $"SELECT Code, Description, AlternativeDescription, Inactive, Address, City, PostalCode, TelephoneNumber1, TelephoneNumber2, PersonOfCommunication, TS FROM ESGOZTaxOffice"$
			Dim sf As Object = RemoteSQL.ExecQueryAsync("RemoteSQL", Qry, Null)
			Wait For (sf) RemoteSQL_QueryComplete (Success As Boolean, Crsr As JdbcResultSet)
			If Success Then
				Dim i1 As Int = 1
				Do While Crsr.NextRow
					LocalSQL.ExecNonQuery2($"INSERT INTO LOCAL_ESGOZTaxOffice (Code, Description, AlternativeDescription, Inactive, Address, City, PostalCode, TelephoneNumber1, TelephoneNumber2, PersonOfCommunication, TS)
					VALUES (?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)"$, Array As Object(Crsr.GetString("Code"), Crsr.GetString("Description"), _
					Crsr.GetString("AlternativeDescription"), Crsr.GetInt("Inactive"), Crsr.GetString("Address"), Crsr.GetString("City"), _
					Crsr.GetString("PostalCode"), Crsr.GetString("TelephoneNumber1"), Crsr.GetString("TelephoneNumber2"), Crsr.GetString("PersonOfCommunication"), Crsr.GetString("TS")))
					'Log(i1 & " - " & Crsr.GetString("Description"))
					i1 = i1 +1
					Sleep(0)
				Loop
				Crsr.Close
			End If
		Catch
			Success = False
			Log(LastException)
		End Try
		CloseConnection
	End If
	Return Success
End Sub

Sub ESGOPerson_Insert As ResumableSub
	Wait For (Connect) Complete (Success As Boolean)
	If Success Then
		Try
			'Dim sf As Object = RemoteSQL.ExecQueryAsync("RemoteSQL", "SELECT ESDModified, GID, Code, Description, BarCode, Price, Price1, Price2 Comment, TS FROM ESFIItem where ItemType in (0,12) and ItemClass = 1 order by Description", Null)
			Dim Qry As String
			Qry = $"SELECT ESGOPerson.GID, ESGOPerson.Code, ESGOPerson.Name, ESGOPerson.MultilingualName,
					ESGOPerson.FullName, ESGOPerson.CommonName, ESGOPerson.GroupPerson, ESGOPerson.fParentGID, ESGOPerson.fCompanyKindCode, ESGOPerson.fActivityCode,
					ESGOPerson.ActivityDescription, ESGOPerson.TaxRegistrationNumber, ESGOPerson.fTaxOfficeCode, ESGOPerson.VATStatus, ESGOPerson.fMainAddressGID,
					ESGOPerson.fGroupCode, ESGOPerson.fCategoryCode, ESGOPerson.fLanguageCode, ESGOPerson.EMailAddress, ESGOPerson.WEBSite, ESGOPerson.Remarks,
					ESGOPerson.AccessGroup, ESGOPerson.PersonKind, ESGOPerson.LastName, ESGOPerson.FirstName, ESGOPerson.fTitleCode, ESGOPerson.FatherName,
					ESGOPerson.MotherName, ESGOPerson.Sex, ESGOPerson.IDCode, ESGOPerson.FamilyStatus, ESGOPerson.Birthday, ESGOPerson.Anniversary,
					ESGOPerson.Mobile1, ESGOPerson.Mobile2, ESGOPerson.ESDModified, ESGOPerson.ESUModified, ESGOPerson.ESDCreated, ESGOPerson.ESUCreated,
					ESGOPerson.fTableField1Code, ESGOPerson.fTableField2Code, ESGOPerson.fTableField3Code, ESGOPerson.fTableField4Code,
					ESGOPerson.fTableField5Code, ESGOPerson.fTableField6Code, ESGOPerson.fTableField7Code, ESGOPerson.fTableField8Code,
					ESGOPerson.fTableField9Code, ESGOPerson.fTableField10Code, ESGOPerson.Stringfield1, ESGOPerson.Stringfield2, ESGOPerson.Stringfield3,
					ESGOPerson.Stringfield4, ESGOPerson.Stringfield5, ESGOPerson.Stringfield6, ESGOPerson.Stringfield7, ESGOPerson.Stringfield8,
					ESGOPerson.Stringfield9, ESGOPerson.Stringfield10, ESGOPerson.NumericField1, ESGOPerson.NumericField2, ESGOPerson.NumericField3,
					ESGOPerson.NumericField4, ESGOPerson.NumericField5, ESGOPerson.NumericField6, ESGOPerson.NumericField7 , ESGOPerson.NumericField8,
					ESGOPerson.NumericField9, ESGOPerson.NumericField10, ESGOPerson.DateField1, ESGOPerson.DateField2, ESGOPerson.DateField3, ESGOPerson.DateField4, 
					ESGOPerson.DateField5, ESGOPerson.DateField6, ESGOPerson.DateField7, ESGOPerson.DateField8, ESGOPerson.DateField9, ESGOPerson.DateField10,
					ESGOPerson.FlagField1, ESGOPerson.FlagField2, ESGOPerson.FlagField3, ESGOPerson.FlagField4, ESGOPerson.FlagField5,
					ESGOPerson.FlagField6, ESGOPerson.FlagField7, ESGOPerson.FlagField8, ESGOPerson.FlagField9, ESGOPerson.FlagField10,
					ESGOPerson.fCalendarItemGID, ESGOPerson.Inactive, ESGOPerson.fEducationLevelCode, ESGOPerson.fNationalityCountryCode,
					ESGOPerson.fResidenceCountryCode, ESGOPerson.fBirthCountryCode, ESGOPerson.DateOfBirth, ESGOPerson.fReferredPersonGID,
					ESGOPerson.PreferredWayOfContract, ESGOPerson.TS, ESGOPerson.BulStat, ESGOPerson.TradeRegistrationNumber,
					ESGOPerson.PersonalNumericCode, ESGOPerson.SoundName, ESGOPerson.fPropertySetGID, ESGOPerson.PaymentVATRequired,
					ESGOPerson.EORINumber, ESGOPerson.SplitOnVATRequired, ESGOPerson.GCP
					FROM ESGOPerson LEFT JOIN ESFITradeAccount ON ESFITradeAccount.fPersonCodeGID = ESGOPerson.GID 
					WHERE ESFITradeAccount.Type = 0 AND ESFITradeAccount.fSalesPersonGID = '${Main.SalesmanGID}'
					UNION ALL
					SELECT ESGOPerson.GID, ESGOPerson.Code, ESGOPerson.Name, ESGOPerson.MultilingualName,
					ESGOPerson.FullName, ESGOPerson.CommonName, ESGOPerson.GroupPerson, ESGOPerson.fParentGID, ESGOPerson.fCompanyKindCode, ESGOPerson.fActivityCode,
					ESGOPerson.ActivityDescription, ESGOPerson.TaxRegistrationNumber, ESGOPerson.fTaxOfficeCode, ESGOPerson.VATStatus, ESGOPerson.fMainAddressGID,
					ESGOPerson.fGroupCode, ESGOPerson.fCategoryCode, ESGOPerson.fLanguageCode, ESGOPerson.EMailAddress, ESGOPerson.WEBSite, ESGOPerson.Remarks,
					ESGOPerson.AccessGroup, ESGOPerson.PersonKind, ESGOPerson.LastName, ESGOPerson.FirstName, ESGOPerson.fTitleCode, ESGOPerson.FatherName,
					ESGOPerson.MotherName, ESGOPerson.Sex, ESGOPerson.IDCode, ESGOPerson.FamilyStatus, ESGOPerson.Birthday, ESGOPerson.Anniversary,
					ESGOPerson.Mobile1, ESGOPerson.Mobile2, ESGOPerson.ESDModified, ESGOPerson.ESUModified, ESGOPerson.ESDCreated, ESGOPerson.ESUCreated,
					ESGOPerson.fTableField1Code, ESGOPerson.fTableField2Code, ESGOPerson.fTableField3Code, ESGOPerson.fTableField4Code,
					ESGOPerson.fTableField5Code, ESGOPerson.fTableField6Code, ESGOPerson.fTableField7Code, ESGOPerson.fTableField8Code,
					ESGOPerson.fTableField9Code, ESGOPerson.fTableField10Code, ESGOPerson.Stringfield1, ESGOPerson.Stringfield2, ESGOPerson.Stringfield3,
					ESGOPerson.Stringfield4, ESGOPerson.Stringfield5, ESGOPerson.Stringfield6, ESGOPerson.Stringfield7, ESGOPerson.Stringfield8,
					ESGOPerson.Stringfield9, ESGOPerson.Stringfield10, ESGOPerson.NumericField1, ESGOPerson.NumericField2, ESGOPerson.NumericField3,
					ESGOPerson.NumericField4, ESGOPerson.NumericField5, ESGOPerson.NumericField6, ESGOPerson.NumericField7 , ESGOPerson.NumericField8,
					ESGOPerson.NumericField9, ESGOPerson.NumericField10, ESGOPerson.DateField1, ESGOPerson.DateField2, ESGOPerson.DateField3, ESGOPerson.DateField4, 
					ESGOPerson.DateField5, ESGOPerson.DateField6, ESGOPerson.DateField7, ESGOPerson.DateField8, ESGOPerson.DateField9, ESGOPerson.DateField10,
					ESGOPerson.FlagField1, ESGOPerson.FlagField2, ESGOPerson.FlagField3, ESGOPerson.FlagField4, ESGOPerson.FlagField5,
					ESGOPerson.FlagField6, ESGOPerson.FlagField7, ESGOPerson.FlagField8, ESGOPerson.FlagField9, ESGOPerson.FlagField10,
					ESGOPerson.fCalendarItemGID, ESGOPerson.Inactive, ESGOPerson.fEducationLevelCode, ESGOPerson.fNationalityCountryCode,
					ESGOPerson.fResidenceCountryCode, ESGOPerson.fBirthCountryCode, ESGOPerson.DateOfBirth, ESGOPerson.fReferredPersonGID,
					ESGOPerson.PreferredWayOfContract, ESGOPerson.TS, ESGOPerson.BulStat, ESGOPerson.TradeRegistrationNumber,
					ESGOPerson.PersonalNumericCode, ESGOPerson.SoundName, ESGOPerson.fPropertySetGID, ESGOPerson.PaymentVATRequired,
					ESGOPerson.EORINumber, ESGOPerson.SplitOnVATRequired, ESGOPerson.GCP
					FROM ESGOPerson
					LEFT JOIN ESGOPersonLists ON ESGOPerson.GID = ESGOPersonLists.fPersonCodeGID
					WHERE (ESGOPersonLists.MemberOfList = 1)"$
			Dim sf As Object = RemoteSQL.ExecQueryAsync("RemoteSQL", Qry, Null)
			Wait For (sf) RemoteSQL_QueryComplete (Success As Boolean, Crsr As JdbcResultSet)
			If Success Then
				Dim i1 As Int = 1
				Do While Crsr.NextRow
					LocalSQL.ExecNonQuery2($"INSERT INTO LOCAL_ESGOPerson (GID, Code, Name, MultilingualName,
					FullName, CommonName, GroupPerson, fParentGID, fCompanyKindCode, fActivityCode,
					ActivityDescription, TaxRegistrationNumber, fTaxOfficeCode, VATStatus, fMainAddressGID,
					fGroupCode, fCategoryCode, fLanguageCode, EMailAddress, WEBSite, Remarks,
					AccessGroup, PersonKind, LastName, FirstName, fTitleCode, FatherName,
					MotherName, Sex, IDCode, FamilyStatus, Birthday, Anniversary,
					Mobile1, Mobile2, ESDModified, ESUModified, ESDCreated, ESUCreated,
					fTableField1Code, fTableField2Code, fTableField3Code, fTableField4Code,
					fTableField5Code, fTableField6Code, fTableField7Code, fTableField8Code,
					fTableField9Code, fTableField10Code, Stringfield1, Stringfield2, Stringfield3,
					Stringfield4, Stringfield5, Stringfield6, Stringfield7, Stringfield8,
					Stringfield9, Stringfield10, NumericField1, NumericField2, NumericField3,
					NumericField4, NumericField5, NumericField6, NumericField7 , NumericField8,
					NumericField9, NumericField10, DateField1, DateField2, DateField3, DateField4, 
					DateField5, DateField6, DateField7, DateField8, DateField9, DateField10,
					FlagField1, FlagField2, FlagField3, FlagField4, FlagField5,
					FlagField6, FlagField7, FlagField8, FlagField9, FlagField10,
					fCalendarItemGID, Inactive, fEducationLevelCode, fNationalityCountryCode,
					fResidenceCountryCode, fBirthCountryCode, DateOfBirth, fReferredPersonGID,
					PreferredWayOfContract, TS, BulStat, TradeRegistrationNumber,
					PersonalNumericCode, SoundName, fPropertySetGID, PaymentVATRequired,
					EORINumber, SplitOnVATRequired, GCP)
					VALUES (?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?,
					?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?,
					?, ?, ?, ?, ?, ?, ?, ?)"$, Array As Object(Crsr.GetString("GID"), Crsr.GetString("Code"), Crsr.GetString("Name"), Crsr.GetString("MultilingualName"), _
					Crsr.GetString("FullName"), Crsr.GetString("CommonName"), Crsr.GetString("GroupPerson"), Crsr.GetString("fParentGID"), Crsr.GetString("fCompanyKindCode"), Crsr.GetString("fActivityCode"), _
					Crsr.GetString("ActivityDescription"), Crsr.GetString("TaxRegistrationNumber"), Crsr.GetString("fTaxOfficeCode"), Crsr.GetInt("VATStatus"), Crsr.GetString("fMainAddressGID"), _
					Crsr.GetString("fGroupCode"), Crsr.GetString("fCategoryCode"), Crsr.GetString("fLanguageCode"), Crsr.GetString("EMailAddress"), Crsr.GetString("WEBSite"), Crsr.GetString("Remarks"), _
					Crsr.GetInt("AccessGroup"), Crsr.GetInt("PersonKind"), Crsr.GetString("LastName"), Crsr.GetString("FirstName"), Crsr.GetString("fTitleCode"), Crsr.GetString("FatherName"), _
					Crsr.GetString("MotherName"), Crsr.GetInt("Sex"), Crsr.GetString("IDCode"), Crsr.GetInt("FamilyStatus"), Crsr.GetString("Birthday"), Crsr.GetString("Anniversary"), _
					Crsr.GetString("Mobile1"), Crsr.GetString("Mobile2"), Crsr.GetString("ESDModified"), Crsr.GetString("ESUModified"), Crsr.GetString("ESDCreated"), Crsr.GetString("ESUCreated"), _
					Crsr.GetString("fTableField1Code"), Crsr.GetString("fTableField2Code"), Crsr.GetString("fTableField3Code"), Crsr.GetString("fTableField4Code"), _
					Crsr.GetString("fTableField5Code"), Crsr.GetString("fTableField6Code"), Crsr.GetString("fTableField7Code"), Crsr.GetString("fTableField8Code"), _
					Crsr.GetString("fTableField9Code"), Crsr.GetString("fTableField10Code"), Crsr.GetString("Stringfield1"), Crsr.GetString("Stringfield2"), Crsr.GetString("Stringfield3"), _
					Crsr.GetString("Stringfield4"), Crsr.GetString("Stringfield5"), Crsr.GetString("Stringfield6"), Crsr.GetString("Stringfield7"), Crsr.GetString("Stringfield8"), _
					Crsr.GetString("Stringfield9"), Crsr.GetString("Stringfield10"), Crsr.GetDouble("NumericField1"), Crsr.GetDouble("NumericField2"), Crsr.GetDouble("NumericField3"), _
					Crsr.GetString("NumericField4"), Crsr.GetString("NumericField5"), Crsr.GetString("NumericField6"), Crsr.GetString("NumericField7"), Crsr.GetString("NumericField8"), _
					Crsr.GetDouble("NumericField9"), Crsr.GetDouble("NumericField10"), Crsr.GetString("DateField1"), Crsr.GetString("DateField2"), Crsr.GetString("DateField3"), Crsr.GetString("DateField4"), _
					Crsr.GetString("DateField5"), Crsr.GetString("DateField6"), Crsr.GetString("DateField7"), Crsr.GetString("DateField8"), Crsr.GetString("DateField9"), Crsr.GetString("DateField10"), _
					Crsr.GetInt("FlagField1"), Crsr.GetInt("FlagField2"), Crsr.GetInt("FlagField3"), Crsr.GetInt("FlagField4"), Crsr.GetInt("FlagField5"), _
					Crsr.GetInt("FlagField6"), Crsr.GetInt("FlagField7"), Crsr.GetInt("FlagField8"), Crsr.GetInt("FlagField9"), Crsr.GetInt("FlagField10"), _
					Crsr.GetString("fCalendarItemGID"), Crsr.GetInt("Inactive"), Crsr.GetString("fEducationLevelCode"), Crsr.GetString("fNationalityCountryCode"), _
					Crsr.GetString("fResidenceCountryCode"), Crsr.GetString("fBirthCountryCode"), Crsr.GetString("DateOfBirth"), Crsr.GetString("fReferredPersonGID"), _
					Crsr.GetInt("PreferredWayOfContract"), Crsr.GetString("TS"), Crsr.GetString("BulStat"), Crsr.GetString("TradeRegistrationNumber"), _
					Crsr.GetInt("PersonalNumericCode"), Crsr.GetString("SoundName"), Crsr.GetString("fPropertySetGID"), Crsr.GetInt("PaymentVATRequired"), _
					Crsr.GetString("EORINumber"), Crsr.GetInt("SplitOnVATRequired"), Crsr.GetInt("GCP")))
					'Log(i1 & " - " & Crsr.GetString("Name"))
					i1 = i1 +1
					Sleep(0)
				Loop
				Crsr.Close
			End If
		Catch
			Success = False
			Log(LastException)
		End Try
		CloseConnection
	End If
	Return Success
End Sub

Sub ESGOSites_Insert As ResumableSub
	Wait For (Connect) Complete (Success As Boolean)
	If Success Then
		Try
			'Dim sf As Object = RemoteSQL.ExecQueryAsync("RemoteSQL", "SELECT ESDModified, GID, Code, Description, BarCode, Price, Price1, Price2 Comment, TS FROM ESFIItem where ItemType in (0,12) and ItemClass = 1 order by Description", Null)
			Dim Qry As String
			Qry = $"select ESGOSites.GID, ESGOSites.fPersonCodeGID, ESGOSites.Code, ESGOSites.Description,
					ESGOSites.fSiteTypeCode, ESGOSites.Status, ESGOSites.KindSite, ESGOSites.KindWH, ESGOSites.fSiteGID, ESGOSites.Address1, 
					ESGOSites.Address2, ESGOSites.fPostalCode, ESGOSites.fCityCode, ESGOSites.Area, ESGOSites.fRegionGroupCode, ESGOSites.fCountryCode, 
					ESGOSites.Telephone1, ESGOSites.Telephone2, ESGOSites.FaxNumber1, ESGOSites.FaxNumber2, ESGOSites.fManagerNameGID, ESGOSites.ManagerName, 
					ESGOSites.AutoActivation, ESGOSites.VATStatus, ESGOSites.NonValuated, ESGOSites.IndependentValuation, ESGOSites.GLCode1, 
					ESGOSites.Address1Number, ESGOSites.Address2Number, ESGOSites.fDistrictCode, ESGOSites.Priority, ESGOSites.ThirdWH, 
					ESGOSites.email, ESGOSites.web, ESGOSites.PriorityIn, ESGOSites.Address3Number, ESGOSites.Address4Number, ESGOSites.Address5Number, 
					ESGOSites.Address6Number, ESGOSites.Address7Number, ESGOSites.Address8Number, ESGOSites.Address9Number, ESGOSites.Address10Number, 
					ESGOSites.Stringfield1, ESGOSites.Stringfield2, ESGOSites.Stringfield3, ESGOSites.Stringfield4, ESGOSites.Stringfield5, ESGOSites.Stringfield6, 
					ESGOSites.Stringfield7, ESGOSites.Stringfield8, ESGOSites.Stringfield9, ESGOSites.Stringfield10, ESGOSites.fTableField1Code, 
					ESGOSites.fTableField2Code, ESGOSites.fTableField3Code, ESGOSites.fTableField4Code, ESGOSites.fTableField5Code, ESGOSites.fTableField6Code, 
					ESGOSites.fTableField7Code, ESGOSites.fTableField8Code, ESGOSites.fTableField9Code, ESGOSites.fTableField10Code, ESGOSites.Latitude, 
					ESGOSites.Longitude, ESGOSites.GeoArea, ESGOSites.AddressConfirmed, ESGOSites.ESDCreated, ESGOSites.ESUCreated, ESGOSites.ESDModified, 
					ESGOSites.ESUModified, ESGOSites.EPaymentCode, ESGOSites.fDefaultRetailTradeAccountGID, ESGOSites.fDefaultCreditorTradeAccountGID, 
					ESGOSites.TS, ESGOSites.fAllocationProfileGID, ESGOSites.DateField1, ESGOSites.DateField2, ESGOSites.DateField3, ESGOSites.DateField4, 
					ESGOSites.DateField5, ESGOSites.DateField6, ESGOSites.DateField7, ESGOSites.DateField8, ESGOSites.DateField9, ESGOSites.DateField10, 
					ESGOSites.FlagField1, ESGOSites.FlagField2, ESGOSites.FlagField3, ESGOSites.FlagField4, ESGOSites.FlagField5, 
					ESGOSites.FlagField6, ESGOSites.FlagField7, ESGOSites.FlagField8, ESGOSites.FlagField9, ESGOSites.FlagField10, 
					ESGOSites.NumberOfEmployees, ESGOSites.AreaInSquareMeters, ESGOSites.fCategoryValue1GID, ESGOSites.fCategoryValue2GID, 
					ESGOSites.fCategoryValue3GID, ESGOSites.DistributionPoint, ESGOSites.fDefaultCashOnDeliveryTradeAccountGID, ESGOSites.Plant, 
					ESGOSites.GLN, ESGOSites.DispositionWH, ESGOSites.fReferenceWHGID, ESGOSites.CustomsType, ESGOSites.SalesPoint
                    from ESGOSites INNER JOIN ESGOPerson ON ESGOPerson.fMainAddressGID = ESGOSites.GID 
					INNER JOIN ESFITradeAccount ON ESFITradeAccount.fPersonCodeGID = ESGOPerson.GID
					WHERE ESFITradeAccount.Type = 0 And ESFITradeAccount.fSalesPersonGID = '${Main.SalesmanGID}'"$
			'Log(Qry)
			Dim sf As Object = RemoteSQL.ExecQueryAsync("RemoteSQL", Qry, Null)
			Wait For (sf) RemoteSQL_QueryComplete (Success As Boolean, Crsr As JdbcResultSet)
			If Success Then
				Dim i1 As Int = 1
				Do While Crsr.NextRow
					LocalSQL.ExecNonQuery2($"INSERT INTO LOCAL_ESGOSites (GID, fPersonCodeGID, Code, Description,
					fSiteTypeCode, Status, KindSite, KindWH, fSiteGID, Address1, 
					Address2, fPostalCode, fCityCode, Area, fRegionGroupCode, fCountryCode, 
					Telephone1, Telephone2, FaxNumber1, FaxNumber2, fManagerNameGID, ManagerName, 
					AutoActivation, VATStatus, NonValuated, IndependentValuation, GLCode1, 
					Address1Number, Address2Number, fDistrictCode, Priority, ThirdWH, 
					email, web, PriorityIn, Address3Number, Address4Number, Address5Number, 
					Address6Number, Address7Number, Address8Number, Address9Number, Address10Number, 
					Stringfield1, Stringfield2, Stringfield3, Stringfield4, Stringfield5, Stringfield6, 
					Stringfield7, Stringfield8, Stringfield9, Stringfield10, fTableField1Code, 
					fTableField2Code, fTableField3Code, fTableField4Code, fTableField5Code, fTableField6Code, 
					fTableField7Code, fTableField8Code, fTableField9Code, fTableField10Code, Latitude, 
					Longitude, GeoArea, AddressConfirmed, ESDCreated, ESUCreated, ESDModified, 
					ESUModified, EPaymentCode, fDefaultRetailTradeAccountGID, fDefaultCreditorTradeAccountGID, 
					TS, fAllocationProfileGID, DateField1, DateField2, DateField3, DateField4, 
					DateField5, DateField6, DateField7, DateField8, DateField9, DateField10, 
					FlagField1, FlagField2, FlagField3, FlagField4, FlagField5, 
					FlagField6, FlagField7, FlagField8, FlagField9, FlagField10, 
					NumberOfEmployees, AreaInSquareMeters, fCategoryValue1GID, fCategoryValue2GID, 
					fCategoryValue3GID, DistributionPoint, fDefaultCashOnDeliveryTradeAccountGID, Plant, 
					GLN, DispositionWH, fReferenceWHGID, CustomsType, SalesPoint)
					VALUES (?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?,
					?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?,
					?, ?, ?, ?, ?, ?, ?, ?, ?)"$, Array As Object(Crsr.GetString("GID"), Crsr.GetString("fPersonCodeGID"), Crsr.GetString("Code"), Crsr.GetString("Description"), _
					Crsr.GetString("fSiteTypeCode"), Crsr.GetInt("Status"), Crsr.GetInt("KindSite"), Crsr.GetInt("KindWH"), Crsr.GetString("fSiteGID"), Crsr.GetString("Address1"), _
					Crsr.GetString("Address2"), Crsr.GetString("fPostalCode"), Crsr.GetString("fCityCode"), Crsr.GetString("Area"), Crsr.GetString("fRegionGroupCode"), Crsr.GetString("fCountryCode"), _
					Crsr.GetString("Telephone1"), Crsr.GetString("Telephone2"), Crsr.GetString("FaxNumber1"), Crsr.GetString("FaxNumber2"), Crsr.GetString("fManagerNameGID"), Crsr.GetString("ManagerName"), _
					Crsr.GetInt("AutoActivation"), Crsr.GetInt("VATStatus"), Crsr.GetInt("NonValuated"), Crsr.GetInt("IndependentValuation"), Crsr.GetString("GLCode1"), _
					Crsr.GetDouble("Address1Number"), Crsr.GetDouble("Address2Number"), Crsr.GetString("fDistrictCode"), Crsr.GetInt("Priority"), Crsr.GetInt("ThirdWH"), _
					Crsr.GetString("email"), Crsr.GetString("web"), Crsr.GetInt("PriorityIn"), Crsr.GetDouble("Address3Number"), Crsr.GetDouble("Address4Number"), Crsr.GetDouble("Address5Number"), _
					Crsr.GetDouble("Address6Number"), Crsr.GetDouble("Address7Number"), Crsr.GetDouble("Address8Number"), Crsr.GetDouble("Address9Number"), Crsr.GetDouble("Address10Number"), _
					Crsr.GetString("Stringfield1"), Crsr.GetString("Stringfield2"), Crsr.GetString("Stringfield3"), Crsr.GetString("Stringfield4"), Crsr.GetString("Stringfield5"), Crsr.GetString("Stringfield6"), _
					Crsr.GetString("Stringfield7"), Crsr.GetString("Stringfield8"), Crsr.GetString("Stringfield9"), Crsr.GetString("Stringfield10"), Crsr.GetString("fTableField1Code"), _
					Crsr.GetString("fTableField2Code"), Crsr.GetString("fTableField3Code"), Crsr.GetString("fTableField4Code"), Crsr.GetString("fTableField5Code"), Crsr.GetString("fTableField6Code"), _
					Crsr.GetString("fTableField7Code"), Crsr.GetString("fTableField8Code"), Crsr.GetString("fTableField9Code"), Crsr.GetString("fTableField10Code"), Crsr.GetDouble("Latitude"), _
					Crsr.GetDouble("Longitude"), Crsr.GetString("GeoArea"), Crsr.GetInt("AddressConfirmed"), Crsr.GetString("ESDCreated"), Crsr.GetString("ESUCreated"), Crsr.GetString("ESDModified"), _
					Crsr.GetString("ESUModified"), Crsr.GetString("EPaymentCode"), Crsr.GetString("fDefaultRetailTradeAccountGID"), Crsr.GetString("fDefaultCreditorTradeAccountGID"), _
					Crsr.GetString("TS"), Crsr.GetString("fAllocationProfileGID"), Crsr.GetString("DateField1"), Crsr.GetString("DateField2"), Crsr.GetString("DateField3"), Crsr.GetString("DateField4"), _
					Crsr.GetString("DateField5"), Crsr.GetString("DateField6"), Crsr.GetString("DateField7"), Crsr.GetString("DateField8"), Crsr.GetString("DateField9"), Crsr.GetString("DateField10"), _
					Crsr.GetInt("FlagField1"), Crsr.GetInt("FlagField2"), Crsr.GetInt("FlagField3"), Crsr.GetInt("FlagField4"), Crsr.GetInt("FlagField5"), _
					Crsr.GetInt("FlagField6"), Crsr.GetInt("FlagField7"), Crsr.GetInt("FlagField8"), Crsr.GetInt("FlagField9"), Crsr.GetInt("FlagField10"), _
					Crsr.GetInt("NumberOfEmployees"), Crsr.GetInt("AreaInSquareMeters"), Crsr.GetString("fCategoryValue1GID"), Crsr.GetString("fCategoryValue2GID"), _
					Crsr.GetString("fCategoryValue3GID"), Crsr.GetInt("DistributionPoint"), Crsr.GetString("fDefaultCashOnDeliveryTradeAccountGID"), Crsr.GetInt("Plant"), _
					Crsr.GetString("GLN"), Crsr.GetInt("DispositionWH"), Crsr.GetString("fReferenceWHGID"), Crsr.GetInt("CustomsType"), Crsr.GetInt("SalesPoint")))
					'Log(i1 & " - " & Crsr.GetString("Description"))
					i1 = i1 +1
					Sleep(0)
				Loop
				Crsr.Close
			End If
		Catch
			Success = False
			Log(LastException)
		End Try
		CloseConnection
	End If
	Return Success
End Sub

Sub ESFITradeAccountCurrentBalance_Insert As ResumableSub
	Wait For (Connect) Complete (Success As Boolean)
	If Success Then
		Try
			'Dim sf As Object = RemoteSQL.ExecQueryAsync("RemoteSQL", "SELECT ESDModified, GID, Code, Description, BarCode, Price, Price1, Price2 Comment, TS FROM ESFIItem where ItemType in (0,12) and ItemClass = 1 order by Description", Null)
			Dim Qry As String
			Qry = $"SELECT BL1.GID, BL1.fTradeAccountGID, BL1.Debit, BL1.Credit,
					BL1.PendingNotes, BL1.fSiteGID, BL1.fCompanyCode, BL1.SelfPendingNotes, 
					BL1.PendingOrders, BL1.PendingInvoices, BL1.BonusDebit, BL1.BonusCredit, 
					BL1.ForecastedBonusValue, BL1.GrossTurnover 
					FROM ESFITradeAccountCurrentBalance BL1
					INNER JOIN ESFITradeAccount ON ESFITradeAccount.GID = BL1.fTradeAccountGID
					WHERE ESFITradeAccount.fSalesPersonGID = '${Main.SalesmanGID}'"$
			Dim sf As Object = RemoteSQL.ExecQueryAsync("RemoteSQL", Qry, Null)
			Wait For (sf) RemoteSQL_QueryComplete (Success As Boolean, Crsr As JdbcResultSet)
			If Success Then
				Dim i1 As Int = 1
				Do While Crsr.NextRow
					LocalSQL.ExecNonQuery2($"INSERT INTO LOCAL_ESFITradeAccountCurrentBalance (GID, fTradeAccountGID, Debit, Credit,
					PendingNotes, fSiteGID, fCompanyCode, SelfPendingNotes, 
					PendingOrders, PendingInvoices, BonusDebit, BonusCredit, 
					ForecastedBonusValue, GrossTurnover )
					VALUES (?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)"$, Array As Object(Crsr.GetString("GID"), Crsr.GetString("fTradeAccountGID"), Crsr.GetDouble("Debit"), Crsr.GetDouble("Credit"), _
					Crsr.GetDouble("PendingNotes"), Crsr.GetString("fSiteGID"), Crsr.GetString("fCompanyCode"), Crsr.GetDouble("SelfPendingNotes"), _
					Crsr.GetDouble("PendingOrders"), Crsr.GetDouble("PendingInvoices"), Crsr.GetDouble("BonusDebit"), Crsr.GetDouble("BonusCredit"), _
					Crsr.GetDouble("ForecastedBonusValue"), Crsr.GetDouble("GrossTurnover")))
					'Log(i1 & " - " & Crsr.GetString("fTradeAccountGID"))
					i1 = i1 +1
					Sleep(0)
				Loop
				Crsr.Close
			End If
		Catch
			Success = False
			Log(LastException)
		End Try
		CloseConnection
	End If
	Return Success
End Sub

Sub ESGOZActivity_Insert As ResumableSub
	Wait For (Connect) Complete (Success As Boolean)
	If Success Then
		Try
			'Dim sf As Object = RemoteSQL.ExecQueryAsync("RemoteSQL", "SELECT ESDModified, GID, Code, Description, BarCode, Price, Price1, Price2 Comment, TS FROM ESFIItem where ItemType in (0,12) and ItemClass = 1 order by Description", Null)
			Dim Qry As String
			Qry = $"SELECT Code, Description, AlternativeDescription,
					Inactive, GLCode1, GLCode2, GLCode3, GLCode4, ESDModified, 
					ESUModified, ESDCreated, ESUCreated, fIndustryCode, TS
					FROM ESGOZActivity"$
			Dim sf As Object = RemoteSQL.ExecQueryAsync("RemoteSQL", Qry, Null)
			Wait For (sf) RemoteSQL_QueryComplete (Success As Boolean, Crsr As JdbcResultSet)
			If Success Then
				Dim i1 As Int = 1
				Do While Crsr.NextRow
					LocalSQL.ExecNonQuery2($"INSERT INTO LOCAL_ESGOZActivity (Code, Description, AlternativeDescription,
					Inactive, GLCode1, GLCode2, GLCode3, GLCode4, ESDModified, 
					ESUModified, ESDCreated, ESUCreated, fIndustryCode, TS)
					VALUES (?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)"$, Array As Object(Crsr.GetString("Code"), Crsr.GetString("Description"), Crsr.GetString("AlternativeDescription"), _
					Crsr.GetInt("Inactive"), Crsr.GetString("GLCode1"), Crsr.GetString("GLCode2"), Crsr.GetString("GLCode3"), Crsr.GetString("GLCode4"), Crsr.GetString("ESDModified"), _
					Crsr.GetString("ESUModified"), Crsr.GetString("ESDCreated"), Crsr.GetString("ESUCreated"), Crsr.GetString("fIndustryCode"), Crsr.GetString("TS")))
					'Log(i1 & " - " & Crsr.GetString("Description"))
					i1 = i1 +1
					Sleep(0)
				Loop
				Crsr.Close
			End If
		Catch
			Success = False
			Log(LastException)
		End Try
		CloseConnection
	End If
	Return Success
End Sub

Sub ESGOPersonLists_Insert As ResumableSub
	Wait For (Connect) Complete (Success As Boolean)
	If Success Then
		Try
			'Dim sf As Object = RemoteSQL.ExecQueryAsync("RemoteSQL", "SELECT ESDModified, GID, Code, Description, BarCode, Price, Price1, Price2 Comment, TS FROM ESFIItem where ItemType in (0,12) and ItemClass = 1 order by Description", Null)
			Dim Qry As String
			Qry = $"SELECT fPersonCodeGID, MemberOfList, FileSaveFolder, SpecialCode,
					SwiftCode, CourierProviderCode, fTimeMUCode, MaxWorkingTime, MaxTravelTime 
					FROM ESGOPersonLists WHERE MemberOfList = 1"$
			Dim sf As Object = RemoteSQL.ExecQueryAsync("RemoteSQL", Qry, Null)
			Wait For (sf) RemoteSQL_QueryComplete (Success As Boolean, Crsr As JdbcResultSet)
			If Success Then
				Dim i1 As Int = 1
				Do While Crsr.NextRow
					LocalSQL.ExecNonQuery2($"INSERT INTO LOCAL_ESGOPersonLists (fPersonCodeGID, MemberOfList, FileSaveFolder, 
					SpecialCode, SwiftCode, CourierProviderCode, fTimeMUCode, MaxWorkingTime, MaxTravelTime)
					VALUES (?, ?, ?, ?, ?, ?, ?, ?, ?)"$, Array As Object(Crsr.GetString("fPersonCodeGID"), Crsr.GetInt("MemberOfList"), Crsr.GetString("FileSaveFolder"), _
					Crsr.GetString("SpecialCode"), Crsr.GetString("SwiftCode"), Crsr.GetInt("CourierProviderCode"), Crsr.GetString("fTimeMUCode"), Crsr.GetDouble("MaxWorkingTime"), _
					Crsr.GetDouble("MaxTravelTime")))
					'Log(i1 & " - " & Crsr.GetString("fPersonCodeGID"))
					i1 = i1 +1
					Sleep(0)
				Loop
				Crsr.Close
			End If
		Catch
			Success = False
			Log(LastException)
		End Try
		CloseConnection
	End If
	Return Success
End Sub

Sub SalesManInfo As ResumableSub
	Wait For (Connect) Complete (Success As Boolean)
	If Success Then
		Try
			Dim sf As Object = RemoteSQL.ExecQueryAsync("RemoteSQL", "SELECT Code, Name, GID FROM ESFISalesPerson WHERE Inactive = 0 AND Code NOT IN (98,99,05) ORDER BY Name", Null)
			Wait For (sf) RemoteSQL_QueryComplete (Success As Boolean, Crsr As JdbcResultSet)
			If Success Then
				'Main.SalesMansInfo.Initialize
				Main.SalesMansInfo.Add("Επιλογή πωλητή")
				Do While Crsr.NextRow
					Log($"Code: ${Crsr.GetString("Code")}, Description: ${Crsr.GetString("Name")}, GID: ${Crsr.GetString("GID")}"$)
					Main.SalesMansInfo.Add(Crsr.GetString("Code") & " / " & Crsr.GetString("Name") & " / " & Crsr.GetString("GID"))
					Log(Main.SalesMansInfo.Size)
				Loop
				Log(Main.SalesMansInfo.Size)
				Crsr.Close
			End If
		Catch
			Success = False
			Log(LastException)
		End Try
		CloseConnection
	End If
	Return Success
End Sub

Sub EGM_Kartela_Insert As ResumableSub
	Wait For (Connect) Complete (Success As Boolean)
	If Success Then
		Try
			Dim Qry As String
			Qry = $"SELECT TB1.ESFITradeAccountEntry_ESFITradeAccountPeriodicsGID AS GID,
			CONVERT(VARCHAR, TB1.RegistrationDate, 120) AS RegistrationDate, TB1.DocumentCode, TB1.LongComment,	TB1.Debit, TB1.Credit, 
			SUM(TB1.Balance) AS Balance, fTradeAccountGID
			FROM 
			(SELECT ESFITradeAccountEntry_ESFITradeAccountPeriodics.GID AS ESFITradeAccountEntry_ESFITradeAccountPeriodicsGID, 
				ESFITradeAccountPeriodics_Debit AS Debit, 
				ESFITradeAccountPeriodics_Credit AS Credit,
				CASE 
					WHEN ESFITradeAccountEntry_ESFITradeAccountPeriodics.TradeAccountType IN (0,2) THEN ESFITradeAccountPeriodics_Debit - ESFITradeAccountPeriodics_Credit
					ELSE ESFITradeAccountPeriodics_Credit - ESFITradeAccountPeriodics_Debit
				END AS Balance,
			  IsNull(ESFIDocumentType.Description,'') + '  '  +  IsNull(ESFITradeAccountEntry_ESFITradeAccountPeriodics.Comment,'') AS LongComment,
			/*      (CASE ESFITradeAccountEntry_ESFITradeAccountPeriodics.DocumentClass WHEN 1 
			   THEN 
			    (ESFITradeAccountEntry_ESFITradeAccountPeriodics.Discounts + ESFITradeAccountEntry_ESFITradeAccountPeriodics.DeductionsValue-
			ESFITradeAccountEntry_ESFITradeAccountPeriodics.TaxesValue - ESFITradeAccountEntry_ESFITradeAccountPeriodics.ChargesValue )
			     ELSE 
				(ESFITradeAccountEntry_ESFITradeAccountPeriodics.TaxesValue + ESFITradeAccountEntry_ESFITradeAccountPeriodics.ChargesValue - 
			       ESFITradeAccountEntry_ESFITradeAccountPeriodics.Discounts - ESFITradeAccountEntry_ESFITradeAccountPeriodics.DeductionsValue)
				END) AS Discounts1, */
			(case
			when ESFITradeAccountPeriodics_Debit>0 then (case when ESFITradeAccountEntry_ESFITradeAccountPeriodics.DocumentClass=1 then AmountPayable else ESFITradeAccountEntry_ESFITradeAccountPeriodics.NetValue end) 
			when ESFITradeAccountPeriodics_Debit<0 then -(case when ESFITradeAccountEntry_ESFITradeAccountPeriodics.DocumentClass=1 then AmountPayable else ESFITradeAccountEntry_ESFITradeAccountPeriodics.NetValue end) 
			when ESFITradeAccountPeriodics_Credit>0 then -(case when ESFITradeAccountEntry_ESFITradeAccountPeriodics.DocumentClass=1 then AmountPayable else ESFITradeAccountEntry_ESFITradeAccountPeriodics.NetValue end) 
			when ESFITradeAccountPeriodics_Credit<0 then (case when ESFITradeAccountEntry_ESFITradeAccountPeriodics.DocumentClass=1 then AmountPayable else ESFITradeAccountEntry_ESFITradeAccountPeriodics.NetValue end) 
			else 0
			end)  AS NetValue1,

			(case
			when ESFITradeAccountPeriodics_Debit>0 then (case when ESFITradeAccountEntry_ESFITradeAccountPeriodics.DocumentClass=1 then (ESFITradeAccountEntry_ESFITradeAccountPeriodics.TotalValue-AmountPayable+ESFITradeAccountEntry_ESFITradeAccountPeriodics.TaxesValue +ESFITradeAccountEntry_ESFITradeAccountPeriodics.ChargesValue -Discounts -ESFITradeAccountEntry_ESFITradeAccountPeriodics.DeductionsValue) else ESFITradeAccountEntry_ESFITradeAccountPeriodics.VATValue end) 
			when ESFITradeAccountPeriodics_Debit<0 then -(case when ESFITradeAccountEntry_ESFITradeAccountPeriodics.DocumentClass=1 then (ESFITradeAccountEntry_ESFITradeAccountPeriodics.TotalValue-AmountPayable+ESFITradeAccountEntry_ESFITradeAccountPeriodics.TaxesValue +ESFITradeAccountEntry_ESFITradeAccountPeriodics.ChargesValue -Discounts -ESFITradeAccountEntry_ESFITradeAccountPeriodics.DeductionsValue) else ESFITradeAccountEntry_ESFITradeAccountPeriodics.VATValue end) 
			when ESFITradeAccountPeriodics_Credit>0 then -(case when ESFITradeAccountEntry_ESFITradeAccountPeriodics.DocumentClass=1 then (ESFITradeAccountEntry_ESFITradeAccountPeriodics.TotalValue-AmountPayable+ESFITradeAccountEntry_ESFITradeAccountPeriodics.TaxesValue +ESFITradeAccountEntry_ESFITradeAccountPeriodics.ChargesValue -Discounts -ESFITradeAccountEntry_ESFITradeAccountPeriodics.DeductionsValue) else ESFITradeAccountEntry_ESFITradeAccountPeriodics.VATValue end) 
			when ESFITradeAccountPeriodics_Credit<0 then (case when ESFITradeAccountEntry_ESFITradeAccountPeriodics.DocumentClass=1 then (ESFITradeAccountEntry_ESFITradeAccountPeriodics.TotalValue-AmountPayable+ESFITradeAccountEntry_ESFITradeAccountPeriodics.TaxesValue +ESFITradeAccountEntry_ESFITradeAccountPeriodics.ChargesValue -Discounts -ESFITradeAccountEntry_ESFITradeAccountPeriodics.DeductionsValue) else ESFITradeAccountEntry_ESFITradeAccountPeriodics.VATValue end) 
			else 0
			end)  AS VATValue1,

			(case
			when ESFITradeAccountPeriodics_Debit>0 then (CASE ESFITradeAccountEntry_ESFITradeAccountPeriodics.DocumentClass WHEN 1 
			   THEN 
			    (ESFITradeAccountEntry_ESFITradeAccountPeriodics.Discounts + ESFITradeAccountEntry_ESFITradeAccountPeriodics.DeductionsValue-
			ESFITradeAccountEntry_ESFITradeAccountPeriodics.TaxesValue - ESFITradeAccountEntry_ESFITradeAccountPeriodics.ChargesValue )
			     ELSE 
				(ESFITradeAccountEntry_ESFITradeAccountPeriodics.TaxesValue + ESFITradeAccountEntry_ESFITradeAccountPeriodics.ChargesValue - 
			       ESFITradeAccountEntry_ESFITradeAccountPeriodics.Discounts - ESFITradeAccountEntry_ESFITradeAccountPeriodics.DeductionsValue)
				END) 
			when ESFITradeAccountPeriodics_Debit<0 then -(CASE ESFITradeAccountEntry_ESFITradeAccountPeriodics.DocumentClass WHEN 1 
			   THEN 
			    (ESFITradeAccountEntry_ESFITradeAccountPeriodics.Discounts + ESFITradeAccountEntry_ESFITradeAccountPeriodics.DeductionsValue-
			ESFITradeAccountEntry_ESFITradeAccountPeriodics.TaxesValue - ESFITradeAccountEntry_ESFITradeAccountPeriodics.ChargesValue )
			     ELSE 
				(ESFITradeAccountEntry_ESFITradeAccountPeriodics.TaxesValue + ESFITradeAccountEntry_ESFITradeAccountPeriodics.ChargesValue - 
			       ESFITradeAccountEntry_ESFITradeAccountPeriodics.Discounts - ESFITradeAccountEntry_ESFITradeAccountPeriodics.DeductionsValue)
				END) 
			when ESFITradeAccountPeriodics_Credit>0 then -(CASE ESFITradeAccountEntry_ESFITradeAccountPeriodics.DocumentClass WHEN 1 
			   THEN 
			    (ESFITradeAccountEntry_ESFITradeAccountPeriodics.Discounts + ESFITradeAccountEntry_ESFITradeAccountPeriodics.DeductionsValue-
			ESFITradeAccountEntry_ESFITradeAccountPeriodics.TaxesValue - ESFITradeAccountEntry_ESFITradeAccountPeriodics.ChargesValue )
			     ELSE 
				(ESFITradeAccountEntry_ESFITradeAccountPeriodics.TaxesValue + ESFITradeAccountEntry_ESFITradeAccountPeriodics.ChargesValue - 
			       ESFITradeAccountEntry_ESFITradeAccountPeriodics.Discounts - ESFITradeAccountEntry_ESFITradeAccountPeriodics.DeductionsValue)
				END)
			when ESFITradeAccountPeriodics_Credit<0 then (CASE ESFITradeAccountEntry_ESFITradeAccountPeriodics.DocumentClass WHEN 1 
			   THEN 
			    (ESFITradeAccountEntry_ESFITradeAccountPeriodics.Discounts + ESFITradeAccountEntry_ESFITradeAccountPeriodics.DeductionsValue-
			ESFITradeAccountEntry_ESFITradeAccountPeriodics.TaxesValue - ESFITradeAccountEntry_ESFITradeAccountPeriodics.ChargesValue )
			     ELSE 
				(ESFITradeAccountEntry_ESFITradeAccountPeriodics.TaxesValue + ESFITradeAccountEntry_ESFITradeAccountPeriodics.ChargesValue - 
			       ESFITradeAccountEntry_ESFITradeAccountPeriodics.Discounts - ESFITradeAccountEntry_ESFITradeAccountPeriodics.DeductionsValue)
				END) 
				else 0
			end)  AS Discounts1,

				ESFITradeAccountEntry_ESFITradeAccountPeriodics.* ,
				
			     /*παλιός τρόπος υπολογισμού του Εναλ/κού παρ/κού
			      (case CancelState when 1 then '(' + ESFITradeAccountEntry_ESFITradeAccountPeriodics.ReferenceDocument+ ')'
			                                     else  ESFITradeAccountEntry_ESFITradeAccountPeriodics.AlternativeDocument end) AS AlternativeDocument_new, */

			      (case CancelState 
			      when 1 then 
			      (case when ESFITradeAccountEntry_ESFITradeAccountPeriodics.AlternativeDocument is not null then
			'(' + ESFITradeAccountEntry_ESFITradeAccountPeriodics.AlternativeDocument + ')' else
			'(' + ESFITradeAccountEntry_ESFITradeAccountPeriodics.ReferenceDocument+ ')' end)
			      else  ESFITradeAccountEntry_ESFITradeAccountPeriodics.AlternativeDocument end) AS AlternativeDocument_new, 
			 
			(CASE WHEN (ESFITradeAccountPeriodics_Debit - ESFITradeAccountPeriodics_Credit) > 0  THEN 0 ELSE 1 END) as Old_Rank,

			    /* το ESRank βοηθά στην ταξινόμηση των εγγραφών: πρώτα τα τιμολόγια με τις πληρωμές τους, μετά τα πιστωτικά. Αν υπάρχει ακυρωτικό, να εμφανίζεται κάτω από παραστατικό που ακυρώνει. το 
			        ακυρωτικό τιμολογίου πρέπει να έχει esrank=0 ενώ το ακυρωτικό του πιστωτικού πρέπει να έχει esrank=1 */
			       (CASE WHEN (ESFITradeAccountPeriodics_Debit_Nullable is not null)  THEN 
			                  (CASE WHEN  ESFIDocumentUpdateProfileLine.SourceType = 2 and ESFITradeAccountEntry_ESFITradeAccountPeriodics.DocumentClass=0 THEN 1 
					     ELSE (case when CancelState =1 then (case when ESFITradeAccountPeriodics_Debit >0 then 1 else 0 end)  
					     			 else (case when ESFITradeAccountPeriodics_Debit >0 then 0 else 1 end)  end) END)  

			       ELSE (CASE WHEN ESFIDocumentUpdateProfileLine.SourceType = 2 and ESFITradeAccountEntry_ESFITradeAccountPeriodics.DocumentClass=0 THEN 0 
			    ELSE (case when CancelState=1 then (case when ESFITradeAccountPeriodics_Credit >0 then 0 else 1 end)  
								 else (case when ESFITradeAccountPeriodics_Credit >0 then 1 else 0 end)  end) END) END) as ESRank,
								 
			    /* το ESRank1 βοηθά στην ταξινόμηση των ακυρωτικών: πρώτα τα τιμολόγια μετά τα ακυρωτικά. Τα ακυρωτικά έχουν πάντα esrank ίδιο με αυτού που ακυρώνουν και για αυτό ταξινομούνται με το πεδίο 
			        ReferenceDocument το οποίο είναι ίδιο με του παραστατικού που ακυρώνουν */
			       (CASE WHEN CancelState = 1THEN  ESFITradeAccountEntry_ESFITradeAccountPeriodics.ReferenceDocument 
			                                                       ELSE ESFITradeAccountEntry_ESFITradeAccountPeriodics.DocumentCode END) as ESRank1,
            ESFIDocumentType.Description AS ESFIDocumentType_Description
			FROM ESFITradeAccountEntry_ESFITradeAccountPeriodics
			LEFT JOIN ESFIDocumentUpdateProfileLine ON ESFITradeAccountEntry_ESFITradeAccountPeriodics.fDocUpdateProfileLineGID = ESFIDocumentUpdateProfileLine.GID
            LEFT JOIN ESFIDocumentDirectory ON ESFIDocumentDirectory.fDocumentGID = ESFITradeAccountEntry_ESFITradeAccountPeriodics.fDocumentGID
            LEFT JOIN ESFIDocumentType ON ESFIDocumentType.GID = ESFIDocumentDirectory.fADDocumentTypeGID
			WHERE (((CancelState=0)
			       AND (ESFITradeAccountEntry_ESFITradeAccountPeriodics.CancelState =0))
			       OR ((CancelState=1)
			       AND (ESFITradeAccountEntry_ESFITradeAccountPeriodics.CancelState in (0,1,2))))
			) TB1
			INNER JOIN ESFITradeAccount ON ESFITradeAccount.GID = TB1.fTradeAccountGID 
			WHERE ESFITradeAccount.fSalesPersonGID = '${Main.SalesmanGID}'
			AND TB1.RegistrationDate >= (SELECT TOP 1 BEGINNING FROM EGM_YEARS)
			AND TB1.RegistrationDate <= (SELECT TOP 1 ENDING FROM EGM_YEARS) 
			GROUP BY TB1.ESFITradeAccountEntry_ESFITradeAccountPeriodicsGID, TB1.fTradeAccountGID, TB1.RegistrationDate, 
					 TB1.DocumentCode, TB1.LongComment, TB1.Debit, TB1.Credit, TB1.ESRank, TB1.ESRank1
            ORDER BY TB1.RegistrationDate, TB1.ESRank, TB1.ESRank1 "$
			'Log(Qry)
			Dim sf As Object = RemoteSQL.ExecQueryAsync("RemoteSQL", Qry, Null)
			Wait For (sf) RemoteSQL_QueryComplete (Success As Boolean, Crsr As JdbcResultSet)
			If Success Then
				Dim i1 As Int = 1
				Do While Crsr.NextRow
					LocalSQL.ExecNonQuery2($"INSERT INTO LOCAL_EGM_Kartela (GID, RegistrationDate, DocumentCode, LongComment, Debit, Credit, Balance, fTradeAccountGID)
					VALUES (?, ?, ?, ?, ?, ?, ?, ?)"$, Array As Object(Crsr.GetString("GID"), Crsr.GetString("RegistrationDate"), _ 
					Crsr.GetString("DocumentCode"), Crsr.GetString("LongComment"), _
					Crsr.GetDouble("Debit"), Crsr.GetDouble("Credit"), Crsr.GetDouble("Balance"), Crsr.GetString("fTradeAccountGID")))
					'Log(i1 & " - " & Crsr.GetString("RegistrationDate") & " - " & Crsr.GetString("DocumentCode"))
					i1 = i1 +1
					Sleep(0)
				Loop
				Crsr.Close
			End If
		Catch
			Success = False
			Log(LastException)
		End Try
		CloseConnection
	End If
	Return Success
End Sub

Sub ESFITradeAccount_Insert As ResumableSub
	Wait For (Connect) Complete (Success As Boolean)
	If Success Then
		Try
			'Dim sf As Object = RemoteSQL.ExecQueryAsync("RemoteSQL", "SELECT ESDModified, GID, Code, Description, BarCode, Price, Price1, Price2 Comment, TS FROM ESFIItem where ItemType in (0,12) and ItemClass = 1 order by Description", Null)
			Dim Qry As String
			Qry = $"SELECT GID, Code, Name, AlternativeName, fPersonCodeGID, fCompanyCode, fSiteGID, fBusinessUnitCode, fBusinessActivityCode,
					fDimension1Code, fDimension2Code, [Type], Nature, Inactive, AlternativeCode, KEPYOStatus, VATStatus, 
					CASE VATStatus WHEN 0 Then 24.00 WHEN 1 THEN 13.00 WHEN 2 THEN 0 WHEN 3 THEN 0 WHEN 4 THEN 0 ELSE 24.00 END AS PosostoFPA, 
					Remarks, fCommercialProfileGID, fInvoicePolicyGID, TradeDiscount, fFamilyCode, fSalesPersonGID, fAccountManagerGID, fCommissionLevelCode, 
					fFixedSupplierGID, fChargesGroupGID, fDiscountGroupGID, fDeductionGroupGID, fPaymentMethodGID, OrderPriority, fShippingMethodCode, 
					fTransporterGID, fUsualRouteCode, AccountStartDate, fTradeCurrencyCode, fCreditControlProfileGID, BalanceLimit, OpenBalanceNotesLimit, 
					OpenBalanceTotalNotesLimit, fInterestProfileCode, fCollectorGID, PaymentDay, FromHours, ToHours, MatchingCriteria, fMatchingFieldGID, 
					fWareHouseGID, fTableField1Code, fTableField2Code, fTableField3Code, fTableField4Code, fTableField5Code, fTableField6Code, fTableField7Code, 
					fTableField8Code, fTableField9Code, fTableField10Code, Stringfield1, Stringfield2, Stringfield3, Stringfield4, Stringfield5, Stringfield6, 
					Stringfield7, Stringfield8, Stringfield9, Stringfield10, NumericField1, NumericField2, NumericField3, NumericField4, NumericField5, 
					NumericField6, NumericField7, NumericField8, NumericField9, NumericField10, DateField1, DateField2, DateField3, DateField4, DateField5, 
					DateField6, DateField7, DateField8, DateField9, DateField10, ESDCreated, ESUCreated, ESDModified, ESUModified, fGLAccountGID, 
					fGLSegCode, fPriceListGID, fTradeAccountPricingCategoryCode, GLAccountCode, DayOfMonth, DocumentMessage, fBudgetTradeAccountGroupCode, 
					Flag1, Flag2, Flag3, Flag4, Flag5, Flag6, Flag7, Flag8, Flag9, Flag10, PriceZone, NumValeurDays, GroupDocuments, ClubCardNumber, 
					fRLSNodeGID, fBonusGroupGID, ConsignmentParticipation, fPropertySetGID, ProposedPaymentType, IncludeTaxDocs, SoundName, TS, 
					PrintFormPostfix, SolvencyType, SolvencyDate, PrintHardCopy, InvoiceEMailAddress, fEInvoiceProfileGID, eInvoice, FacebookAccount, 
					TwitterAccount, fIntercessorGID, Concerns, BarcodeStack, SubjectToTax, AllowBackOrders
					FROM ESFITradeAccount WHERE fSalesPersonGID = '${Main.SalesmanGID}'"$
			Dim sf As Object = RemoteSQL.ExecQueryAsync("RemoteSQL", Qry, Null)
			Wait For (sf) RemoteSQL_QueryComplete (Success As Boolean, Crsr As JdbcResultSet)
			If Success Then
				Dim i1 As Int = 1
				Do While Crsr.NextRow
					LocalSQL.ExecNonQuery2($"INSERT INTO LOCAL_ESFITradeAccount (GID, Code, Name, AlternativeName, fPersonCodeGID, fCompanyCode, fSiteGID, 
											fBusinessUnitCode, fBusinessActivityCode, fDimension1Code, fDimension2Code, 
											Type, Nature, Inactive, AlternativeCode, KEPYOStatus, VATStatus, PosostoFPA, Remarks, 
											fCommercialProfileGID, fInvoicePolicyGID, TradeDiscount, fFamilyCode, 
											fSalesPersonGID, fAccountManagerGID, fCommissionLevelCode, fFixedSupplierGID, 
											fChargesGroupGID, fDiscountGroupGID, fDeductionGroupGID, fPaymentMethodGID, 
											OrderPriority, fShippingMethodCode, fTransporterGID, fUsualRouteCode, AccountStartDate, 
											fTradeCurrencyCode, fCreditControlProfileGID, BalanceLimit, OpenBalanceNotesLimit, 
											OpenBalanceTotalNotesLimit, fInterestProfileCode, fCollectorGID, PaymentDay, FromHours, 
											ToHours, MatchingCriteria, fMatchingFieldGID, fWareHouseGID, fTableField1Code, fTableField2Code, 
											fTableField3Code, fTableField4Code, fTableField5Code, fTableField6Code, fTableField7Code, 
											fTableField8Code, fTableField9Code, fTableField10Code, Stringfield1, Stringfield2, Stringfield3, 
											Stringfield4, Stringfield5, Stringfield6, Stringfield7, Stringfield8, Stringfield9, Stringfield10, 
											NumericField1, NumericField2, NumericField3, NumericField4, NumericField5, NumericField6, 
											NumericField7, NumericField8, NumericField9, NumericField10, DateField1, DateField2, DateField3, 
											DateField4, DateField5, DateField6, DateField7, DateField8, DateField9, DateField10, ESDCreated, 
											ESUCreated, ESDModified, ESUModified, fGLAccountGID, fGLSegCode, fPriceListGID, 
											fTradeAccountPricingCategoryCode, GLAccountCode, DayOfMonth, DocumentMessage, 
											fBudgetTradeAccountGroupCode, Flag1, Flag2, Flag3, Flag4, Flag5, Flag6, Flag7, Flag8, 
											Flag9, Flag10, PriceZone, NumValeurDays, GroupDocuments, ClubCardNumber, 
											fRLSNodeGID, fBonusGroupGID, ConsignmentParticipation, fPropertySetGID, 
											ProposedPaymentType, IncludeTaxDocs, SoundName, TS, PrintFormPostfix, SolvencyType, 
											SolvencyDate, PrintHardCopy, InvoiceEMailAddress, fEInvoiceProfileGID, eInvoice, FacebookAccount, 
											TwitterAccount, fIntercessorGID, Concerns, BarcodeStack, SubjectToTax, AllowBackOrders)
					VALUES (?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?,
					?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?,
					?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)"$, Array As Object(Crsr.GetString("GID"), _ 
					Crsr.GetString("Code"), Crsr.GetString("Name"), Crsr.GetString("AlternativeName"), Crsr.GetString("fPersonCodeGID"), Crsr.GetString("fCompanyCode"), _ 
					Crsr.GetString("fSiteGID"), Crsr.GetString("fBusinessUnitCode"), Crsr.GetString("fBusinessActivityCode"), Crsr.GetString("fDimension1Code"), Crsr.GetString("fDimension2Code"), _
					Crsr.GetInt("Type"), Crsr.GetInt("Nature"), Crsr.GetInt("Inactive"), Crsr.GetString("AlternativeCode"), Crsr.GetInt("KEPYOStatus"), Crsr.GetInt("VATStatus"), Crsr.GetDouble("PosostoFPA"), Crsr.GetString("Remarks"), _
					Crsr.GetString("fCommercialProfileGID"), Crsr.GetString("fInvoicePolicyGID"), Crsr.GetDouble("TradeDiscount"), Crsr.GetString("fFamilyCode"), Crsr.GetString("fSalesPersonGID"), _
					Crsr.GetString("fAccountManagerGID"), Crsr.GetString("fCommissionLevelCode"), Crsr.GetString("fFixedSupplierGID"), Crsr.GetString("fChargesGroupGID"), Crsr.GetString("fDiscountGroupGID"), _
					Crsr.GetString("fDeductionGroupGID"), Crsr.GetString("fPaymentMethodGID"), Crsr.GetInt("OrderPriority"), Crsr.GetString("fShippingMethodCode"), _
					Crsr.GetString("fTransporterGID"), Crsr.GetString("fUsualRouteCode"), Crsr.GetString("AccountStartDate"), Crsr.GetString("fTradeCurrencyCode"), Crsr.GetString("fCreditControlProfileGID"), _
					Crsr.GetDouble("BalanceLimit"), Crsr.GetDouble("OpenBalanceNotesLimit"), Crsr.GetDouble("OpenBalanceTotalNotesLimit"), Crsr.GetString("fInterestProfileCode"), Crsr.GetString("fCollectorGID"), _
					Crsr.GetString("PaymentDay"), Crsr.GetString("FromHours"), Crsr.GetString("ToHours"), Crsr.GetInt("MatchingCriteria"), Crsr.GetString("fMatchingFieldGID"), _
					Crsr.GetString("fWareHouseGID"), Crsr.GetString("fTableField1Code"), Crsr.GetString("fTableField2Code"), Crsr.GetString("fTableField3Code"), Crsr.GetString("fTableField4Code"), _
					Crsr.GetString("fTableField5Code"), Crsr.GetString("fTableField6Code"), Crsr.GetString("fTableField7Code"), Crsr.GetString("fTableField8Code"), Crsr.GetString("fTableField9Code"), _
					Crsr.GetString("fTableField10Code"), Crsr.GetString("Stringfield1"), Crsr.GetString("Stringfield2"), Crsr.GetString("Stringfield3"), Crsr.GetString("Stringfield4"), _
					Crsr.GetString("Stringfield5"), Crsr.GetString("Stringfield6"), Crsr.GetString("Stringfield7"), Crsr.GetString("Stringfield8"), Crsr.GetString("Stringfield9"), _
					Crsr.GetString("Stringfield10"), Crsr.GetDouble("NumericField1"), Crsr.GetDouble("NumericField2"), Crsr.GetDouble("NumericField3"), Crsr.GetDouble("NumericField4"), _
					Crsr.GetDouble("NumericField5"), Crsr.GetDouble("NumericField6"), Crsr.GetDouble("NumericField7"), Crsr.GetDouble("NumericField8"), Crsr.GetDouble("NumericField9"), Crsr.GetDouble("NumericField10"), _
					Crsr.GetString("DateField1"), Crsr.GetString("DateField2"), Crsr.GetString("DateField3"), Crsr.GetString("DateField4"), Crsr.GetString("DateField5"), _
					Crsr.GetString("DateField6"), Crsr.GetString("DateField7"), Crsr.GetString("DateField8"), Crsr.GetString("DateField9"), Crsr.GetString("DateField10"), _
					Crsr.GetString("ESDCreated"), Crsr.GetString("ESUCreated"), Crsr.GetString("ESDModified"), Crsr.GetString("ESUModified"), Crsr.GetString("fGLAccountGID"), _
					Crsr.GetString("fGLSegCode"), Crsr.GetString("fPriceListGID"), Crsr.GetString("fTradeAccountPricingCategoryCode"), Crsr.GetString("GLAccountCode"), Crsr.GetString("DayOfMonth"), _
					Crsr.GetString("DocumentMessage"), Crsr.GetString("fBudgetTradeAccountGroupCode"), Crsr.GetInt("Flag1"), Crsr.GetInt("Flag2"), Crsr.GetInt("Flag3"), _
					Crsr.GetInt("Flag4"), Crsr.GetInt("Flag5"), Crsr.GetInt("Flag6"), Crsr.GetInt("Flag7"), Crsr.GetInt("Flag8"), Crsr.GetInt("Flag9"), Crsr.GetInt("Flag10"), Crsr.GetInt("PriceZone"), _
					Crsr.GetInt("NumValeurDays"), Crsr.GetInt("GroupDocuments"), Crsr.GetString("ClubCardNumber"), Crsr.GetString("fRLSNodeGID"), Crsr.GetString("fBonusGroupGID"), _
					Crsr.GetInt("ConsignmentParticipation"), Crsr.GetString("fPropertySetGID"), Crsr.GetInt("ProposedPaymentType"), Crsr.GetInt("IncludeTaxDocs"), Crsr.GetString("SoundName"), Crsr.GetString("TS"), _
					Crsr.GetString("PrintFormPostfix"), Crsr.GetInt("SolvencyType"), Crsr.GetString("SolvencyDate"), Crsr.GetInt("PrintHardCopy"), Crsr.GetString("InvoiceEMailAddress"), _
					Crsr.GetString("fEInvoiceProfileGID"), Crsr.GetInt("eInvoice"), Crsr.GetString("FacebookAccount"), Crsr.GetString("TwitterAccount"), Crsr.GetString("fIntercessorGID"), _
					Crsr.GetInt("Concerns"), Crsr.GetInt("BarcodeStack"), Crsr.GetInt("SubjectToTax"), Crsr.GetInt("AllowBackOrders")))
					'Log(i1 & " - " & Crsr.GetString("Name"))
					i1 = i1 + 1
					Sleep(0)
				Loop
				Crsr.Close
			End If
		Catch
			Success = False
			Log(LastException)
		End Try
		CloseConnection
	End If
	Return Success
End Sub

Sub ESFIPricelist_Insert As ResumableSub
	Wait For (Connect) Complete (Success As Boolean)
	If Success Then
		Try
			'Dim sf As Object = RemoteSQL.ExecQueryAsync("RemoteSQL", "SELECT ESDModified, GID, Code, Description, BarCode, Price, Price1, Price2 Comment, TS FROM ESFIItem where ItemType in (0,12) and ItemClass = 1 order by Description", Null)
			Dim Qry As String
			Qry = $"SELECT ESFIPricelist.GID AS 'ESFIPricelistGID', ESFIPricelist.Code AS 'ESFIPricelistCode', ESFIItem.GID AS 'ESFIItemGID',
					ESFIItem.Code AS 'ESFIItemCode', ESFIPricelistItem.Price AS 'NetPrice'
					FROM ESFIPricelist 
					LEFT JOIN ESFIPricelistItem on ESFIPricelistItem.fPricelistGID = ESFIPricelist.GID
					LEFT JOIN ESFIItem ON ESFIItem.GID = ESFIPricelistItem.fItemGID
					WHERE ESFIPricelist.GID IN (SELECT DISTINCT ESFITradeAccount.fPriceListGID FROM ESFITradeAccount where fSalesPersonGID = '${Main.SalesmanGID}')"$
			'Log(Qry)
			Dim sf As Object = RemoteSQL.ExecQueryAsync("RemoteSQL", Qry, Null)
			Wait For (sf) RemoteSQL_QueryComplete (Success As Boolean, Crsr As JdbcResultSet)
			If Success Then
				Dim i1 As Int = 1
				Do While Crsr.NextRow
					LocalSQL.ExecNonQuery2($"INSERT INTO LOCAL_ESFIPricelist (ESFIPricelistGID, ESFIPricelistCode, ESFIItemGID, ESFIItemCode, NetPrice)
					VALUES (?, ?, ?, ?, ?)"$, Array As Object(Crsr.GetString("ESFIPricelistGID"), Crsr.GetString("ESFIPricelistCode"), _ 
					Crsr.GetString("ESFIItemGID"), Crsr.GetString("ESFIItemCode"), Crsr.GetDouble("NetPrice")))
					'Log(i1 & " - " & Crsr.GetString("ESFIItemCode") & " - " & Crsr.GetDouble("NetPrice"))
					i1 = i1 +1
					Sleep(0)
				Loop
				Crsr.Close
			End If
		Catch
			Success = False
			Log(LastException)
		End Try
		CloseConnection
	End If
	Return Success
End Sub

Sub EGM_CUSTOMER_OVERVIEW_Insert As ResumableSub
	Wait For (Connect) Complete (Success As Boolean)
	If Success Then
		Try
			'Dim sf As Object = RemoteSQL.ExecQueryAsync("RemoteSQL", "SELECT ESDModified, GID, Code, Description, BarCode, Price, Price1, Price2 Comment, TS FROM ESFIItem where ItemType in (0,12) and ItemClass = 1 order by Description", Null)
			Dim Qry As String
			Qry = $"SELECT fSalesPersonGID, ISUDGID, CustomerCode, CustomerName, TaxRegistrationNumber, KathestosFPA, ActivityDescription, Address,
					RegionGroup, FamilyDescription, GroupDescription, CategoryDescription, Balance, PendingNotes, 
					TradeBalance, PendingInvoices, PendingOrders, Telephone, Fax, ReportTitle, Taytothta, Kwdikos, 
					Customername1, AFM, Epaggelma, Dieythinsi, RegionGroup1, Telephones, Pwlitis, Groupings, 
					Omada, Oikogeneia, Kathgoria, Oroi_Synal, Orio_Pist, Pist_Politiki, Hm_Plir, Trop_plhr, Percent1, Percent2, 
					Zwni_timwn, Pist_polit, Hmeres_Pist, Timokatalogos, Empor_polit, LogistikoYpoloipo, EkrAkxografa, 
					EmporikoYpoloipo, Ekr_timol, Ekr_parag, Tipota1, Tipota2, Oiko_Stoixeia, Fax1, email, Description1, 
					PaymentDay, Description2, PriceZone, NumValeurDays, Description3, Code6, Name, TradeDiscount1, 
					TradeDiscount2, BalanceLimit, Description4, EMailAddress, Turnover, ZoniTimon, PaymentDays_text, 
					Tziros, Description5, Ypok, NotesIdias, NotesTritwn, WEBSite, EkrAkxografa2, SiteInfo, CompanyKind_Description,
					TaxOffice, Telephone2, Fax2
					FROM EGM_CUSTOMER_OVERVIEW WHERE fSalesPersonGID = '${Main.SalesmanGID}'"$
			'Log(Qry)
			Dim sf As Object = RemoteSQL.ExecQueryAsync("RemoteSQL", Qry, Null)
			Wait For (sf) RemoteSQL_QueryComplete (Success As Boolean, Crsr As JdbcResultSet)
			If Success Then
				Dim i1 As Int = 1
				Do While Crsr.NextRow
					LocalSQL.ExecNonQuery2($"INSERT INTO LOCAL_EGM_CUSTOMER_OVERVIEW (fSalesPersonGID, 
											ISUDGID, CustomerCode, CustomerName, TaxRegistrationNumber, KathestosFPA, ActivityDescription, Address,
											RegionGroup, FamilyDescription, GroupDescription, CategoryDescription, Balance, PendingNotes, 
											TradeBalance, PendingInvoices, PendingOrders, Telephone, Fax, ReportTitle, Taytothta, Kwdikos, 
											Customername1, AFM, Epaggelma, Dieythinsi, RegionGroup1, Telephones, Pwlitis, Groupings, 
											Omada, Oikogeneia, Kathgoria, Oroi_Synal, Orio_Pist, Pist_Politiki, Hm_Plir, Trop_plhr, Percent1, Percent2, 
											Zwni_timwn, Pist_polit, Hmeres_Pist, Timokatalogos, Empor_polit, LogistikoYpoloipo, EkrAkxografa, 
											EmporikoYpoloipo, Ekr_timol, Ekr_parag, Tipota1, Tipota2, Oiko_Stoixeia, Fax1, email, Description1, 
											PaymentDay, Description2, PriceZone, NumValeurDays, Description3, Code6, Name, TradeDiscount1, 
											TradeDiscount2, BalanceLimit, Description4, EMailAddress, Turnover, ZoniTimon, PaymentDays_text, 
											Tziros, Description5, Ypok, NotesIdias, NotesTritwn, WEBSite, EkrAkxografa2, SiteInfo, 
											CompanyKind_Description, TaxOffice, Telephone2, Fax2)
											VALUES (?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, 
											?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, 
											?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)"$, Array As Object(Crsr.GetString("fSalesPersonGID"), _ 
											Crsr.GetString("ISUDGID"), Crsr.GetString("CustomerCode"), Crsr.GetString("CustomerName"), Crsr.GetString("TaxRegistrationNumber"), Crsr.GetString("KathestosFPA"), _
											Crsr.GetString("ActivityDescription"), Crsr.GetString("Address"), Crsr.GetString("RegionGroup"), Crsr.GetString("FamilyDescription"), _
											Crsr.GetString("GroupDescription"), Crsr.GetString("CategoryDescription"), Crsr.GetDouble("Balance"), Crsr.GetDouble("PendingNotes"), _
											Crsr.GetDouble("TradeBalance"), Crsr.GetDouble("PendingInvoices"), Crsr.GetDouble("PendingOrders"), Crsr.GetString("Telephone"), _
											Crsr.GetString("Fax"), Crsr.GetString("ReportTitle"), Crsr.GetString("Taytothta"), Crsr.GetString("Kwdikos"), _
											Crsr.GetString("Customername1"), Crsr.GetString("AFM"), Crsr.GetString("Epaggelma"), Crsr.GetString("Dieythinsi"), _
											Crsr.GetString("RegionGroup1"), Crsr.GetString("Telephones"), Crsr.GetString("Pwlitis"), Crsr.GetString("Groupings"), _
											Crsr.GetString("Omada"), Crsr.GetString("Oikogeneia"), Crsr.GetString("Kathgoria"), Crsr.GetString("Oroi_Synal"), _
											Crsr.GetString("Orio_Pist"), Crsr.GetString("Pist_Politiki"), Crsr.GetString("Hm_Plir"), Crsr.GetString("Trop_plhr"), _
											Crsr.GetString("Percent1"), Crsr.GetString("Percent2"), Crsr.GetString("Zwni_timwn"), Crsr.GetString("Pist_polit"), _
											Crsr.GetString("Hmeres_Pist"), Crsr.GetString("Timokatalogos"), Crsr.GetString("Empor_polit"), Crsr.GetString("LogistikoYpoloipo"), _
											Crsr.GetString("EkrAkxografa"), Crsr.GetString("EmporikoYpoloipo"), Crsr.GetString("Ekr_timol"), Crsr.GetString("Ekr_parag"), _
											Crsr.GetString("Tipota1"), Crsr.GetString("Tipota2"), Crsr.GetString("Oiko_Stoixeia"), Crsr.GetString("Fax1"), _
											Crsr.GetString("email"), Crsr.GetString("Description1"), Crsr.GetString("PaymentDay"), Crsr.GetString("Description2"), _
											Crsr.GetInt("PriceZone"), Crsr.GetInt("NumValeurDays"), Crsr.GetString("Description3"), Crsr.GetString("Code6"), _
											Crsr.GetString("Name"), Crsr.GetDouble("TradeDiscount1"), Crsr.GetDouble("TradeDiscount2"), Crsr.GetDouble("BalanceLimit"), _
											Crsr.GetString("Description4"), Crsr.GetString("EMailAddress"), Crsr.GetDouble("Turnover"), Crsr.GetString("ZoniTimon"), _
											Crsr.GetString("PaymentDays_text"), Crsr.GetString("Tziros"), Crsr.GetString("Description5"), Crsr.GetString("Ypok"), _
											Crsr.GetDouble("NotesIdias"), Crsr.GetDouble("NotesTritwn"), Crsr.GetString("WEBSite"), Crsr.GetString("EkrAkxografa2"), _
											Crsr.GetString("SiteInfo"), Crsr.GetString("CompanyKind_Description"), Crsr.GetString("TaxOffice"), Crsr.GetString("Telephone2"), _ 
											Crsr.GetString("Fax2")))
					'Log(i1 & " - " & Crsr.GetString("CustomerCode") & " - " & Crsr.GetDouble("Turnover"))
					i1 = i1 +1
					Sleep(0)
				Loop
				Crsr.Close
			End If
		Catch
			Success = False
			Log(LastException)
		End Try
		CloseConnection
	End If
	Return Success
End Sub

Sub EGM_YEARS_Insert As ResumableSub
	Wait For (Connect) Complete (Success As Boolean)
	If Success Then
		Try
			'Dim sf As Object = RemoteSQL.ExecQueryAsync("RemoteSQL", "SELECT ESDModified, GID, Code, Description, BarCode, Price, Price1, Price2 Comment, TS FROM ESFIItem where ItemType in (0,12) and ItemClass = 1 order by Description", Null)
			Dim Qry As String
			Qry = $"SELECT TOP 3 CONVERT(VARCHAR(10), BeginDate, 120) AS BeginDate,
					CONVERT(VARCHAR(10), EndDate, 120) AS EndDate, eAuditFolderName,
					CONVERT(VARCHAR(10), (SELECT BeginDate FROM ESGOFiscalYear WHERE eAuditFolderName = 
					(SELECT TOP 1 MAX(eAuditFolderName) - 2 FROM ESGOFiscalYear)), 103) AS BEGINNING, 
					CONVERT(VARCHAR(10), (SELECT EndDate FROM ESGOFiscalYear WHERE eAuditFolderName = 
					(SELECT TOP 1 MAX(eAuditFolderName) FROM ESGOFiscalYear)), 103) AS ENDING, GID  
					FROM ESGOFiscalYear ORDER BY eAuditFolderName DESC"$
			'Log(Qry)
			Dim sf As Object = RemoteSQL.ExecQueryAsync("RemoteSQL", Qry, Null)
			Wait For (sf) RemoteSQL_QueryComplete (Success As Boolean, Crsr As JdbcResultSet)
			If Success Then
				Dim i1 As Int = 1
				Do While Crsr.NextRow
					LocalSQL.ExecNonQuery2($"INSERT INTO LOCAL_EGM_YEARS (BeginDate, EndDate, eAuditFolderName, BEGINNING, ENDING, GID)
					VALUES (?, ?, ?, ?, ?, ?)"$, Array As Object(Crsr.GetString("BeginDate"), Crsr.GetString("EndDate"), _ 
					Crsr.GetInt("eAuditFolderName"), Crsr.GetString("BEGINNING"), Crsr.GetString("ENDING"), Crsr.GetString("GID")))
					'Log(i1 & " - " & Crsr.GetString("BeginDate") & " - " & Crsr.GetString("EndDate"))
					i1 = i1 +1
					Sleep(0)
				Loop
				Crsr.Close
			End If
		Catch
			Success = False
			Log(LastException)
		End Try
		CloseConnection
	End If
	Return Success
End Sub

Sub ESFIDocumentTrade_Insert As ResumableSub
	Wait For (Connect) Complete (Success As Boolean)
	If Success Then
		Try
			Dim Qry As String
			Qry = $"SELECT ESFIDocumentTrade.Gid, ESFIDocumentTrade.ADRegistrationDate, ESFIDocumentTrade.ADCode, ESFIDocumentType.Description AS ESFIDocumentTypeDescription, 
					ESFIPaymentMethod.Description AS ESFIPaymentMethodDescription, ISNULL(ESFIDocumentTrade.ADReferenceCode, '') AS ESFIDocumentTradeADReferenceCode,  
					ESFIDocumentTrade.fTradeAccountGID AS ESFIDocumentTradefTradeAccountGID, ESFIDocumentTrade.fTradeAccountSiteGID AS ESFIDocumentTradefTradeAccountSiteGID, 
					ESFIDocumentTrade.fShippingMethodCode AS ESFIDocumentTradefShippingMethodCode, ESFIDocumentTrade.fTransporterGID AS ESFIDocumentTradefTransporterGID, 
					ESFIDocumentTrade.CurrencyNetValue, ESFIDocumentTrade.CurrencyTotalValue, 
					ESFIDocumentTrade.VATValue, ESFIDocumentTrade.fSalesPersonGID, ESFIDocumentTrade.TS
					FROM ESFIDocumentTrade
					LEFT JOIN ESFIDocumentType ON ESFIDocumentType.GID = ESFIDocumentTrade.fADDocumentTypeGID
					LEFT JOIN ESFIPaymentMethod ON ESFIPaymentMethod.GID = ESFIDocumentTrade.fPaymentMethodGID
					WHERE 
					ESFIDocumentType.Code IN ('ΠΑΡ', 'ΤΔΑ', 'ΠΤΙ', 'ΑΥΔ', 'ΠΤΕ', 'ΔΕΠ')
					AND ESFIDocumentTrade.ADRegistrationDate >= (SELECT TOP 1 BeginDate FROM EGM_YEARS)
					AND ESFIDocumentTrade.ADRegistrationDate <= (SELECT TOP 1 EndDate FROM EGM_YEARS) 
					AND ESFIDocumentTrade.fSalesPersonGID = '${Main.SalesmanGID}'"$
			'Log(Qry)
			Dim sf As Object = RemoteSQL.ExecQueryAsync("RemoteSQL", Qry, Null)
			Wait For (sf) RemoteSQL_QueryComplete (Success As Boolean, Crsr As JdbcResultSet)
			If Success Then
				Dim i1 As Int = 1
				Do While Crsr.NextRow
					LocalSQL.ExecNonQuery2($"INSERT INTO LOCAL_ESFIDocumentTrade (Gid, ADRegistrationDate, ADCode, 
					ESFIDocumentTypeDescription, ESFIPaymentMethodDescription, ESFIDocumentTradeADReferenceCode, ESFIDocumentTradefTradeAccountGID,
					ESFIDocumentTradefTradeAccountSiteGID, ESFIDocumentTradefShippingMethodCode, ESFIDocumentTradefTransporterGID, CurrencyNetValue, CurrencyTotalValue, 
					VATValue, fSalesPersonGID, TS )
					VALUES (?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)"$, Array As Object(Crsr.GetString("Gid"), Crsr.GetString("ADRegistrationDate"), _ 
					Crsr.GetString("ADCode"), Crsr.GetString("ESFIDocumentTypeDescription"), Crsr.GetString("ESFIPaymentMethodDescription"), _
					Crsr.GetString("ESFIDocumentTradeADReferenceCode"), Crsr.GetString("ESFIDocumentTradefTradeAccountGID"), Crsr.GetString("ESFIDocumentTradefTradeAccountSiteGID"), _
					Crsr.GetString("ESFIDocumentTradefShippingMethodCode"), Crsr.GetString("ESFIDocumentTradefTransporterGID"), Crsr.GetDouble("CurrencyNetValue"), _ 
					Crsr.GetDouble("CurrencyTotalValue"), Crsr.GetDouble("VATValue"), Crsr.GetString("fSalesPersonGID"), Crsr.GetString("TS")))
					'Log(i1 & " - " & Crsr.GetString("ADRegistrationDate") & " - " & Crsr.GetString("ADCode"))
					i1 = i1 +1
					Sleep(0)
				Loop
				Crsr.Close
			End If
		Catch
			Success = False
			Log(LastException)
		End Try
		CloseConnection
	End If
	Return Success
End Sub

Sub ESMMItemMU_Insert As ResumableSub
	Wait For (Connect) Complete (Success As Boolean)
	If Success Then
		Try
			Dim Qry As String
			Qry = $"SELECT GID, fItemGID, fMUCode, Relation, TS FROM ESMMItemMU ORDER BY fItemGID"$
			'Log(Qry)
			Dim sf As Object = RemoteSQL.ExecQueryAsync("RemoteSQL", Qry, Null)
			Wait For (sf) RemoteSQL_QueryComplete (Success As Boolean, Crsr As JdbcResultSet)
			If Success Then
				Dim i1 As Int = 1
				Do While Crsr.NextRow
					LocalSQL.ExecNonQuery2($"INSERT INTO LOCAL_ESMMItemMU (GID, fItemGID, fMUCode, Relation, TS)
					VALUES (?, ?, ?, ?, ?)"$, Array As Object(Crsr.GetString("GID"), Crsr.GetString("fItemGID"), _
					Crsr.GetString("fMUCode"), Crsr.GetDouble("Relation"), Crsr.GetString("TS")))
					i1 = i1 +1
					Sleep(0)
				Loop
				Crsr.Close
			End If
		Catch
			Success = False
			Log(LastException)
		End Try
		CloseConnection
	End If
	Return Success
End Sub

Sub ESFILineItem_Insert As ResumableSub
	Wait For (Connect) Complete (Success As Boolean)
	If Success Then
		Try
			Dim Qry As String
			Qry = $"SELECT ESFILineItem.GID, ESFILineItem.fDocumentGID, ESFILineItem.LineNumber, ESFILineItem.fItemGID,
					ESFILineItem.Quantity, ESFILineItem.Price, ESFILineItem.BaseValue, ESFILineItem.Discount1, 
					ESFILineItem.Discount2, ESFILineItem.NetValue, ESFILineItem.VATValue, ESFILineItem.TotalValue, 
					ESFILineItem.Comment, ESFIDocumentTrade.TS
					FROM ESFILineItem
					LEFT JOIN ESFIDocumentTrade ON ESFIDocumentTrade.GID = ESFILineItem.fDocumentGID
					LEFT JOIN ESFIDocumentType ON ESFIDocumentType.GID = ESFIDocumentTrade.fADDocumentTypeGID
					WHERE  ESFIDocumentType.Code IN ('ΠΑΡ', 'ΤΔΑ', 'ΠΤΙ', 'ΑΥΔ', 'ΠΤΕ', 'ΔΕΠ')
					AND ESFIDocumentTrade.ADRegistrationDate >= (SELECT TOP 1 BeginDate FROM EGM_YEARS)
					AND ESFIDocumentTrade.ADRegistrationDate <= (SELECT TOP 1 EndDate FROM EGM_YEARS)  
					AND ESFIDocumentTrade.fSalesPersonGID = '${Main.SalesmanGID}' 
					AND ESFILineItem.LineType = 6 
					ORDER BY ESFILineItem.fDocumentGID, ESFILineItem.LineNumber"$
			'Log(Qry)
			Dim sf As Object = RemoteSQL.ExecQueryAsync("RemoteSQL", Qry, Null)
			Wait For (sf) RemoteSQL_QueryComplete (Success As Boolean, Crsr As JdbcResultSet)
			If Success Then
				Dim i1 As Int = 1
				Do While Crsr.NextRow
					LocalSQL.ExecNonQuery2($"INSERT INTO LOCAL_ESFILineItem (GID, fDocumentGID, LineNumber, fItemGID,
					Quantity, Price, BaseValue, Discount1, Discount2, NetValue, VATValue, TotalValue, Comment, TS)
					VALUES (?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)"$, Array As Object(Crsr.GetString("GID"), Crsr.GetString("fDocumentGID"), Crsr.GetInt("LineNumber"), _
					Crsr.GetString("fItemGID"), Crsr.GetDouble("Quantity"), Crsr.GetDouble("Price"), Crsr.GetDouble("BaseValue"), Crsr.GetDouble("Discount1"), _
					Crsr.GetDouble("Discount2"), Crsr.GetDouble("NetValue"), Crsr.GetDouble("VATValue"), Crsr.GetDouble("TotalValue"), Crsr.GetString("Comment"), _
					Crsr.GetString("TS")))
					'Log(i1 & " - " & Crsr.GetString("fDocumentGID"))
					i1 = i1 +1
					Sleep(0)
				Loop
				Crsr.Close
			End If
		Catch
			Success = False
			Log(LastException)
		End Try
		CloseConnection
	End If
	Return Success
End Sub

Sub CountRemoteTableLines(ii As Int) As ResumableSub
	Wait For (Connect) Complete (Success As Boolean)
	If Success Then
		Try
			'Dim sf As Object = RemoteSQL.ExecQueryAsync("RemoteSQL", "SELECT ESDModified, GID, Code, Description, BarCode, Price, Price1, Price2 Comment, TS FROM ESFIItem where ItemType in (0,12) and ItemClass = 1 order by Description", Null)
			Dim Qry As String
			Select ii
				Case 1
					Qry = $"SELECT Count(*) AS Counted FROM ESFIItem where ItemType in (0,12) And ItemClass = 1"$
				Case 2
					Qry = $"SELECT Count(*) AS Counted FROM ESFIZShippingMethod"$
				Case 3
					Qry = $"SELECT Count(*) AS Counted FROM ESGOZTaxOffice"$
			Case 4
					Qry = $"Select SUM(Counted) FROM (Select Count(*) As Counted
							FROM ESGOPerson LEFT JOIN ESFITradeAccount ON ESFITradeAccount.fPersonCodeGID = ESGOPerson.GID
							WHERE ESFITradeAccount.Type = 0 And ESFITradeAccount.fSalesPersonGID = '${Main.SalesmanGID}'
							UNION ALL
							Select Count(*) As Counted
							FROM ESGOPerson
							LEFT JOIN ESGOPersonLists ON ESGOPerson.GID = ESGOPersonLists.fPersonCodeGID
							WHERE (ESGOPersonLists.MemberOfList = 1)) TB1"$
				Case 5
					Qry = $"SELECT Count(*) FROM ESGOSites INNER JOIN ESGOPerson ON ESGOPerson.fMainAddressGID = ESGOSites.GID 
							INNER JOIN ESFITradeAccount ON ESFITradeAccount.fPersonCodeGID = ESGOPerson.GID
							WHERE ESFITradeAccount.Type = 0 And ESFITradeAccount.fSalesPersonGID = '${Main.SalesmanGID}'"$
				Case 6
					Qry = $"SELECT COUNT(*) As Counted FROM ESFITradeAccountCurrentBalance BL1
							INNER JOIN ESFITradeAccount ON ESFITradeAccount.GID = BL1.fTradeAccountGID
							WHERE ESFITradeAccount.fSalesPersonGID = '${Main.SalesmanGID}'"$
				Case 7
					Qry = $"SELECT COUNT(*) As Counted FROM ESGOZActivity"$
				Case 8
					Qry = $"SELECT COUNT(*) As Counted FROM ESGOPersonLists WHERE MemberOfList = 1"$
				Case 9
					Qry = $"SELECT SUM(COUNTED) As Counted FROM (SELECT COUNT(*) AS COUNTED	FROM
						(SELECT ESFITradeAccountEntry_ESFITradeAccountPeriodics.GID AS ESFITradeAccountEntry_ESFITradeAccountPeriodicsGID, 
							ESFITradeAccountPeriodics_Debit AS Debit, 
							ESFITradeAccountPeriodics_Credit AS Credit,
							CASE 
								WHEN ESFITradeAccountEntry_ESFITradeAccountPeriodics.TradeAccountType IN (0,2) THEN ESFITradeAccountPeriodics_Debit - ESFITradeAccountPeriodics_Credit
								ELSE ESFITradeAccountPeriodics_Credit - ESFITradeAccountPeriodics_Debit
							END AS Balance,
						  IsNull(ESFIDocumentType.Description,'') + '  '  +  IsNull(ESFITradeAccountEntry_ESFITradeAccountPeriodics.Comment,'') AS LongComment,
						/*      (CASE ESFITradeAccountEntry_ESFITradeAccountPeriodics.DocumentClass WHEN 1 
						   THEN 
						    (ESFITradeAccountEntry_ESFITradeAccountPeriodics.Discounts + ESFITradeAccountEntry_ESFITradeAccountPeriodics.DeductionsValue-
						ESFITradeAccountEntry_ESFITradeAccountPeriodics.TaxesValue - ESFITradeAccountEntry_ESFITradeAccountPeriodics.ChargesValue )
						     ELSE 
							(ESFITradeAccountEntry_ESFITradeAccountPeriodics.TaxesValue + ESFITradeAccountEntry_ESFITradeAccountPeriodics.ChargesValue - 
						       ESFITradeAccountEntry_ESFITradeAccountPeriodics.Discounts - ESFITradeAccountEntry_ESFITradeAccountPeriodics.DeductionsValue)
							END) AS Discounts1, */
						(case
						when ESFITradeAccountPeriodics_Debit>0 then (case when ESFITradeAccountEntry_ESFITradeAccountPeriodics.DocumentClass=1 then AmountPayable else ESFITradeAccountEntry_ESFITradeAccountPeriodics.NetValue end) 
						when ESFITradeAccountPeriodics_Debit<0 then -(case when ESFITradeAccountEntry_ESFITradeAccountPeriodics.DocumentClass=1 then AmountPayable else ESFITradeAccountEntry_ESFITradeAccountPeriodics.NetValue end) 
						when ESFITradeAccountPeriodics_Credit>0 then -(case when ESFITradeAccountEntry_ESFITradeAccountPeriodics.DocumentClass=1 then AmountPayable else ESFITradeAccountEntry_ESFITradeAccountPeriodics.NetValue end) 
						when ESFITradeAccountPeriodics_Credit<0 then (case when ESFITradeAccountEntry_ESFITradeAccountPeriodics.DocumentClass=1 then AmountPayable else ESFITradeAccountEntry_ESFITradeAccountPeriodics.NetValue end) 
						else 0
						end)  AS NetValue1,

						(case
						when ESFITradeAccountPeriodics_Debit>0 then (case when ESFITradeAccountEntry_ESFITradeAccountPeriodics.DocumentClass=1 then (ESFITradeAccountEntry_ESFITradeAccountPeriodics.TotalValue-AmountPayable+ESFITradeAccountEntry_ESFITradeAccountPeriodics.TaxesValue +ESFITradeAccountEntry_ESFITradeAccountPeriodics.ChargesValue -Discounts -ESFITradeAccountEntry_ESFITradeAccountPeriodics.DeductionsValue) else ESFITradeAccountEntry_ESFITradeAccountPeriodics.VATValue end) 
						when ESFITradeAccountPeriodics_Debit<0 then -(case when ESFITradeAccountEntry_ESFITradeAccountPeriodics.DocumentClass=1 then (ESFITradeAccountEntry_ESFITradeAccountPeriodics.TotalValue-AmountPayable+ESFITradeAccountEntry_ESFITradeAccountPeriodics.TaxesValue +ESFITradeAccountEntry_ESFITradeAccountPeriodics.ChargesValue -Discounts -ESFITradeAccountEntry_ESFITradeAccountPeriodics.DeductionsValue) else ESFITradeAccountEntry_ESFITradeAccountPeriodics.VATValue end) 
						when ESFITradeAccountPeriodics_Credit>0 then -(case when ESFITradeAccountEntry_ESFITradeAccountPeriodics.DocumentClass=1 then (ESFITradeAccountEntry_ESFITradeAccountPeriodics.TotalValue-AmountPayable+ESFITradeAccountEntry_ESFITradeAccountPeriodics.TaxesValue +ESFITradeAccountEntry_ESFITradeAccountPeriodics.ChargesValue -Discounts -ESFITradeAccountEntry_ESFITradeAccountPeriodics.DeductionsValue) else ESFITradeAccountEntry_ESFITradeAccountPeriodics.VATValue end) 
						when ESFITradeAccountPeriodics_Credit<0 then (case when ESFITradeAccountEntry_ESFITradeAccountPeriodics.DocumentClass=1 then (ESFITradeAccountEntry_ESFITradeAccountPeriodics.TotalValue-AmountPayable+ESFITradeAccountEntry_ESFITradeAccountPeriodics.TaxesValue +ESFITradeAccountEntry_ESFITradeAccountPeriodics.ChargesValue -Discounts -ESFITradeAccountEntry_ESFITradeAccountPeriodics.DeductionsValue) else ESFITradeAccountEntry_ESFITradeAccountPeriodics.VATValue end) 
						else 0
						end)  AS VATValue1,

						(case
						when ESFITradeAccountPeriodics_Debit>0 then (CASE ESFITradeAccountEntry_ESFITradeAccountPeriodics.DocumentClass WHEN 1 
						   THEN 
						    (ESFITradeAccountEntry_ESFITradeAccountPeriodics.Discounts + ESFITradeAccountEntry_ESFITradeAccountPeriodics.DeductionsValue-
						ESFITradeAccountEntry_ESFITradeAccountPeriodics.TaxesValue - ESFITradeAccountEntry_ESFITradeAccountPeriodics.ChargesValue )
						     ELSE 
							(ESFITradeAccountEntry_ESFITradeAccountPeriodics.TaxesValue + ESFITradeAccountEntry_ESFITradeAccountPeriodics.ChargesValue - 
						       ESFITradeAccountEntry_ESFITradeAccountPeriodics.Discounts - ESFITradeAccountEntry_ESFITradeAccountPeriodics.DeductionsValue)
							END) 
						when ESFITradeAccountPeriodics_Debit<0 then -(CASE ESFITradeAccountEntry_ESFITradeAccountPeriodics.DocumentClass WHEN 1 
						   THEN 
						    (ESFITradeAccountEntry_ESFITradeAccountPeriodics.Discounts + ESFITradeAccountEntry_ESFITradeAccountPeriodics.DeductionsValue-
						ESFITradeAccountEntry_ESFITradeAccountPeriodics.TaxesValue - ESFITradeAccountEntry_ESFITradeAccountPeriodics.ChargesValue )
						     ELSE 
							(ESFITradeAccountEntry_ESFITradeAccountPeriodics.TaxesValue + ESFITradeAccountEntry_ESFITradeAccountPeriodics.ChargesValue - 
						       ESFITradeAccountEntry_ESFITradeAccountPeriodics.Discounts - ESFITradeAccountEntry_ESFITradeAccountPeriodics.DeductionsValue)
							END) 
						when ESFITradeAccountPeriodics_Credit>0 then -(CASE ESFITradeAccountEntry_ESFITradeAccountPeriodics.DocumentClass WHEN 1 
						   THEN 
						    (ESFITradeAccountEntry_ESFITradeAccountPeriodics.Discounts + ESFITradeAccountEntry_ESFITradeAccountPeriodics.DeductionsValue-
						ESFITradeAccountEntry_ESFITradeAccountPeriodics.TaxesValue - ESFITradeAccountEntry_ESFITradeAccountPeriodics.ChargesValue )
						     ELSE 
							(ESFITradeAccountEntry_ESFITradeAccountPeriodics.TaxesValue + ESFITradeAccountEntry_ESFITradeAccountPeriodics.ChargesValue - 
						       ESFITradeAccountEntry_ESFITradeAccountPeriodics.Discounts - ESFITradeAccountEntry_ESFITradeAccountPeriodics.DeductionsValue)
							END)
						when ESFITradeAccountPeriodics_Credit<0 then (CASE ESFITradeAccountEntry_ESFITradeAccountPeriodics.DocumentClass WHEN 1 
						   THEN 
						    (ESFITradeAccountEntry_ESFITradeAccountPeriodics.Discounts + ESFITradeAccountEntry_ESFITradeAccountPeriodics.DeductionsValue-
						ESFITradeAccountEntry_ESFITradeAccountPeriodics.TaxesValue - ESFITradeAccountEntry_ESFITradeAccountPeriodics.ChargesValue )
						     ELSE 
							(ESFITradeAccountEntry_ESFITradeAccountPeriodics.TaxesValue + ESFITradeAccountEntry_ESFITradeAccountPeriodics.ChargesValue - 
						       ESFITradeAccountEntry_ESFITradeAccountPeriodics.Discounts - ESFITradeAccountEntry_ESFITradeAccountPeriodics.DeductionsValue)
							END) 
							else 0
						end)  AS Discounts1,

							ESFITradeAccountEntry_ESFITradeAccountPeriodics.* ,
							
						     /*παλιός τρόπος υπολογισμού του Εναλ/κού παρ/κού
						      (case CancelState when 1 then '(' + ESFITradeAccountEntry_ESFITradeAccountPeriodics.ReferenceDocument+ ')'
						                                     else  ESFITradeAccountEntry_ESFITradeAccountPeriodics.AlternativeDocument end) AS AlternativeDocument_new, */

						      (case CancelState 
						      when 1 then 
						      (case when ESFITradeAccountEntry_ESFITradeAccountPeriodics.AlternativeDocument is not null then
								'(' + ESFITradeAccountEntry_ESFITradeAccountPeriodics.AlternativeDocument + ')' else
								'(' + ESFITradeAccountEntry_ESFITradeAccountPeriodics.ReferenceDocument+ ')' end)
						      else  ESFITradeAccountEntry_ESFITradeAccountPeriodics.AlternativeDocument end) AS AlternativeDocument_new, 
						 
						(CASE WHEN (ESFITradeAccountPeriodics_Debit - ESFITradeAccountPeriodics_Credit) > 0  THEN 0 ELSE 1 END) as Old_Rank,

						    /* το ESRank βοηθά στην ταξινόμηση των εγγραφών: πρώτα τα τιμολόγια με τις πληρωμές τους, μετά τα πιστωτικά. Αν υπάρχει ακυρωτικό, να εμφανίζεται κάτω από παραστατικό που ακυρώνει. το 
						        ακυρωτικό τιμολογίου πρέπει να έχει esrank=0 ενώ το ακυρωτικό του πιστωτικού πρέπει να έχει esrank=1 */
						       (CASE WHEN (ESFITradeAccountPeriodics_Debit_Nullable is not null)  THEN 
						                  (CASE WHEN  ESFIDocumentUpdateProfileLine.SourceType = 2 and ESFITradeAccountEntry_ESFITradeAccountPeriodics.DocumentClass=0 THEN 1 
								     ELSE (case when CancelState =1 then (case when ESFITradeAccountPeriodics_Debit >0 then 1 else 0 end)  
								     			 else (case when ESFITradeAccountPeriodics_Debit >0 then 0 else 1 end)  end) END)  

						       ELSE (CASE WHEN ESFIDocumentUpdateProfileLine.SourceType = 2 and ESFITradeAccountEntry_ESFITradeAccountPeriodics.DocumentClass=0 THEN 0 
						    ELSE (case when CancelState=1 then (case when ESFITradeAccountPeriodics_Credit >0 then 0 else 1 end)  
											 else (case when ESFITradeAccountPeriodics_Credit >0 then 1 else 0 end)  end) END) END) as ESRank,
											 
						    /* το ESRank1 βοηθά στην ταξινόμηση των ακυρωτικών: πρώτα τα τιμολόγια μετά τα ακυρωτικά. Τα ακυρωτικά έχουν πάντα esrank ίδιο με αυτού που ακυρώνουν και για αυτό ταξινομούνται με το πεδίο 
						        ReferenceDocument το οποίο είναι ίδιο με του παραστατικού που ακυρώνουν */
						       (CASE WHEN CancelState = 1THEN  ESFITradeAccountEntry_ESFITradeAccountPeriodics.ReferenceDocument 
						                                                       ELSE ESFITradeAccountEntry_ESFITradeAccountPeriodics.DocumentCode END) as ESRank1,
			            ESFIDocumentType.Description AS ESFIDocumentType_Description
						FROM ESFITradeAccountEntry_ESFITradeAccountPeriodics
						LEFT JOIN ESFIDocumentUpdateProfileLine ON ESFITradeAccountEntry_ESFITradeAccountPeriodics.fDocUpdateProfileLineGID = ESFIDocumentUpdateProfileLine.GID
			            LEFT JOIN ESFIDocumentDirectory ON ESFIDocumentDirectory.fDocumentGID = ESFITradeAccountEntry_ESFITradeAccountPeriodics.fDocumentGID
			            LEFT JOIN ESFIDocumentType ON ESFIDocumentType.GID = ESFIDocumentDirectory.fADDocumentTypeGID
						WHERE (((CancelState=0)
						       AND (ESFITradeAccountEntry_ESFITradeAccountPeriodics.CancelState =0))
						       OR ((CancelState=1)
						       AND (ESFITradeAccountEntry_ESFITradeAccountPeriodics.CancelState in (0,1,2))))
						) TB1
						INNER JOIN ESFITradeAccount ON ESFITradeAccount.GID = TB1.fTradeAccountGID 
						WHERE ESFITradeAccount.fSalesPersonGID = '${Main.SalesmanGID}'
						AND TB1.RegistrationDate >= (SELECT TOP 1 BEGINNING FROM EGM_YEARS)
						AND TB1.RegistrationDate <= (SELECT TOP 1 ENDING FROM EGM_YEARS) 
						GROUP BY TB1.ESFITradeAccountEntry_ESFITradeAccountPeriodicsGID, TB1.fTradeAccountGID, TB1.RegistrationDate, 
					 TB1.DocumentCode, TB1.LongComment, TB1.Debit, TB1.Credit, TB1.ESRank, TB1.ESRank1) TBL1"$
				Case 10
					Qry = $"SELECT Count(*) AS Counted FROM ESFITradeAccount WHERE fSalesPersonGID = '${Main.SalesmanGID}'"$
				Case 11
					Qry = $"SELECT Count(*) AS Counted FROM ESFIPricelist 
							LEFT JOIN ESFIPricelistItem on ESFIPricelistItem.fPricelistGID = ESFIPricelist.GID
							LEFT JOIN ESFIItem ON ESFIItem.GID = ESFIPricelistItem.fItemGID
							WHERE ESFIPricelist.GID IN (SELECT DISTINCT ESFITradeAccount.fPriceListGID FROM ESFITradeAccount where fSalesPersonGID = '${Main.SalesmanGID}')"$
				Case 12
					Qry = $"SELECT Count(*) AS Counted FROM EGM_CUSTOMER_OVERVIEW WHERE fSalesPersonGID = '${Main.SalesmanGID}'"$
				Case 13
					Qry = $"SELECT TOP 3 Count(*) AS Counted FROM ESGOFiscalYear"$
				Case 14
					Qry = $"SELECT Count(*) AS Counted FROM ESFIDocumentTrade
					LEFT JOIN ESFIDocumentType ON ESFIDocumentType.GID = ESFIDocumentTrade.fADDocumentTypeGID
					LEFT JOIN ESFIPaymentMethod ON ESFIPaymentMethod.GID = ESFIDocumentTrade.fPaymentMethodGID
					WHERE 
					ESFIDocumentType.Code IN ('ΠΑΡ', 'ΤΔΑ', 'ΠΤΙ', 'ΑΥΔ', 'ΠΤΕ', 'ΔΕΠ')
					AND ESFIDocumentTrade.ADRegistrationDate >= (SELECT TOP 1 BeginDate FROM EGM_YEARS)
					AND ESFIDocumentTrade.ADRegistrationDate <= (SELECT TOP 1 EndDate FROM EGM_YEARS) 
					AND ESFIDocumentTrade.fSalesPersonGID = '${Main.SalesmanGID}'"$
				Case 15
					Qry = $"SELECT Count(*) AS Counted FROM ESMMItemMU"$
				Case 16
					Qry = $"SELECT Count(*) AS Counted FROM ESFILineItem
					LEFT JOIN ESFIDocumentTrade ON ESFIDocumentTrade.GID = ESFILineItem.fDocumentGID
					LEFT JOIN ESFIDocumentType ON ESFIDocumentType.GID = ESFIDocumentTrade.fADDocumentTypeGID
					WHERE  ESFIDocumentType.Code IN ('ΠΑΡ', 'ΤΔΑ', 'ΠΤΙ', 'ΑΥΔ', 'ΠΤΕ', 'ΔΕΠ')
					AND ESFIDocumentTrade.ADRegistrationDate >= (SELECT TOP 1 BeginDate FROM EGM_YEARS)
					AND ESFIDocumentTrade.ADRegistrationDate <= (SELECT TOP 1 EndDate FROM EGM_YEARS)  
					AND ESFIDocumentTrade.fSalesPersonGID = '${Main.SalesmanGID}' 
					AND ESFILineItem.LineType = 6"$
			End Select
			'Log(Qry)
			Dim sf As Object = RemoteSQL.ExecQueryAsync("RemoteSQL", Qry, Null)
			Wait For (sf) RemoteSQL_QueryComplete (Success As Boolean, Crsr As JdbcResultSet)
			If Success Then
				Do While Crsr.NextRow
					LineCounted = Crsr.GetInt("Counted")
					Sleep(0)
				Loop
				Crsr.Close
			End If
		Catch
			Success = False
			Log(LastException)
		End Try
		CloseConnection
	End If
	Return Success
End Sub



Sub Service_TaskRemoved
	'This event will be raised when the user removes the app from the recent apps list.
End Sub

'Return true to allow the OS default exceptions handler to handle the uncaught exception.
Sub Application_Error (Error As Exception, StackTrace As String) As Boolean
	Return True
End Sub

Sub Service_Destroy

End Sub
